FDO91 Protocols

Following is a list of protocols:

ACTIVEX	- ActiveX

ACT	- Action

ADP	- ADP

AD	- Address Book

ASYNC	- Asynchronous

BLANK	- Blank

BUF	- Buffer

CCL	- Command Language

CHART	- Chart

CHAT	- Chat

CM	- Code Manager

DE	- Data Extraction

DICE	- Dice?

DOC	- Art Doc

DOD	- Download On Demand

EXAPI	- Third Party

FM	- File Manager

GALLERY	- Gallery?

HFS	- Host Form Server

IDB	- Database

IF	- If

IMAGE	- Image

IMGXFER	- Image Transfer

LM	- List Manager

MAN	- Display

MAT	- Display Attribute

MF	- MF?

MIP	- Message

MMI	- Multimedia

MORG	- Personal Filing Cabinet

MT	- Master Tool

P3	- Plain and Proprietary Protocol

PICTALK	- Picture Talk

RADIO	- Radio

RICH	- Rich Text

SM	- Shorthand

SPELL	- Spell Checker

UNI	- Universal

VAR	- Variable

VIDEO	- Video

VRM	- IP Tools

WWW	- World Wide Web

XFER	- Transfer


55 ($37)

Following is a list of atoms in this protocol:

sec_ip_handshake_to_client

sec_ip_handshake_to_host


sec_ip_handshake_to_client

02 ($02)

Syntax

sec_ip_handshake_to_client <arg1>

<arg1>	- a list of hex numbers


sec_ip_handshake_to_host

01 ($01)

Syntax

sec_ip_handshake_to_host <arg1>

<arg1>	- a list of hex numbers


ACTIVEX	- ActiveX

54 ($36)

Following is a list of atoms in this protocol:

activex_classid

activex_codebase

activex_data

activex_id

activex_manage

activex_param

activex_script_code

activex_script_expression

activex_script_start


activex_classid

02 ($02)

Syntax

activex_classid <arg1>

<arg1>	- a string


activex_codebase

03 ($03)

Syntax

activex_codebase <arg1>

<arg1>	- a string


activex_data

04 ($04)

Syntax

activex_data <arg1>

<arg1>	- a string


activex_id

01 ($01)

Syntax

activex_id <arg1>

<arg1>	- a string


activex_manage

00 ($00)

Syntax

activex_manage <arg1>

<arg1>	- a list of hex numbers


activex_param

08 ($08)

Syntax

activex_param <arg1>

<arg1>	- a string


activex_script_code

05 ($05)

Syntax

activex_script_code <arg1>

<arg1>	- a string


activex_script_expression

06 ($06)

Syntax

activex_script_expression <arg1>

<arg1>	- a string


activex_script_start

07 ($07)

Syntax

activex_script_start <arg1>

<arg1>	- a string


ACT	- Action

02 ($02)

Following is a list of atoms in this protocol:

act_append_action

act_append_action_from_reg

act_append_select_action

act_change_action

act_change_action_from_reg

act_change_select_action

act_clr_test_index

act_copy_action_to_reg

act_do_action

act_format_quote

act_get_db_record

act_get_db_value

act_interpret_packet

act_modify_action

act_prepend_action

act_prepend_action_from_reg

act_prepend_select_action

act_replace_action

act_replace_action_from_reg

act_replace_popup_menu_action

act_replace_select_action

act_set_action_in_reg

act_set_criterion

act_set_db_id

act_set_db_length

act_set_db_offset

act_set_db_record

act_set_guest_flag

act_set_index

act_set_inheritance

act_set_newuser_flag

act_set_test_index

act_sound_beep


act_append_action

32 ($20)

Syntax

act_append_action <arg1>

<arg1>	- an atom stream


act_append_action_from_reg

40 ($28)

Syntax

act_append_action_from_reg <arg1>

<arg1>	- a list of hex numbers


act_append_select_action

35 ($23)

Syntax

act_append_select_action <arg1>

<arg1>	- an atom stream


act_change_action

34 ($22)

Syntax

act_change_action <arg1>

<arg1>	- an atom stream


act_change_action_from_reg

42 ($2a)

Syntax

act_change_action_from_reg <arg1>

<arg1>	- a list of hex numbers


act_change_select_action

37 ($25)

Syntax

act_change_select_action <arg1>

<arg1>	- an atom stream


act_clr_test_index

08 ($08)

Syntax

act_clr_test_index <arg1>

<arg1>	- a list of hex numbers


act_copy_action_to_reg

38 ($26)

Syntax

act_copy_action_to_reg <arg1>

<arg1>	- a list of hex numbers


act_do_action

01 ($01)

Syntax

act_do_action <arg1>

<arg1>	- a criterion for invoking an action


act_format_quote

54 ($36)

Syntax

act_format_quote <arg1>

<arg1>	- a string


act_get_db_record

47 ($2f)

Syntax

act_get_db_record <arg1>

<arg1>	- a global identifier


act_get_db_value

53 ($35)

Syntax

act_get_db_value <arg1>

<arg1>	- a list of hex numbers


act_interpret_packet

44 ($2c)

Syntax

act_interpret_packet <arg1>

<arg1>	- a list of hex numbers


act_modify_action

06 ($06)

Syntax

act_modify_action <arg1>

<arg1>	- an atom stream


act_prepend_action

33 ($21)

Syntax

act_prepend_action <arg1>

<arg1>	- an atom stream


act_prepend_action_from_reg

41 ($29)

Syntax

act_prepend_action_from_reg <arg1>

<arg1>	- a list of hex numbers


act_prepend_select_action

36 ($24)

Syntax

act_prepend_select_action <arg1>

<arg1>	- an atom stream


act_replace_action

03 ($03)

Syntax

act_replace_action <arg1>

<arg1>	- an atom stream


act_replace_action_from_reg

39 ($27)

Syntax

act_replace_action_from_reg <arg1>

<arg1>	- a list of hex numbers


act_replace_popup_menu_action

55 ($37)

Syntax

act_replace_popup_menu_action <arg1>

<arg1>	- an atom stream


act_replace_select_action

04 ($04)

Syntax

act_replace_select_action <arg1>

<arg1>	- an atom stream


act_set_action_in_reg

43 ($2b)

Syntax

act_set_action_in_reg <arg1>

<arg1>	- a list of hex numbers


act_set_criterion

00 ($00)

Syntax

act_set_criterion <arg1>

<arg1>	- a criterion for invoking an action


act_set_db_id

48 ($30)

Syntax

act_set_db_id <arg1>

<arg1>	- a global identifier


act_set_db_length

46 ($2e)

Syntax

act_set_db_length <arg1>

<arg1>	- a 32 bit number


act_set_db_offset

52 ($34)

Syntax

act_set_db_offset <arg1>

<arg1>	- a 32 bit number


act_set_db_record

49 ($31)

Syntax

act_set_db_record <arg1>

<arg1>	- a global identifier


act_set_guest_flag

50 ($32)

Syntax

act_set_guest_flag <arg1>

<arg1>	- a list of hex numbers


act_set_index

09 ($09)

Syntax

act_set_index <arg1>

<arg1>	- a list of hex numbers


act_set_inheritance

02 ($02)

Syntax

act_set_inheritance <arg1>

<arg1>	- a list of hex numbers


act_set_newuser_flag

51 ($33)

Syntax

act_set_newuser_flag <arg1>

<arg1>	- a list of hex numbers


act_set_test_index

07 ($07)

Syntax

act_set_test_index <arg1>

<arg1>	- a list of hex numbers


act_sound_beep

05 ($05)

Syntax

act_sound_beep <arg1>

<arg1>	- a list of hex numbers


ADP	- ADP

66 ($42)

Following is a list of atoms in this protocol:

adp_abort

adp_abort_tkn

adp_chunk_count

adp_chunk_size

adp_data

adp_echo

adp_eid

adp_eid_string

adp_end

adp_meter_upload_cancel

adp_more_chunks

adp_no_more_chunks

adp_route_tkn

adp_start

adp_transaction_type


adp_abort

10 ($0a)

Syntax

adp_abort <arg1>

<arg1>	- a list of hex numbers


adp_abort_tkn

05 ($05)

Syntax

adp_abort_tkn <arg1>

<arg1>	- a 32 bit number


adp_chunk_count

07 ($07)

Syntax

adp_chunk_count <arg1>

<arg1>	- a 32 bit number


adp_chunk_size

06 ($06)

Syntax

adp_chunk_size <arg1>

<arg1>	- a 32 bit number


adp_data

08 ($08)

Syntax

adp_data <arg1>

<arg1>	- a string


adp_echo

12 ($0c)

Syntax

adp_echo <arg1>

<arg1>	- a 32 bit number


adp_eid

03 ($03)

Syntax

adp_eid <arg1>

<arg1>	- a 32 bit number


adp_eid_string

11 ($0b)

Syntax

adp_eid_string <arg1>

<arg1>	- a string


adp_end

02 ($02)

Syntax

adp_end <arg1>

<arg1>	- a list of hex numbers


adp_meter_upload_cancel

16 ($10)

Syntax

adp_meter_upload_cancel <arg1>

<arg1>	- a list of hex numbers


adp_more_chunks

14 ($0e)

Syntax

adp_more_chunks <arg1>

<arg1>	- a list of hex numbers


adp_no_more_chunks

09 ($09)

Syntax

adp_no_more_chunks <arg1>

<arg1>	- a list of hex numbers


adp_route_tkn

04 ($04)

Syntax

adp_route_tkn <arg1>

<arg1>	- a 32 bit number


adp_start

01 ($01)

Syntax

adp_start <arg1>

<arg1>	- a list of hex numbers


adp_transaction_type

15 ($0f)

Syntax

adp_transaction_type <arg1>

<arg1>	- a 32 bit number


AD	- Address Book

39 ($27)

Following is a list of atoms in this protocol:

ad_add

ad_cc

ad_modify

ad_set_caller

ad_store

ad_to


ad_add

00 ($00)

Syntax

ad_add <arg1>

<arg1>	- a list of hex numbers


ad_cc

05 ($05)

Syntax

ad_cc <arg1>

<arg1>	- a list of hex numbers


ad_modify

02 ($02)

Syntax

ad_modify <arg1>

<arg1>	- a list of hex numbers


ad_set_caller

03 ($03)

Syntax

ad_set_caller <arg1>

<arg1>	- a list of hex numbers


ad_store

01 ($01)

Syntax

ad_store <arg1>

<arg1>	- a list of hex numbers


ad_to

04 ($04)

Syntax

ad_to <arg1>

<arg1>	- a list of hex numbers


ASYNC	- Asynchronous

13 ($0d)

Following is a list of atoms in this protocol:

async_alert

async_alert_add_date_time

async_alert_add_text

async_alert_end

async_alert_start

async_auto_launch

async_check_and_invoke_driveway

async_clear_stats

async_display_errors

async_display_netnews

async_dump_diag

async_error_box

async_exec_app

async_exec_context_help

async_exec_help

async_exec_help_file

async_exit

async_exit_aux

async_exit_damnit

async_extract_stats

async_force_off

async_get_alert_result

async_get_screen_name

async_get_stat_count

async_go_netnews

async_guest_password

async_invoke_language_pref

async_invoke_timezone_pref

async_is_client_32bit

async_is_current_screenname

async_is_guest

async_is_known_subaccount

async_launcher_name

async_logout

async_moreinfo_netnews

async_offline

async_online

async_password

async_play_sound_dammit

async_playsound

async_record_error

async_relogon

async_relogon_init

async_screen_name_changed

async_send_clientstatus

async_set_screen_name

async_sign_on

async_signoff

async_stat_collection_state

async_stat_record

async_storename

async_storepassword


async_alert

07 ($07)

Syntax

async_alert <arg1>

<arg1>	- an alert type


async_alert_add_date_time

33 ($21)

Syntax

async_alert_add_date_time <arg1>

<arg1>	- a 32 bit number


async_alert_add_text

32 ($20)

Syntax

async_alert_add_text <arg1>

<arg1>	- a string


async_alert_end

34 ($22)

Syntax

async_alert_end <arg1>

<arg1>	- a string


async_alert_start

31 ($1f)

Syntax

async_alert_start <arg1>

<arg1>	- a string


async_auto_launch

38 ($26)

Syntax

async_auto_launch <arg1>

<arg1>	- a list of hex numbers


async_check_and_invoke_driveway

50 ($32)

Syntax

async_check_and_invoke_driveway <arg1>

<arg1>	- a list of hex numbers


async_clear_stats

22 ($16)

Syntax

async_clear_stats <arg1>

<arg1>	- a list of hex numbers


async_display_errors

41 ($29)

Syntax

async_display_errors <arg1>

<arg1>	- a list of hex numbers


async_display_netnews

08 ($08)

Syntax

async_display_netnews <arg1>

<arg1>	- a list of hex numbers


async_dump_diag

28 ($1c)

Syntax

async_dump_diag <arg1>

<arg1>	- a string


async_error_box

06 ($06)

Syntax

async_error_box <arg1>

<arg1>	- a list of hex numbers


async_exec_app

25 ($19)

Syntax

async_exec_app <arg1>

<arg1>	- a string


async_exec_context_help

14 ($0e)

Syntax

async_exec_context_help <arg1>

<arg1>	- a list of hex numbers


async_exec_help

13 ($0d)

Syntax

async_exec_help <arg1>

<arg1>	- a list of hex numbers


async_exec_help_file

16 ($10)

Syntax

async_exec_help_file <arg1>

<arg1>	- a string


async_exit

00 ($00)

Syntax

async_exit <arg1>

<arg1>	- a list of hex numbers


async_exit_aux

12 ($0c)

Syntax

async_exit_aux <arg1>

<arg1>	- a list of hex numbers


async_exit_damnit

03 ($03)

Syntax

async_exit_damnit <arg1>

<arg1>	- a list of hex numbers


async_extract_stats

20 ($14)

Syntax

async_extract_stats <arg1>

<arg1>	- a list of hex numbers


async_force_off

17 ($11)

Syntax

async_force_off <arg1>

<arg1>	- a string


async_get_alert_result

24 ($18)

Syntax

async_get_alert_result <arg1>

<arg1>	- a list of hex numbers


async_get_screen_name

29 ($1d)

Syntax

async_get_screen_name <arg1>

<arg1>	- a list of hex numbers


async_get_stat_count

19 ($13)

Syntax

async_get_stat_count <arg1>

<arg1>	- a list of hex numbers


async_go_netnews

09 ($09)

Syntax

async_go_netnews <arg1>

<arg1>	- a list of hex numbers


async_guest_password

02 ($02)

Syntax

async_guest_password <arg1>

<arg1>	- a list of hex numbers


async_invoke_language_pref

36 ($24)

Syntax

async_invoke_language_pref <arg1>

<arg1>	- a list of hex numbers


async_invoke_timezone_pref

35 ($23)

Syntax

async_invoke_timezone_pref <arg1>

<arg1>	- a list of hex numbers


async_is_client_32bit

40 ($28)

Syntax

async_is_client_32bit <arg1>

<arg1>	- a list of hex numbers


async_is_current_screenname

48 ($30)

Syntax

async_is_current_screenname <arg1>

<arg1>	- a string


async_is_guest

42 ($2a)

Syntax

async_is_guest <arg1>

<arg1>	- a list of hex numbers


async_is_known_subaccount

27 ($1b)

Syntax

async_is_known_subaccount <arg1>

<arg1>	- a list of hex numbers


async_launcher_name

39 ($27)

Syntax

async_launcher_name <arg1>

<arg1>	- a list of hex numbers


async_logout

49 ($31)

Syntax

async_logout <arg1>

<arg1>	- a list of hex numbers


async_moreinfo_netnews

10 ($0a)

Syntax

async_moreinfo_netnews <arg1>

<arg1>	- a list of hex numbers


async_offline

05 ($05)

Syntax

async_offline <arg1>

<arg1>	- a list of hex numbers


async_online

04 ($04)

Syntax

async_online <arg1>

<arg1>	- a list of hex numbers


async_password

01 ($01)

Syntax

async_password <arg1>

<arg1>	- a list of hex numbers


async_play_sound_dammit

15 ($0f)

Syntax

async_play_sound_dammit <arg1>

<arg1>	- a string


async_playsound

11 ($0b)

Syntax

async_playsound <arg1>

<arg1>	- a string


async_record_error

51 ($33)

Syntax

async_record_error <arg1>

<arg1>	- a string


async_relogon

44 ($2c)

Syntax

async_relogon <arg1>

<arg1>	- a list of hex numbers


async_relogon_init

43 ($2b)

Syntax

async_relogon_init <arg1>

<arg1>	- a list of hex numbers


async_screen_name_changed

26 ($1a)

Syntax

async_screen_name_changed <arg1>

<arg1>	- a list of hex numbers


async_send_clientstatus

18 ($12)

Syntax

async_send_clientstatus <arg1>

<arg1>	- a list of hex numbers


async_set_screen_name

37 ($25)

Syntax

async_set_screen_name <arg1>

<arg1>	- a string


async_sign_on

30 ($1e)

Syntax

async_sign_on <arg1>

<arg1>	- a list of hex numbers


async_signoff

47 ($2f)

Syntax

async_signoff <arg1>

<arg1>	- a list of hex numbers


async_stat_collection_state

21 ($15)

Syntax

async_stat_collection_state <arg1>

<arg1>	- a list of hex numbers


async_stat_record

23 ($17)

Syntax

async_stat_record <arg1>

<arg1>	- a list of hex numbers


async_storename

45 ($2d)

Syntax

async_storename <arg1>

<arg1>	- a string


async_storepassword

46 ($2e)

Syntax

async_storepassword <arg1>

<arg1>	- a string


BLANK	- Blank

52 ($34)

Following is a list of atoms in this protocol:

blank_get_form

blank_get_ver

blank_test


blank_get_form

01 ($01)

Syntax

blank_get_form <arg1>

<arg1>	- a global identifier


blank_get_ver

02 ($02)

Syntax

blank_get_ver <arg1>

<arg1>	- a list of hex numbers


blank_test

00 ($00)

Syntax

blank_test <arg1>

<arg1>	- a list of hex numbers


BUF	- Buffer

04 ($04)

Following is a list of atoms in this protocol:

buf_add_atom_data

buf_add_atom_data_flip

buf_add_atom_data_trim

buf_add_atom_pointer

buf_add_atom_pointer_filter

buf_add_atom_pointer_flip

buf_add_atom_typed_data

buf_add_data

buf_add_data_flip

buf_add_data_raw

buf_add_data_trim

buf_add_pointer

buf_add_string_raw

buf_add_string_to_scrbuf

buf_add_token

buf_add_value_to_scrbuf

buf_clear_buffer

buf_close_buffer

buf_debug_dump_buffers

buf_destroy_buffer

buf_end_scrbuf

buf_get_data_atom

buf_get_flags

buf_get_protocol

buf_get_scrbuf

buf_load_buffer_from_db

buf_meter_abort

buf_restart_buffer

buf_save_buffer_to_db

buf_send_buffer_to_host

buf_set_callback

buf_set_data_atom

buf_set_flags

buf_set_protocol

buf_set_security_tokens

buf_set_token

buf_start_buffer

buf_start_scrbuf

buf_use_buffer


buf_add_atom_data

02 ($02)

Syntax

buf_add_atom_data <arg1>

<arg1>	- a 32 bit number


buf_add_atom_data_flip

37 ($25)

Syntax

buf_add_atom_data_flip <arg1>

<arg1>	- a 32 bit number


buf_add_atom_data_trim

16 ($10)

Syntax

buf_add_atom_data_trim <arg1>

<arg1>	- a string


buf_add_atom_pointer

01 ($01)

Syntax

buf_add_atom_pointer <arg1>

<arg1>	- a string


buf_add_atom_pointer_filter

14 ($0e)

Syntax

buf_add_atom_pointer_filter <arg1>

<arg1>	- a string


buf_add_atom_pointer_flip

36 ($24)

Syntax

buf_add_atom_pointer_flip <arg1>

<arg1>	- a list of hex numbers


buf_add_atom_typed_data

35 ($23)

Syntax

buf_add_atom_typed_data <arg1>

<arg1>	- a list of hex numbers


buf_add_data

04 ($04)

Syntax

buf_add_data <arg1>

<arg1>	- a 32 bit number


buf_add_data_flip

38 ($26)

Syntax

buf_add_data_flip <arg1>

<arg1>	- a 32 bit number


buf_add_data_raw

21 ($15)

Syntax

buf_add_data_raw <arg1>

<arg1>	- a 32 bit number


buf_add_data_trim

17 ($11)

Syntax

buf_add_data_trim <arg1>

<arg1>	- a 32 bit number


buf_add_pointer

03 ($03)

Syntax

buf_add_pointer <arg1>

<arg1>	- a string


buf_add_string_raw

20 ($14)

Syntax

buf_add_string_raw <arg1>

<arg1>	- a string


buf_add_string_to_scrbuf

28 ($1c)

Syntax

buf_add_string_to_scrbuf <arg1>

<arg1>	- a list of hex numbers


buf_add_token

05 ($05)

Syntax

buf_add_token <arg1>

<arg1>	- a two letter token followed by an argument in hex


buf_add_value_to_scrbuf

29 ($1d)

Syntax

buf_add_value_to_scrbuf <arg1>

<arg1>	- a list of hex numbers


buf_clear_buffer

07 ($07)

Syntax

buf_clear_buffer <arg1>

<arg1>	- a list of hex numbers


buf_close_buffer

08 ($08)

Syntax

buf_close_buffer <arg1>

<arg1>	- a list of hex numbers


buf_debug_dump_buffers

33 ($21)

Syntax

buf_debug_dump_buffers <arg1>

<arg1>	- a list of hex numbers


buf_destroy_buffer

19 ($13)

Syntax

buf_destroy_buffer <arg1>

<arg1>	- a list of hex numbers


buf_end_scrbuf

27 ($1b)

Syntax

buf_end_scrbuf <arg1>

<arg1>	- a list of hex numbers


buf_get_data_atom

24 ($18)

Syntax

buf_get_data_atom <arg1>

<arg1>	- a list of hex numbers


buf_get_flags

23 ($17)

Syntax

buf_get_flags <arg1>

<arg1>	- a list of hex numbers


buf_get_protocol

25 ($19)

Syntax

buf_get_protocol <arg1>

<arg1>	- a list of hex numbers


buf_get_scrbuf

30 ($1e)

Syntax

buf_get_scrbuf <arg1>

<arg1>	- a list of hex numbers


buf_load_buffer_from_db

10 ($0a)

Syntax

buf_load_buffer_from_db <arg1>

<arg1>	- a global identifier


buf_meter_abort

40 ($28)

Syntax

buf_meter_abort <arg1>

<arg1>	- a list of hex numbers


buf_restart_buffer

34 ($22)

Syntax

buf_restart_buffer <arg1>

<arg1>	- a list of hex numbers


buf_save_buffer_to_db

09 ($09)

Syntax

buf_save_buffer_to_db <arg1>

<arg1>	- a global identifier


buf_send_buffer_to_host

11 ($0b)

Syntax

buf_send_buffer_to_host <arg1>

<arg1>	- a list of hex numbers


buf_set_callback

32 ($20)

Syntax

buf_set_callback <arg1>

<arg1>	- a list of hex numbers


buf_set_data_atom

18 ($12)

Syntax

buf_set_data_atom <arg1>

<arg1>	- an atom


buf_set_flags

12 ($0c)

Syntax

buf_set_flags <arg1>

<arg1>	- a combination set - the available choices are:

token_header

stream_id_header

host_bound

start_stream_header

end_stream_trailer

data_included

leave_buffer_open

response_id_header

pointer_included

clear_buffer


buf_set_protocol

22 ($16)

Syntax

buf_set_protocol <arg1>

<arg1>	- a list of hex numbers


buf_set_security_tokens

39 ($27)

Syntax

buf_set_security_tokens <arg1>

<arg1>	- a two letter token followed by an argument in hex


buf_set_token

06 ($06)

Syntax

buf_set_token <arg1>

<arg1>	- a two letter token followed by an argument in hex


buf_start_buffer

00 ($00)

Syntax

buf_start_buffer <arg1>

<arg1>	- a combination set - the available choices are:

token_header

stream_id_header

host_bound

start_stream_header

end_stream_trailer

data_included

leave_buffer_open

response_id_header

pointer_included

clear_buffer


buf_start_scrbuf

26 ($1a)

Syntax

buf_start_scrbuf <arg1>

<arg1>	- a list of hex numbers


buf_use_buffer

15 ($0f)

Syntax

buf_use_buffer <arg1>

<arg1>	- a combination set - the available choices are:

token_header

stream_id_header

host_bound

start_stream_header

end_stream_trailer

data_included

leave_buffer_open

response_id_header

pointer_included

clear_buffer


CCL	- Command Language

34 ($22)

Following is a list of atoms in this protocol:

ccl_add_net_choices

ccl_cancel_enum_devices

ccl_check_hang_up

ccl_dial

ccl_enum_com_devices

ccl_get_locality

ccl_hang_up

ccl_install_modem_driver

ccl_is_modem

ccl_list_get_net

ccl_list_set_net

ccl_new_location

ccl_reload_networks

ccl_translate_baud_rate

ccl_translate_com_port

ccl_translate_locality

ccl_translate_network

ccl_update_locality


ccl_add_net_choices

12 ($0c)

Syntax

ccl_add_net_choices <arg1>

<arg1>	- a list of hex numbers


ccl_cancel_enum_devices

18 ($12)

Syntax

ccl_cancel_enum_devices <arg1>

<arg1>	- a list of hex numbers


ccl_check_hang_up

10 ($0a)

Syntax

ccl_check_hang_up <arg1>

<arg1>	- a list of hex numbers


ccl_dial

00 ($00)

Syntax

ccl_dial <arg1>

<arg1>	- a list of hex numbers


ccl_enum_com_devices

17 ($11)

Syntax

ccl_enum_com_devices <arg1>

<arg1>	- a list of hex numbers


ccl_get_locality

04 ($04)

Syntax

ccl_get_locality <arg1>

<arg1>	- a list of hex numbers


ccl_hang_up

01 ($01)

Syntax

ccl_hang_up <arg1>

<arg1>	- a list of hex numbers


ccl_install_modem_driver

02 ($02)

Syntax

ccl_install_modem_driver <arg1>

<arg1>	- a list of hex numbers


ccl_is_modem

11 ($0b)

Syntax

ccl_is_modem <arg1>

<arg1>	- a list of hex numbers


ccl_list_get_net

15 ($0f)

Syntax

ccl_list_get_net <arg1>

<arg1>	- a list of hex numbers


ccl_list_set_net

14 ($0e)

Syntax

ccl_list_set_net <arg1>

<arg1>	- a 32 bit number


ccl_new_location

05 ($05)

Syntax

ccl_new_location <arg1>

<arg1>	- a list of hex numbers


ccl_reload_networks

16 ($10)

Syntax

ccl_reload_networks <arg1>

<arg1>	- a list of hex numbers


ccl_translate_baud_rate

07 ($07)

Syntax

ccl_translate_baud_rate <arg1>

<arg1>	- a list of hex numbers


ccl_translate_com_port

06 ($06)

Syntax

ccl_translate_com_port <arg1>

<arg1>	- a list of hex numbers


ccl_translate_locality

09 ($09)

Syntax

ccl_translate_locality <arg1>

<arg1>	- a list of hex numbers


ccl_translate_network

08 ($08)

Syntax

ccl_translate_network <arg1>

<arg1>	- a list of hex numbers


ccl_update_locality

03 ($03)

Syntax

ccl_update_locality <arg1>

<arg1>	- a list of hex numbers


CHART	- Chart

23 ($17)

Following is a list of atoms in this protocol:

chart_add_dataset_legend

chart_add_date_legend_text

chart_add_key_legend_text

chart_add_xlegend_text

chart_add_ylegend_text

chart_atr_num_datasets

chart_bool_3d_view

chart_bool_bars_together

chart_bool_cluster

chart_bool_dlggray

chart_bool_each_bar

chart_bool_horiz_bar

chart_bool_horiz_grid

chart_bool_legend_2level

chart_bool_legend_vertical

chart_bool_show_ds_legend

chart_bool_show_legend

chart_bool_show_menu

chart_bool_show_palette

chart_bool_show_patterns

chart_bool_show_points

chart_bool_show_tools

chart_bool_show_zero

chart_bool_showdata

chart_bool_stacked

chart_bool_vert_grid

chart_bottom_font_sis

chart_bottom_label

chart_checkpoint

chart_constant_font_sis

chart_dataset_chart_type

chart_end_constant

chart_end_dataset

chart_end_dataset_context

chart_end_stripe

chart_get_attribute

chart_left_font_sis

chart_left_label

chart_legend_font_sis

chart_mac_set_attr

chart_manage

chart_request_interval

chart_right_font_sis

chart_right_label

chart_scale

chart_set_3d_x_rotation

chart_set_3d_y_rotation

chart_set_atom_decimal_places

chart_set_bar_init_value

chart_set_bkcolor

chart_set_chart_bkcolor

chart_set_close_arg

chart_set_close_token

chart_set_constant

chart_set_constant_bkcolor

chart_set_constant_color

chart_set_constant_context

chart_set_constant_label

chart_set_constant_style

chart_set_constant_width

chart_set_dataset_bkcolor

chart_set_dataset_color

chart_set_dataset_context

chart_set_dataset_legend_pos

chart_set_dataset_shape

chart_set_decimals

chart_set_gallery

chart_set_legend_pos

chart_set_line_bkcolor

chart_set_line_color

chart_set_line_style

chart_set_line_width

chart_set_margins

chart_set_marker_size

chart_set_pattern

chart_set_pattern_scheme

chart_set_point_context

chart_set_point_type

chart_set_point_value

chart_set_response_token

chart_set_stripe_bottom

chart_set_stripe_color

chart_set_stripe_context

chart_set_stripe_top

chart_set_toolbar_pos

chart_set_tools

chart_set_xvalue

chart_set_y_inc_gap

chart_set_ylegend_context

chart_set_ylegend_gap

chart_start_constant

chart_start_dataset

chart_start_stripe

chart_title

chart_title_font_sis

chart_type

chart_xlegend_font_sis

chart_xmax

chart_xmin

chart_ylegend_font_sis

chart_ymax

chart_ymin


chart_add_dataset_legend

48 ($30)

Syntax

chart_add_dataset_legend <arg1>

<arg1>	- a string


chart_add_date_legend_text

102 ($66)

Syntax

chart_add_date_legend_text <arg1>

<arg1>	- a list of hex numbers


chart_add_key_legend_text

73 ($49)

Syntax

chart_add_key_legend_text <arg1>

<arg1>	- a string


chart_add_xlegend_text

67 ($43)

Syntax

chart_add_xlegend_text <arg1>

<arg1>	- a string


chart_add_ylegend_text

66 ($42)

Syntax

chart_add_ylegend_text <arg1>

<arg1>	- a string


chart_atr_num_datasets

85 ($55)

Syntax

chart_atr_num_datasets <arg1>

<arg1>	- a 32 bit number


chart_bool_3d_view

54 ($36)

Syntax

chart_bool_3d_view <arg1>

<arg1>	- a boolean value


chart_bool_bars_together

59 ($3b)

Syntax

chart_bool_bars_together <arg1>

<arg1>	- a boolean value


chart_bool_cluster

63 ($3f)

Syntax

chart_bool_cluster <arg1>

<arg1>	- a boolean value


chart_bool_dlggray

65 ($41)

Syntax

chart_bool_dlggray <arg1>

<arg1>	- a boolean value


chart_bool_each_bar

62 ($3e)

Syntax

chart_bool_each_bar <arg1>

<arg1>	- a boolean value


chart_bool_horiz_bar

52 ($34)

Syntax

chart_bool_horiz_bar <arg1>

<arg1>	- a boolean value


chart_bool_horiz_grid

50 ($32)

Syntax

chart_bool_horiz_grid <arg1>

<arg1>	- a boolean value


chart_bool_legend_2level

97 ($61)

Syntax

chart_bool_legend_2level <arg1>

<arg1>	- a boolean value


chart_bool_legend_vertical

98 ($62)

Syntax

chart_bool_legend_vertical <arg1>

<arg1>	- a boolean value


chart_bool_show_ds_legend

95 ($5f)

Syntax

chart_bool_show_ds_legend <arg1>

<arg1>	- a boolean value


chart_bool_show_legend

58 ($3a)

Syntax

chart_bool_show_legend <arg1>

<arg1>	- a boolean value


chart_bool_show_menu

57 ($39)

Syntax

chart_bool_show_menu <arg1>

<arg1>	- a boolean value


chart_bool_show_palette

55 ($37)

Syntax

chart_bool_show_palette <arg1>

<arg1>	- a boolean value


chart_bool_show_patterns

56 ($38)

Syntax

chart_bool_show_patterns <arg1>

<arg1>	- a boolean value


chart_bool_show_points

60 ($3c)

Syntax

chart_bool_show_points <arg1>

<arg1>	- a boolean value


chart_bool_show_tools

53 ($35)

Syntax

chart_bool_show_tools <arg1>

<arg1>	- a boolean value


chart_bool_show_zero

61 ($3d)

Syntax

chart_bool_show_zero <arg1>

<arg1>	- a boolean value


chart_bool_showdata

64 ($40)

Syntax

chart_bool_showdata <arg1>

<arg1>	- a boolean value


chart_bool_stacked

49 ($31)

Syntax

chart_bool_stacked <arg1>

<arg1>	- a boolean value


chart_bool_vert_grid

51 ($33)

Syntax

chart_bool_vert_grid <arg1>

<arg1>	- a boolean value


chart_bottom_font_sis

47 ($2f)

Syntax

chart_bottom_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_bottom_label

07 ($07)

Syntax

chart_bottom_label <arg1>

<arg1>	- a string


chart_checkpoint

10 ($0a)

Syntax

chart_checkpoint <arg1>

<arg1>	- a list of hex numbers


chart_constant_font_sis

82 ($52)

Syntax

chart_constant_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_dataset_chart_type

86 ($56)

Syntax

chart_dataset_chart_type <arg1>

<arg1>	- a 32 bit number


chart_end_constant

76 ($4c)

Syntax

chart_end_constant <arg1>

<arg1>	- a 32 bit number


chart_end_dataset

14 ($0e)

Syntax

chart_end_dataset <arg1>

<arg1>	- a list of hex numbers


chart_end_dataset_context

16 ($10)

Syntax

chart_end_dataset_context <arg1>

<arg1>	- a list of hex numbers


chart_end_stripe

72 ($48)

Syntax

chart_end_stripe <arg1>

<arg1>	- a list of hex numbers


chart_get_attribute

78 ($4e)

Syntax

chart_get_attribute <arg1>

<arg1>	- a 32 bit number


chart_left_font_sis

46 ($2e)

Syntax

chart_left_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_left_label

08 ($08)

Syntax

chart_left_label <arg1>

<arg1>	- a string


chart_legend_font_sis

83 ($53)

Syntax

chart_legend_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_mac_set_attr

96 ($60)

Syntax

chart_mac_set_attr <arg1>

<arg1>	- a list of hex numbers


chart_manage

99 ($63)

Syntax

chart_manage <arg1>

<arg1>	- a list of hex numbers


chart_request_interval

11 ($0b)

Syntax

chart_request_interval <arg1>

<arg1>	- a 32 bit number


chart_right_font_sis

45 ($2d)

Syntax

chart_right_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_right_label

18 ($12)

Syntax

chart_right_label <arg1>

<arg1>	- a string


chart_scale

05 ($05)

Syntax

chart_scale <arg1>

<arg1>	- a 32 bit number


chart_set_3d_x_rotation

27 ($1b)

Syntax

chart_set_3d_x_rotation <arg1>

<arg1>	- a 32 bit number


chart_set_3d_y_rotation

28 ($1c)

Syntax

chart_set_3d_y_rotation <arg1>

<arg1>	- a 32 bit number


chart_set_atom_decimal_places

79 ($4f)

Syntax

chart_set_atom_decimal_places <arg1>

<arg1>	- a 32 bit number


chart_set_bar_init_value

20 ($14)

Syntax

chart_set_bar_init_value <arg1>

<arg1>	- a 32 bit number


chart_set_bkcolor

43 ($2b)

Syntax

chart_set_bkcolor <arg1>

<arg1>	- a list of hex numbers


chart_set_chart_bkcolor

42 ($2a)

Syntax

chart_set_chart_bkcolor <arg1>

<arg1>	- a list of hex numbers


chart_set_close_arg

88 ($58)

Syntax

chart_set_close_arg <arg1>

<arg1>	- a 32 bit number


chart_set_close_token

87 ($57)

Syntax

chart_set_close_token <arg1>

<arg1>	- a two letter token followed by an argument in hex


chart_set_constant

23 ($17)

Syntax

chart_set_constant <arg1>

<arg1>	- a 32 bit number


chart_set_constant_bkcolor

33 ($21)

Syntax

chart_set_constant_bkcolor <arg1>

<arg1>	- a list of hex numbers


chart_set_constant_color

34 ($22)

Syntax

chart_set_constant_color <arg1>

<arg1>	- a list of hex numbers


chart_set_constant_context

68 ($44)

Syntax

chart_set_constant_context <arg1>

<arg1>	- a 32 bit number


chart_set_constant_label

36 ($24)

Syntax

chart_set_constant_label <arg1>

<arg1>	- a string


chart_set_constant_style

77 ($4d)

Syntax

chart_set_constant_style <arg1>

<arg1>	- a 32 bit number


chart_set_constant_width

35 ($23)

Syntax

chart_set_constant_width <arg1>

<arg1>	- a 32 bit number


chart_set_dataset_bkcolor

30 ($1e)

Syntax

chart_set_dataset_bkcolor <arg1>

<arg1>	- a 32 bit number


chart_set_dataset_color

19 ($13)

Syntax

chart_set_dataset_color <arg1>

<arg1>	- a list of hex numbers


chart_set_dataset_context

15 ($0f)

Syntax

chart_set_dataset_context <arg1>

<arg1>	- a 32 bit number


chart_set_dataset_legend_pos

94 ($5e)

Syntax

chart_set_dataset_legend_pos <arg1>

<arg1>	- a 32 bit number


chart_set_dataset_shape

17 ($11)

Syntax

chart_set_dataset_shape <arg1>

<arg1>	- a 32 bit number


chart_set_decimals

32 ($20)

Syntax

chart_set_decimals <arg1>

<arg1>	- a 32 bit number


chart_set_gallery

90 ($5a)

Syntax

chart_set_gallery <arg1>

<arg1>	- a 32 bit number


chart_set_legend_pos

93 ($5d)

Syntax

chart_set_legend_pos <arg1>

<arg1>	- a 32 bit number


chart_set_line_bkcolor

38 ($26)

Syntax

chart_set_line_bkcolor <arg1>

<arg1>	- a list of hex numbers


chart_set_line_color

39 ($27)

Syntax

chart_set_line_color <arg1>

<arg1>	- a list of hex numbers


chart_set_line_style

40 ($28)

Syntax

chart_set_line_style <arg1>

<arg1>	- a 32 bit number


chart_set_line_width

41 ($29)

Syntax

chart_set_line_width <arg1>

<arg1>	- a 32 bit number


chart_set_margins

101 ($65)

Syntax

chart_set_margins <arg1>

<arg1>	- a list of hex numbers


chart_set_marker_size

29 ($1d)

Syntax

chart_set_marker_size <arg1>

<arg1>	- a 32 bit number


chart_set_pattern

91 ($5b)

Syntax

chart_set_pattern <arg1>

<arg1>	- a 32 bit number


chart_set_pattern_scheme

37 ($25)

Syntax

chart_set_pattern_scheme <arg1>

<arg1>	- a 32 bit number


chart_set_point_context

21 ($15)

Syntax

chart_set_point_context <arg1>

<arg1>	- a 32 bit number


chart_set_point_type

31 ($1f)

Syntax

chart_set_point_type <arg1>

<arg1>	- a 32 bit number


chart_set_point_value

22 ($16)

Syntax

chart_set_point_value <arg1>

<arg1>	- a 32 bit number


chart_set_response_token

84 ($54)

Syntax

chart_set_response_token <arg1>

<arg1>	- a two letter token followed by an argument in hex


chart_set_stripe_bottom

25 ($19)

Syntax

chart_set_stripe_bottom <arg1>

<arg1>	- a 32 bit number


chart_set_stripe_color

69 ($45)

Syntax

chart_set_stripe_color <arg1>

<arg1>	- a list of hex numbers


chart_set_stripe_context

70 ($46)

Syntax

chart_set_stripe_context <arg1>

<arg1>	- a 32 bit number


chart_set_stripe_top

06 ($06)

Syntax

chart_set_stripe_top <arg1>

<arg1>	- a 32 bit number


chart_set_toolbar_pos

92 ($5c)

Syntax

chart_set_toolbar_pos <arg1>

<arg1>	- a 32 bit number


chart_set_tools

89 ($59)

Syntax

chart_set_tools <arg1>

<arg1>	- a 32 bit number


chart_set_xvalue

24 ($18)

Syntax

chart_set_xvalue <arg1>

<arg1>	- a 32 bit number


chart_set_y_inc_gap

100 ($64)

Syntax

chart_set_y_inc_gap <arg1>

<arg1>	- a 32 bit number


chart_set_ylegend_context

26 ($1a)

Syntax

chart_set_ylegend_context <arg1>

<arg1>	- a 32 bit number


chart_set_ylegend_gap

74 ($4a)

Syntax

chart_set_ylegend_gap <arg1>

<arg1>	- a 32 bit number


chart_start_constant

75 ($4b)

Syntax

chart_start_constant <arg1>

<arg1>	- a 32 bit number


chart_start_dataset

12 ($0c)

Syntax

chart_start_dataset <arg1>

<arg1>	- a 32 bit number


chart_start_stripe

71 ($47)

Syntax

chart_start_stripe <arg1>

<arg1>	- a 32 bit number


chart_title

09 ($09)

Syntax

chart_title <arg1>

<arg1>	- a string


chart_title_font_sis

44 ($2c)

Syntax

chart_title_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_type

00 ($00)

Syntax

chart_type <arg1>

<arg1>	- a 32 bit number


chart_xlegend_font_sis

80 ($50)

Syntax

chart_xlegend_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_xmax

01 ($01)

Syntax

chart_xmax <arg1>

<arg1>	- a 32 bit number


chart_xmin

03 ($03)

Syntax

chart_xmin <arg1>

<arg1>	- a 32 bit number


chart_ylegend_font_sis

81 ($51)

Syntax

chart_ylegend_font_sis <arg1>

<arg1>	- a list of hex numbers


chart_ymax

02 ($02)

Syntax

chart_ymax <arg1>

<arg1>	- a 32 bit number


chart_ymin

04 ($04)

Syntax

chart_ymin <arg1>

<arg1>	- a 32 bit number


CHAT	- Chat

11 ($0b)

Following is a list of atoms in this protocol:

chat_add_user

chat_bool_announce

chat_close_room

chat_end_object

chat_enum_rooms_in_list

chat_get_log_file_name

chat_host

chat_host_message

chat_is_chat_view

chat_is_new_chat_room

chat_is_room_being_logged

chat_link_count_to_list

chat_link_view_to_list

chat_log_path_rid

chat_log_room

chat_message

chat_name_view

chat_new_message

chat_new_room_open

chat_refresh_pref

chat_remove_user

chat_room_open

chat_screen_name

chat_screen_name_back_color

chat_screen_name_color

chat_screen_name_font_size

chat_set_users_list_icon

chat_set_view_log_priority

chat_show_arrival

chat_user_enter

chat_user_exit


chat_add_user

01 ($01)

Syntax

chat_add_user <arg1>

<arg1>	- a list of hex numbers


chat_bool_announce

22 ($16)

Syntax

chat_bool_announce <arg1>

<arg1>	- a boolean value


chat_close_room

21 ($15)

Syntax

chat_close_room <arg1>

<arg1>	- a list of hex numbers


chat_end_object

02 ($02)

Syntax

chat_end_object <arg1>

<arg1>	- a list of hex numbers


chat_enum_rooms_in_list

27 ($1b)

Syntax

chat_enum_rooms_in_list <arg1>

<arg1>	- a list of hex numbers


chat_get_log_file_name

30 ($1e)

Syntax

chat_get_log_file_name <arg1>

<arg1>	- a 32 bit number


chat_host

07 ($07)

Syntax

chat_host <arg1>

<arg1>	- a string


chat_host_message

17 ($11)

Syntax

chat_host_message <arg1>

<arg1>	- a string


chat_is_chat_view

23 ($17)

Syntax

chat_is_chat_view <arg1>

<arg1>	- a 32 bit number


chat_is_new_chat_room

28 ($1c)

Syntax

chat_is_new_chat_room <arg1>

<arg1>	- a 32 bit number


chat_is_room_being_logged

29 ($1d)

Syntax

chat_is_room_being_logged <arg1>

<arg1>	- a 32 bit number


chat_link_count_to_list

18 ($12)

Syntax

chat_link_count_to_list <arg1>

<arg1>	- a 32 bit number


chat_link_view_to_list

16 ($10)

Syntax

chat_link_view_to_list <arg1>

<arg1>	- a 32 bit number


chat_log_path_rid

20 ($14)

Syntax

chat_log_path_rid <arg1>

<arg1>	- a 32 bit number


chat_log_room

15 ($0f)

Syntax

chat_log_room <arg1>

<arg1>	- a 32 bit number


chat_message

05 ($05)

Syntax

chat_message <arg1>

<arg1>	- a string


chat_name_view

08 ($08)

Syntax

chat_name_view <arg1>

<arg1>	- a string


chat_new_message

11 ($0b)

Syntax

chat_new_message <arg1>

<arg1>	- a string


chat_new_room_open

09 ($09)

Syntax

chat_new_room_open <arg1>

<arg1>	- a string


chat_refresh_pref

06 ($06)

Syntax

chat_refresh_pref <arg1>

<arg1>	- a list of hex numbers


chat_remove_user

03 ($03)

Syntax

chat_remove_user <arg1>

<arg1>	- a list of hex numbers


chat_room_open

00 ($00)

Syntax

chat_room_open <arg1>

<arg1>	- a list of hex numbers


chat_screen_name

10 ($0a)

Syntax

chat_screen_name <arg1>

<arg1>	- a string


chat_screen_name_back_color

25 ($19)

Syntax

chat_screen_name_back_color <arg1>

<arg1>	- a 32 bit number


chat_screen_name_color

24 ($18)

Syntax

chat_screen_name_color <arg1>

<arg1>	- a 32 bit number


chat_screen_name_font_size

26 ($1a)

Syntax

chat_screen_name_font_size <arg1>

<arg1>	- a 32 bit number


chat_set_users_list_icon

31 ($1f)

Syntax

chat_set_users_list_icon <arg1>

<arg1>	- a 32 bit number


chat_set_view_log_priority

19 ($13)

Syntax

chat_set_view_log_priority <arg1>

<arg1>	- a 32 bit number


chat_show_arrival

04 ($04)

Syntax

chat_show_arrival <arg1>

<arg1>	- a list of hex numbers


chat_user_enter

12 ($0c)

Syntax

chat_user_enter <arg1>

<arg1>	- a string


chat_user_exit

14 ($0e)

Syntax

chat_user_exit <arg1>

<arg1>	- a string


CM	- Code Manager

10 ($0a)

Following is a list of atoms in this protocol:

cm_accept_update

cm_add_required_tool

cm_bounce_tool

cm_cancel_held_streams

cm_cancel_job

cm_check_tool

cm_check_wid

cm_clear_list

cm_disk_space_needed

cm_end_block

cm_end_required_tool_list

cm_force_off

cm_get_disk_space_required

cm_get_tid_from_wid

cm_get_time_estimate

cm_host_lib_index

cm_host_update_ack

cm_inquire

cm_inquire_add_tool

cm_inquire_all

cm_inquire_changed

cm_is_restart_necessary

cm_is_tool_loaded

cm_job_id

cm_kill_tool

cm_lib_end_date

cm_lib_start_date

cm_load_tool

cm_mark_atom_invalid

cm_mark_proto_invalid

cm_mark_token_invalid

cm_mark_tool_invalid

cm_mark_widget_invalid

cm_missing_atom

cm_missing_protocol

cm_missing_token

cm_missing_tool

cm_packet_num

cm_reject_update

cm_set_byte_count

cm_set_cancel_record

cm_set_cleanup_record

cm_set_request_record

cm_set_splash_record

cm_set_to_restart

cm_show_tools

cm_start_block

cm_start_required_tool_list

cm_tb_clear_name

cm_tb_get_path

cm_tb_get_ver

cm_tb_get_windows_dir

cm_tb_set_name

cm_tb_test_name_exists

cm_tb_test_name_loaded

cm_tb_test_ver

cm_tod_name

cm_tool_id

cm_tool_verify

cm_tool_verify_set_tid

cm_trigger_tod

cm_update_notify_token

cm_use_proto

cm_version

cm_version_info

cm_widget_id


cm_accept_update

43 ($2b)

Syntax

cm_accept_update <arg1>

<arg1>	- a list of hex numbers


cm_add_required_tool

35 ($23)

Syntax

cm_add_required_tool <arg1>

<arg1>	- a string


cm_bounce_tool

12 ($0c)

Syntax

cm_bounce_tool <arg1>

<arg1>	- a 32 bit number


cm_cancel_held_streams

30 ($1e)

Syntax

cm_cancel_held_streams <arg1>

<arg1>	- a list of hex numbers


cm_cancel_job

18 ($12)

Syntax

cm_cancel_job <arg1>

<arg1>	- a 32 bit number


cm_check_tool

17 ($11)

Syntax

cm_check_tool <arg1>

<arg1>	- a 32 bit number


cm_check_wid

31 ($1f)

Syntax

cm_check_wid <arg1>

<arg1>	- a list of hex numbers


cm_clear_list

09 ($09)

Syntax

cm_clear_list <arg1>

<arg1>	- a list of hex numbers


cm_disk_space_needed

37 ($25)

Syntax

cm_disk_space_needed <arg1>

<arg1>	- a 32 bit number


cm_end_block

26 ($1a)

Syntax

cm_end_block <arg1>

<arg1>	- a list of hex numbers


cm_end_required_tool_list

34 ($22)

Syntax

cm_end_required_tool_list <arg1>

<arg1>	- a list of hex numbers


cm_force_off

05 ($05)

Syntax

cm_force_off <arg1>

<arg1>	- a string


cm_get_disk_space_required

45 ($2d)

Syntax

cm_get_disk_space_required <arg1>

<arg1>	- a list of hex numbers


cm_get_tid_from_wid

32 ($20)

Syntax

cm_get_tid_from_wid <arg1>

<arg1>	- a list of hex numbers


cm_get_time_estimate

46 ($2e)

Syntax

cm_get_time_estimate <arg1>

<arg1>	- a list of hex numbers


cm_host_lib_index

54 ($36)

Syntax

cm_host_lib_index <arg1>

<arg1>	- a 32 bit number


cm_host_update_ack

73 ($49)

Syntax

cm_host_update_ack <arg1>

<arg1>	- a list of hex numbers


cm_inquire

07 ($07)

Syntax

cm_inquire <arg1>

<arg1>	- a list of hex numbers


cm_inquire_add_tool

06 ($06)

Syntax

cm_inquire_add_tool <arg1>

<arg1>	- a 32 bit number


cm_inquire_all

08 ($08)

Syntax

cm_inquire_all <arg1>

<arg1>	- a list of hex numbers


cm_inquire_changed

49 ($31)

Syntax

cm_inquire_changed <arg1>

<arg1>	- a list of hex numbers


cm_is_restart_necessary

47 ($2f)

Syntax

cm_is_restart_necessary <arg1>

<arg1>	- a list of hex numbers


cm_is_tool_loaded

36 ($24)

Syntax

cm_is_tool_loaded <arg1>

<arg1>	- a 32 bit number


cm_job_id

69 ($45)

Syntax

cm_job_id <arg1>

<arg1>	- a 32 bit number


cm_kill_tool

11 ($0b)

Syntax

cm_kill_tool <arg1>

<arg1>	- a 32 bit number


cm_lib_end_date

56 ($38)

Syntax

cm_lib_end_date <arg1>

<arg1>	- a 32 bit number


cm_lib_start_date

55 ($37)

Syntax

cm_lib_start_date <arg1>

<arg1>	- a 32 bit number


cm_load_tool

10 ($0a)

Syntax

cm_load_tool <arg1>

<arg1>	- a string


cm_mark_atom_invalid

22 ($16)

Syntax

cm_mark_atom_invalid <arg1>

<arg1>	- a 32 bit number


cm_mark_proto_invalid

21 ($15)

Syntax

cm_mark_proto_invalid <arg1>

<arg1>	- a 32 bit number


cm_mark_token_invalid

23 ($17)

Syntax

cm_mark_token_invalid <arg1>

<arg1>	- a two letter token followed by an argument in hex


cm_mark_tool_invalid

00 ($00)

Syntax

cm_mark_tool_invalid <arg1>

<arg1>	- a 32 bit number


cm_mark_widget_invalid

42 ($2a)

Syntax

cm_mark_widget_invalid <arg1>

<arg1>	- a 32 bit number


cm_missing_atom

66 ($42)

Syntax

cm_missing_atom <arg1>

<arg1>	- a 32 bit number


cm_missing_protocol

65 ($41)

Syntax

cm_missing_protocol <arg1>

<arg1>	- a 32 bit number


cm_missing_token

68 ($44)

Syntax

cm_missing_token <arg1>

<arg1>	- a two letter token followed by an argument in hex


cm_missing_tool

67 ($43)

Syntax

cm_missing_tool <arg1>

<arg1>	- a 32 bit number


cm_packet_num

70 ($46)

Syntax

cm_packet_num <arg1>

<arg1>	- a 32 bit number


cm_reject_update

44 ($2c)

Syntax

cm_reject_update <arg1>

<arg1>	- a list of hex numbers


cm_set_byte_count

01 ($01)

Syntax

cm_set_byte_count <arg1>

<arg1>	- a 32 bit number


cm_set_cancel_record

28 ($1c)

Syntax

cm_set_cancel_record <arg1>

<arg1>	- a global identifier


cm_set_cleanup_record

53 ($35)

Syntax

cm_set_cleanup_record <arg1>

<arg1>	- a global identifier


cm_set_request_record

41 ($29)

Syntax

cm_set_request_record <arg1>

<arg1>	- a global identifier


cm_set_splash_record

38 ($26)

Syntax

cm_set_splash_record <arg1>

<arg1>	- a global identifier


cm_set_to_restart

29 ($1d)

Syntax

cm_set_to_restart <arg1>

<arg1>	- a list of hex numbers


cm_show_tools

48 ($30)

Syntax

cm_show_tools <arg1>

<arg1>	- a list of hex numbers


cm_start_block

25 ($19)

Syntax

cm_start_block <arg1>

<arg1>	- a list of hex numbers


cm_start_required_tool_list

33 ($21)

Syntax

cm_start_required_tool_list <arg1>

<arg1>	- a list of hex numbers


cm_tb_clear_name

85 ($55)

Syntax

cm_tb_clear_name <arg1>

<arg1>	- a list of hex numbers


cm_tb_get_path

83 ($53)

Syntax

cm_tb_get_path <arg1>

<arg1>	- a list of hex numbers


cm_tb_get_ver

82 ($52)

Syntax

cm_tb_get_ver <arg1>

<arg1>	- a list of hex numbers


cm_tb_get_windows_dir

87 ($57)

Syntax

cm_tb_get_windows_dir <arg1>

<arg1>	- a list of hex numbers


cm_tb_set_name

80 ($50)

Syntax

cm_tb_set_name <arg1>

<arg1>	- a list of hex numbers


cm_tb_test_name_exists

86 ($56)

Syntax

cm_tb_test_name_exists <arg1>

<arg1>	- a list of hex numbers


cm_tb_test_name_loaded

84 ($54)

Syntax

cm_tb_test_name_loaded <arg1>

<arg1>	- a list of hex numbers


cm_tb_test_ver

81 ($51)

Syntax

cm_tb_test_ver <arg1>

<arg1>	- a list of hex numbers


cm_tod_name

40 ($28)

Syntax

cm_tod_name <arg1>

<arg1>	- a string


cm_tool_id

71 ($47)

Syntax

cm_tool_id <arg1>

<arg1>	- a 32 bit number


cm_tool_verify

52 ($34)

Syntax

cm_tool_verify <arg1>

<arg1>	- a list of hex numbers


cm_tool_verify_set_tid

51 ($33)

Syntax

cm_tool_verify_set_tid <arg1>

<arg1>	- a list of hex numbers


cm_trigger_tod

50 ($32)

Syntax

cm_trigger_tod <arg1>

<arg1>	- a list of hex numbers


cm_update_notify_token

39 ($27)

Syntax

cm_update_notify_token <arg1>

<arg1>	- a two letter token followed by an argument in hex


cm_use_proto

24 ($18)

Syntax

cm_use_proto <arg1>

<arg1>	- a 32 bit number


cm_version

14 ($0e)

Syntax

cm_version <arg1>

<arg1>	- a 32 bit number


cm_version_info

64 ($40)

Syntax

cm_version_info <arg1>

<arg1>	- a list of hex numbers


cm_widget_id

72 ($48)

Syntax

cm_widget_id <arg1>

<arg1>	- a 32 bit number


DE	- Data Extraction

03 ($03)

Following is a list of atoms in this protocol:

de_custom_data

de_data

de_end_extraction

de_ez_send_field

de_ez_send_form

de_ez_send_list_index

de_ez_send_list_text

de_get_data

de_get_data_pointer

de_get_data_value

de_set_data_type

de_set_extraction_type

de_set_text_column

de_set_variable_id

de_start_extraction

de_validate


de_custom_data

11 ($0b)

Syntax

de_custom_data <arg1>

<arg1>	- a list of hex numbers


de_data

01 ($01)

Syntax

de_data <arg1>

<arg1>	- a string


de_end_extraction

07 ($07)

Syntax

de_end_extraction <arg1>

<arg1>	- a list of hex numbers


de_ez_send_field

15 ($0f)

Syntax

de_ez_send_field <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


de_ez_send_form

10 ($0a)

Syntax

de_ez_send_form <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


de_ez_send_list_index

14 ($0e)

Syntax

de_ez_send_list_index <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


de_ez_send_list_text

12 ($0c)

Syntax

de_ez_send_list_text <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


de_get_data

06 ($06)

Syntax

de_get_data <arg1>

<arg1>	- an exclusive set  - the available choices are:

default

current_object

selected_children

current_object_selected_children

all_children

current_object_all_children


de_get_data_pointer

09 ($09)

Syntax

de_get_data_pointer <arg1>

<arg1>	- an exclusive set  - the available choices are:

default

current_object

selected_children

current_object_selected_children

all_children

current_object_all_children


de_get_data_value

08 ($08)

Syntax

de_get_data_value <arg1>

<arg1>	- an exclusive set  - the available choices are:

default

current_object

selected_children

current_object_selected_children

all_children

current_object_all_children


de_set_data_type

03 ($03)

Syntax

de_set_data_type <arg1>

<arg1>	- an exclusive set  - the available choices are:

default

text

var

boolean

global_id

relative_id

index

child_count

objptr

value

raw

lengh

selected


de_set_extraction_type

00 ($00)

Syntax

de_set_extraction_type <arg1>

<arg1>	- an exclusive set  - the available choices are:

default

current_object

selected_children

current_object_selected_children

all_children

current_object_all_children


de_set_text_column

05 ($05)

Syntax

de_set_text_column <arg1>

<arg1>	- a 32 bit number


de_set_variable_id

04 ($04)

Syntax

de_set_variable_id <arg1>

<arg1>	- a 32 bit number


de_start_extraction

02 ($02)

Syntax

de_start_extraction <arg1>

<arg1>	- a combination set - the available choices are:

token_header

stream_id_header

host_bound

start_stream_header

end_stream_trailer

data_included

leave_buffer_open

response_id_header

pointer_included

clear_buffer


de_validate

16 ($10)

Syntax

de_validate <arg1>

<arg1>	- a combination set - the available choices are:

display_msg

terminate

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


DICE	- Dice?

57 ($39)

Following is a list of atoms in this protocol:

dice_access_action

dice_access_current_update

dice_access_delete

dice_access_req_complete

dice_access_req_invalid

dice_access_search

dice_access_search_form

dice_access_search_view

dice_access_server_down

dice_access_server_ready

dice_access_set_bookmark

dice_access_update_area

dice_access_update_country

dice_access_update_number

dice_cancel_enum_devices

dice_connect

dice_device_add_refresh

dice_device_refresh

dice_disconnect

dice_end_context

dice_enum_comm_devices

dice_get_cur_locality_idx

dice_get_next_enum

dice_get_obj_info

dice_get_tool_hardware_type

dice_phone_clear_queue

dice_phone_request

dice_phone_session_stamp

dice_restrict_type_enum

dice_send_message

dice_set_context_device

dice_set_context_locality

dice_set_context_tool

dice_set_cur_locality_idx

dice_set_obj_attrib

dice_set_obj_info

dice_start_enumeration

dice_update_device

dice_update_grouping

dice_update_locality


dice_access_action

36 ($24)

Syntax

dice_access_action <arg1>

<arg1>	- a 32 bit number


dice_access_current_update

24 ($18)

Syntax

dice_access_current_update <arg1>

<arg1>	- a string


dice_access_delete

38 ($26)

Syntax

dice_access_delete <arg1>

<arg1>	- a string


dice_access_req_complete

34 ($22)

Syntax

dice_access_req_complete <arg1>

<arg1>	- a string


dice_access_req_invalid

33 ($21)

Syntax

dice_access_req_invalid <arg1>

<arg1>	- a string


dice_access_search

29 ($1d)

Syntax

dice_access_search <arg1>

<arg1>	- a string


dice_access_search_form

39 ($27)

Syntax

dice_access_search_form <arg1>

<arg1>	- a list of hex numbers


dice_access_search_view

23 ($17)

Syntax

dice_access_search_view <arg1>

<arg1>	- a list of hex numbers


dice_access_server_down

37 ($25)

Syntax

dice_access_server_down <arg1>

<arg1>	- a list of hex numbers


dice_access_server_ready

22 ($16)

Syntax

dice_access_server_ready <arg1>

<arg1>	- a list of hex numbers


dice_access_set_bookmark

28 ($1c)

Syntax

dice_access_set_bookmark <arg1>

<arg1>	- a string


dice_access_update_area

26 ($1a)

Syntax

dice_access_update_area <arg1>

<arg1>	- a string


dice_access_update_country

25 ($19)

Syntax

dice_access_update_country <arg1>

<arg1>	- a string


dice_access_update_number

27 ($1b)

Syntax

dice_access_update_number <arg1>

<arg1>	- a string


dice_cancel_enum_devices

04 ($04)

Syntax

dice_cancel_enum_devices <arg1>

<arg1>	- a list of hex numbers


dice_connect

10 ($0a)

Syntax

dice_connect <arg1>

<arg1>	- a list of hex numbers


dice_device_add_refresh

21 ($15)

Syntax

dice_device_add_refresh <arg1>

<arg1>	- a string


dice_device_refresh

18 ($12)

Syntax

dice_device_refresh <arg1>

<arg1>	- a string


dice_disconnect

11 ($0b)

Syntax

dice_disconnect <arg1>

<arg1>	- a list of hex numbers


dice_end_context

02 ($02)

Syntax

dice_end_context <arg1>

<arg1>	- a list of hex numbers


dice_enum_comm_devices

03 ($03)

Syntax

dice_enum_comm_devices <arg1>

<arg1>	- a list of hex numbers


dice_get_cur_locality_idx

05 ($05)

Syntax

dice_get_cur_locality_idx <arg1>

<arg1>	- a list of hex numbers


dice_get_next_enum

09 ($09)

Syntax

dice_get_next_enum <arg1>

<arg1>	- a list of hex numbers


dice_get_obj_info

12 ($0c)

Syntax

dice_get_obj_info <arg1>

<arg1>	- a 32 bit number


dice_get_tool_hardware_type

20 ($14)

Syntax

dice_get_tool_hardware_type <arg1>

<arg1>	- a string


dice_phone_clear_queue

32 ($20)

Syntax

dice_phone_clear_queue <arg1>

<arg1>	- a list of hex numbers


dice_phone_request

31 ($1f)

Syntax

dice_phone_request <arg1>

<arg1>	- a list of hex numbers


dice_phone_session_stamp

30 ($1e)

Syntax

dice_phone_session_stamp <arg1>

<arg1>	- a list of hex numbers


dice_restrict_type_enum

08 ($08)

Syntax

dice_restrict_type_enum <arg1>

<arg1>	- a list of hex numbers


dice_send_message

19 ($13)

Syntax

dice_send_message <arg1>

<arg1>	- a 32 bit number


dice_set_context_device

15 ($0f)

Syntax

dice_set_context_device <arg1>

<arg1>	- a 32 bit number


dice_set_context_locality

01 ($01)

Syntax

dice_set_context_locality <arg1>

<arg1>	- a 32 bit number


dice_set_context_tool

00 ($00)

Syntax

dice_set_context_tool <arg1>

<arg1>	- a 32 bit number


dice_set_cur_locality_idx

06 ($06)

Syntax

dice_set_cur_locality_idx <arg1>

<arg1>	- a 32 bit number


dice_set_obj_attrib

13 ($0d)

Syntax

dice_set_obj_attrib <arg1>

<arg1>	- a 32 bit number


dice_set_obj_info

14 ($0e)

Syntax

dice_set_obj_info <arg1>

<arg1>	- a list of hex numbers


dice_start_enumeration

07 ($07)

Syntax

dice_start_enumeration <arg1>

<arg1>	- a 32 bit number


dice_update_device

17 ($11)

Syntax

dice_update_device <arg1>

<arg1>	- a string


dice_update_grouping

35 ($23)

Syntax

dice_update_grouping <arg1>

<arg1>	- a string


dice_update_locality

16 ($10)

Syntax

dice_update_locality <arg1>

<arg1>	- a string


DOC	- Art Doc

31 ($1f)

Following is a list of atoms in this protocol:

doc_add_url

doc_bool_read_only

doc_clear_font_style

doc_edit_action

doc_get_current_link

doc_get_current_url

doc_get_font_name

doc_get_font_size

doc_get_font_style

doc_get_text_alignment

doc_manage

doc_open_file

doc_remove_url

doc_set_color_item

doc_set_font_name

doc_set_font_size

doc_set_font_style

doc_set_text_alignment


doc_add_url

02 ($02)

Syntax

doc_add_url <arg1>

<arg1>	- a string


doc_bool_read_only

04 ($04)

Syntax

doc_bool_read_only <arg1>

<arg1>	- a boolean value


doc_clear_font_style

12 ($0c)

Syntax

doc_clear_font_style <arg1>

<arg1>	- a 32 bit number


doc_edit_action

01 ($01)

Syntax

doc_edit_action <arg1>

<arg1>	- a 32 bit number


doc_get_current_link

08 ($08)

Syntax

doc_get_current_link <arg1>

<arg1>	- a list of hex numbers


doc_get_current_url

07 ($07)

Syntax

doc_get_current_url <arg1>

<arg1>	- a list of hex numbers


doc_get_font_name

15 ($0f)

Syntax

doc_get_font_name <arg1>

<arg1>	- a list of hex numbers


doc_get_font_size

16 ($10)

Syntax

doc_get_font_size <arg1>

<arg1>	- a list of hex numbers


doc_get_font_style

17 ($11)

Syntax

doc_get_font_style <arg1>

<arg1>	- a list of hex numbers


doc_get_text_alignment

18 ($12)

Syntax

doc_get_text_alignment <arg1>

<arg1>	- a list of hex numbers


doc_manage

00 ($00)

Syntax

doc_manage <arg1>

<arg1>	- a list of hex numbers


doc_open_file

05 ($05)

Syntax

doc_open_file <arg1>

<arg1>	- a string


doc_remove_url

06 ($06)

Syntax

doc_remove_url <arg1>

<arg1>	- a string


doc_set_color_item

03 ($03)

Syntax

doc_set_color_item <arg1>

<arg1>	- a 32 bit number


doc_set_font_name

09 ($09)

Syntax

doc_set_font_name <arg1>

<arg1>	- a string


doc_set_font_size

10 ($0a)

Syntax

doc_set_font_size <arg1>

<arg1>	- a 32 bit number


doc_set_font_style

11 ($0b)

Syntax

doc_set_font_style <arg1>

<arg1>	- a 32 bit number


doc_set_text_alignment

14 ($0e)

Syntax

doc_set_text_alignment <arg1>

<arg1>	- a 32 bit number


DOD	- Download On Demand

27 ($1b)

Following is a list of atoms in this protocol:

dod_close_form

dod_data

dod_end

dod_end_data

dod_end_form

dod_form_id

dod_gain_focus

dod_gid

dod_hints

dod_hints_mismatch

dod_hints_no_action

dod_lose_focus

dod_no_hints

dod_not_available

dod_start

dod_tag

dod_type


dod_close_form

07 ($07)

Syntax

dod_close_form <arg1>

<arg1>	- a list of hex numbers


dod_data

05 ($05)

Syntax

dod_data <arg1>

<arg1>	- a list of hex numbers


dod_end

04 ($04)

Syntax

dod_end <arg1>

<arg1>	- a list of hex numbers


dod_end_data

13 ($0d)

Syntax

dod_end_data <arg1>

<arg1>	- a list of hex numbers


dod_end_form

12 ($0c)

Syntax

dod_end_form <arg1>

<arg1>	- a list of hex numbers


dod_form_id

03 ($03)

Syntax

dod_form_id <arg1>

<arg1>	- a global identifier


dod_gain_focus

06 ($06)

Syntax

dod_gain_focus <arg1>

<arg1>	- a list of hex numbers


dod_gid

02 ($02)

Syntax

dod_gid <arg1>

<arg1>	- a global identifier


dod_hints

09 ($09)

Syntax

dod_hints <arg1>

<arg1>	- a list of hex numbers


dod_hints_mismatch

16 ($10)

Syntax

dod_hints_mismatch <arg1>

<arg1>	- a global identifier


dod_hints_no_action

14 ($0e)

Syntax

dod_hints_no_action <arg1>

<arg1>	- a list of hex numbers


dod_lose_focus

10 ($0a)

Syntax

dod_lose_focus <arg1>

<arg1>	- a list of hex numbers


dod_no_hints

11 ($0b)

Syntax

dod_no_hints <arg1>

<arg1>	- a list of hex numbers


dod_not_available

08 ($08)

Syntax

dod_not_available <arg1>

<arg1>	- a list of hex numbers


dod_start

00 ($00)

Syntax

dod_start <arg1>

<arg1>	- a list of hex numbers


dod_tag

15 ($0f)

Syntax

dod_tag <arg1>

<arg1>	- a list of hex numbers


dod_type

01 ($01)

Syntax

dod_type <arg1>

<arg1>	- a 32 bit number


EXAPI	- Third Party

26 ($1a)

Following is a list of atoms in this protocol:

exapi_app_terminate

exapi_begin_install

exapi_begin_versioning

exapi_component_begin

exapi_component_end

exapi_component_file_date

exapi_component_file_id

exapi_component_file_library

exapi_component_file_offset

exapi_component_file_size

exapi_component_set_flags

exapi_component_set_id

exapi_component_setup_app

exapi_component_sysfile

exapi_component_sysver

exapi_component_total_size

exapi_delete_context

exapi_end_install

exapi_end_versioning

exapi_enter_anteroom

exapi_gain_focus

exapi_get_instance_info

exapi_get_participant_info

exapi_get_participant_list

exapi_get_serial_info

exapi_get_version_info

exapi_is_valid_version

exapi_launch_application

exapi_leave_anteroom

exapi_list_attr_set_gid

exapi_list_attr_set_style

exapi_list_attr_set_title

exapi_list_clear

exapi_list_end_context

exapi_list_item_delete

exapi_list_item_end

exapi_list_item_set_address

exapi_list_item_set_flag

exapi_list_item_set_freg

exapi_list_item_set_nreg

exapi_list_item_set_num

exapi_list_item_set_port

exapi_list_item_set_sreg

exapi_list_item_set_str

exapi_list_item_set_stream

exapi_list_item_start

exapi_list_set_stream

exapi_list_start_context

exapi_manage

exapi_move_shared_dir

exapi_perform_versioning

exapi_set_app_name

exapi_set_config_style

exapi_set_current_address

exapi_set_default_folder_name

exapi_set_flags

exapi_set_message_handler

exapi_set_platform

exapi_set_program_name

exapi_set_required_space

exapi_set_selection_item

exapi_set_selection_list

exapi_set_session_flags

exapi_set_session_id

exapi_set_setup_app_name

exapi_set_uninstaller_name

exapi_uninstall_app

exapi_version_verify


exapi_app_terminate

62 ($3e)

Syntax

exapi_app_terminate <arg1>

<arg1>	- a list of hex numbers


exapi_begin_install

43 ($2b)

Syntax

exapi_begin_install <arg1>

<arg1>	- a 32 bit number


exapi_begin_versioning

31 ($1f)

Syntax

exapi_begin_versioning <arg1>

<arg1>	- a 32 bit number


exapi_component_begin

32 ($20)

Syntax

exapi_component_begin <arg1>

<arg1>	- a list of hex numbers


exapi_component_end

40 ($28)

Syntax

exapi_component_end <arg1>

<arg1>	- a list of hex numbers


exapi_component_file_date

35 ($23)

Syntax

exapi_component_file_date <arg1>

<arg1>	- a 32 bit number


exapi_component_file_id

33 ($21)

Syntax

exapi_component_file_id <arg1>

<arg1>	- a 32 bit number


exapi_component_file_library

37 ($25)

Syntax

exapi_component_file_library <arg1>

<arg1>	- a 32 bit number


exapi_component_file_offset

36 ($24)

Syntax

exapi_component_file_offset <arg1>

<arg1>	- a 32 bit number


exapi_component_file_size

34 ($22)

Syntax

exapi_component_file_size <arg1>

<arg1>	- a 32 bit number


exapi_component_set_flags

55 ($37)

Syntax

exapi_component_set_flags <arg1>

<arg1>	- a 32 bit number


exapi_component_set_id

57 ($39)

Syntax

exapi_component_set_id <arg1>

<arg1>	- a 32 bit number


exapi_component_setup_app

54 ($36)

Syntax

exapi_component_setup_app <arg1>

<arg1>	- a string


exapi_component_sysfile

38 ($26)

Syntax

exapi_component_sysfile <arg1>

<arg1>	- a string


exapi_component_sysver

39 ($27)

Syntax

exapi_component_sysver <arg1>

<arg1>	- a string


exapi_component_total_size

52 ($34)

Syntax

exapi_component_total_size <arg1>

<arg1>	- a 32 bit number


exapi_delete_context

42 ($2a)

Syntax

exapi_delete_context <arg1>

<arg1>	- a 32 bit number


exapi_end_install

49 ($31)

Syntax

exapi_end_install <arg1>

<arg1>	- a list of hex numbers


exapi_end_versioning

41 ($29)

Syntax

exapi_end_versioning <arg1>

<arg1>	- a list of hex numbers


exapi_enter_anteroom

22 ($16)

Syntax

exapi_enter_anteroom <arg1>

<arg1>	- a list of hex numbers


exapi_gain_focus

25 ($19)

Syntax

exapi_gain_focus <arg1>

<arg1>	- a 32 bit number


exapi_get_instance_info

28 ($1c)

Syntax

exapi_get_instance_info <arg1>

<arg1>	- a list of hex numbers


exapi_get_participant_info

30 ($1e)

Syntax

exapi_get_participant_info <arg1>

<arg1>	- a list of hex numbers


exapi_get_participant_list

29 ($1d)

Syntax

exapi_get_participant_list <arg1>

<arg1>	- a list of hex numbers


exapi_get_serial_info

26 ($1a)

Syntax

exapi_get_serial_info <arg1>

<arg1>	- a 32 bit number


exapi_get_version_info

50 ($32)

Syntax

exapi_get_version_info <arg1>

<arg1>	- a 32 bit number


exapi_is_valid_version

21 ($15)

Syntax

exapi_is_valid_version <arg1>

<arg1>	- a list of hex numbers


exapi_launch_application

51 ($33)

Syntax

exapi_launch_application <arg1>

<arg1>	- a 32 bit number


exapi_leave_anteroom

23 ($17)

Syntax

exapi_leave_anteroom <arg1>

<arg1>	- a 32 bit number


exapi_list_attr_set_gid

04 ($04)

Syntax

exapi_list_attr_set_gid <arg1>

<arg1>	- a 32 bit number


exapi_list_attr_set_style

02 ($02)

Syntax

exapi_list_attr_set_style <arg1>

<arg1>	- a 32 bit number


exapi_list_attr_set_title

03 ($03)

Syntax

exapi_list_attr_set_title <arg1>

<arg1>	- a string


exapi_list_clear

19 ($13)

Syntax

exapi_list_clear <arg1>

<arg1>	- a 32 bit number


exapi_list_end_context

16 ($10)

Syntax

exapi_list_end_context <arg1>

<arg1>	- a list of hex numbers


exapi_list_item_delete

20 ($14)

Syntax

exapi_list_item_delete <arg1>

<arg1>	- a 32 bit number


exapi_list_item_end

15 ($0f)

Syntax

exapi_list_item_end <arg1>

<arg1>	- a list of hex numbers


exapi_list_item_set_address

13 ($0d)

Syntax

exapi_list_item_set_address <arg1>

<arg1>	- a string


exapi_list_item_set_flag

11 ($0b)

Syntax

exapi_list_item_set_flag <arg1>

<arg1>	- a 32 bit number


exapi_list_item_set_freg

10 ($0a)

Syntax

exapi_list_item_set_freg <arg1>

<arg1>	- a 32 bit number


exapi_list_item_set_nreg

08 ($08)

Syntax

exapi_list_item_set_nreg <arg1>

<arg1>	- a 32 bit number


exapi_list_item_set_num

09 ($09)

Syntax

exapi_list_item_set_num <arg1>

<arg1>	- a 32 bit number


exapi_list_item_set_port

14 ($0e)

Syntax

exapi_list_item_set_port <arg1>

<arg1>	- a 32 bit number


exapi_list_item_set_sreg

06 ($06)

Syntax

exapi_list_item_set_sreg <arg1>

<arg1>	- a 32 bit number


exapi_list_item_set_str

07 ($07)

Syntax

exapi_list_item_set_str <arg1>

<arg1>	- a string


exapi_list_item_set_stream

12 ($0c)

Syntax

exapi_list_item_set_stream <arg1>

<arg1>	- a list of hex numbers


exapi_list_item_start

05 ($05)

Syntax

exapi_list_item_start <arg1>

<arg1>	- a list of hex numbers


exapi_list_set_stream

01 ($01)

Syntax

exapi_list_set_stream <arg1>

<arg1>	- a list of hex numbers


exapi_list_start_context

00 ($00)

Syntax

exapi_list_start_context <arg1>

<arg1>	- a 32 bit number


exapi_manage

17 ($11)

Syntax

exapi_manage <arg1>

<arg1>	- a list of hex numbers


exapi_move_shared_dir

58 ($3a)

Syntax

exapi_move_shared_dir <arg1>

<arg1>	- a string


exapi_perform_versioning

66 ($42)

Syntax

exapi_perform_versioning <arg1>

<arg1>	- a list of hex numbers


exapi_set_app_name

48 ($30)

Syntax

exapi_set_app_name <arg1>

<arg1>	- a string


exapi_set_config_style

46 ($2e)

Syntax

exapi_set_config_style <arg1>

<arg1>	- a 32 bit number


exapi_set_current_address

59 ($3b)

Syntax

exapi_set_current_address <arg1>

<arg1>	- a string


exapi_set_default_folder_name

44 ($2c)

Syntax

exapi_set_default_folder_name <arg1>

<arg1>	- a list of hex numbers


exapi_set_flags

56 ($38)

Syntax

exapi_set_flags <arg1>

<arg1>	- a 32 bit number


exapi_set_message_handler

67 ($43)

Syntax

exapi_set_message_handler <arg1>

<arg1>	- a string


exapi_set_platform

65 ($41)

Syntax

exapi_set_platform <arg1>

<arg1>	- a 32 bit number


exapi_set_program_name

47 ($2f)

Syntax

exapi_set_program_name <arg1>

<arg1>	- a string


exapi_set_required_space

45 ($2d)

Syntax

exapi_set_required_space <arg1>

<arg1>	- a 32 bit number


exapi_set_selection_item

24 ($18)

Syntax

exapi_set_selection_item <arg1>

<arg1>	- a 32 bit number


exapi_set_selection_list

27 ($1b)

Syntax

exapi_set_selection_list <arg1>

<arg1>	- a 32 bit number


exapi_set_session_flags

64 ($40)

Syntax

exapi_set_session_flags <arg1>

<arg1>	- a 32 bit number


exapi_set_session_id

63 ($3f)

Syntax

exapi_set_session_id <arg1>

<arg1>	- a 32 bit number


exapi_set_setup_app_name

53 ($35)

Syntax

exapi_set_setup_app_name <arg1>

<arg1>	- a string


exapi_set_uninstaller_name

61 ($3d)

Syntax

exapi_set_uninstaller_name <arg1>

<arg1>	- a string


exapi_uninstall_app

60 ($3c)

Syntax

exapi_uninstall_app <arg1>

<arg1>	- a 32 bit number


exapi_version_verify

18 ($12)

Syntax

exapi_version_verify <arg1>

<arg1>	- a list of hex numbers


FM	- File Manager

08 ($08)

Following is a list of atoms in this protocol:

fm_add_file_type

fm_add_file_type_mask

fm_add_type_to_group

fm_append_data

fm_broadcast

fm_check_disk_space

fm_close_file

fm_copy_file

fm_create_file

fm_delete_file

fm_delete_file_type

fm_delete_file_type_mask

fm_delete_type_from_group

fm_dialog_cancel_get

fm_dialog_end_get

fm_dialog_get_file

fm_dialog_get_type

fm_dialog_init_get

fm_dialog_print

fm_dialog_put_file

fm_dump

fm_edit_attachment_command

fm_end

fm_find_file_type

fm_flush_file

fm_get_first_file

fm_get_next_file

fm_handle_error

fm_ini_delete_file

fm_ini_get_next_line

fm_ini_get_section

fm_ini_read_data

fm_ini_write_data

fm_item_get

fm_item_set

fm_item_type

fm_keyword_okay

fm_open_file

fm_position_eof

fm_position_file

fm_read_file

fm_register

fm_rename_file

fm_send_contents_to_buffer

fm_set_relative_path

fm_start

fm_unregister

fm_unregister_list


fm_add_file_type

07 ($07)

Syntax

fm_add_file_type <arg1>

<arg1>	- a list of hex numbers


fm_add_file_type_mask

09 ($09)

Syntax

fm_add_file_type_mask <arg1>

<arg1>	- a list of hex numbers


fm_add_type_to_group

14 ($0e)

Syntax

fm_add_type_to_group <arg1>

<arg1>	- a list of hex numbers


fm_append_data

27 ($1b)

Syntax

fm_append_data <arg1>

<arg1>	- a list of hex numbers


fm_broadcast

05 ($05)

Syntax

fm_broadcast <arg1>

<arg1>	- a list of hex numbers


fm_check_disk_space

25 ($19)

Syntax

fm_check_disk_space <arg1>

<arg1>	- a list of hex numbers


fm_close_file

26 ($1a)

Syntax

fm_close_file <arg1>

<arg1>	- a list of hex numbers


fm_copy_file

42 ($2a)

Syntax

fm_copy_file <arg1>

<arg1>	- a string


fm_create_file

21 ($15)

Syntax

fm_create_file <arg1>

<arg1>	- a list of hex numbers


fm_delete_file

23 ($17)

Syntax

fm_delete_file <arg1>

<arg1>	- a string


fm_delete_file_type

08 ($08)

Syntax

fm_delete_file_type <arg1>

<arg1>	- a list of hex numbers


fm_delete_file_type_mask

10 ($0a)

Syntax

fm_delete_file_type_mask <arg1>

<arg1>	- a list of hex numbers


fm_delete_type_from_group

15 ($0f)

Syntax

fm_delete_type_from_group <arg1>

<arg1>	- a list of hex numbers


fm_dialog_cancel_get

47 ($2f)

Syntax

fm_dialog_cancel_get <arg1>

<arg1>	- a list of hex numbers


fm_dialog_end_get

46 ($2e)

Syntax

fm_dialog_end_get <arg1>

<arg1>	- a list of hex numbers


fm_dialog_get_file

17 ($11)

Syntax

fm_dialog_get_file <arg1>

<arg1>	- a string


fm_dialog_get_type

19 ($13)

Syntax

fm_dialog_get_type <arg1>

<arg1>	- a list of hex numbers


fm_dialog_init_get

45 ($2d)

Syntax

fm_dialog_init_get <arg1>

<arg1>	- a list of hex numbers


fm_dialog_print

20 ($14)

Syntax

fm_dialog_print <arg1>

<arg1>	- a string


fm_dialog_put_file

18 ($12)

Syntax

fm_dialog_put_file <arg1>

<arg1>	- a string


fm_dump

31 ($1f)

Syntax

fm_dump <arg1>

<arg1>	- a list of hex numbers


fm_edit_attachment_command

48 ($30)

Syntax

fm_edit_attachment_command <arg1>

<arg1>	- a list of hex numbers


fm_end

01 ($01)

Syntax

fm_end <arg1>

<arg1>	- a list of hex numbers


fm_find_file_type

16 ($10)

Syntax

fm_find_file_type <arg1>

<arg1>	- a string


fm_flush_file

39 ($27)

Syntax

fm_flush_file <arg1>

<arg1>	- a list of hex numbers


fm_get_first_file

32 ($20)

Syntax

fm_get_first_file <arg1>

<arg1>	- a string


fm_get_next_file

33 ($21)

Syntax

fm_get_next_file <arg1>

<arg1>	- a list of hex numbers


fm_handle_error

06 ($06)

Syntax

fm_handle_error <arg1>

<arg1>	- a combination set - the available choices are:

display_msg

terminate

broadcast


fm_ini_delete_file

44 ($2c)

Syntax

fm_ini_delete_file <arg1>

<arg1>	- a string


fm_ini_get_next_line

41 ($29)

Syntax

fm_ini_get_next_line <arg1>

<arg1>	- a list of hex numbers


fm_ini_get_section

40 ($28)

Syntax

fm_ini_get_section <arg1>

<arg1>	- a list of hex numbers


fm_ini_read_data

34 ($22)

Syntax

fm_ini_read_data <arg1>

<arg1>	- a list of hex numbers


fm_ini_write_data

35 ($23)

Syntax

fm_ini_write_data <arg1>

<arg1>	- a list of hex numbers


fm_item_get

04 ($04)

Syntax

fm_item_get <arg1>

<arg1>	- an exclusive set  - the available choices are:

file_type_id

file_group_id

file_type_ext

file_type_desc

file_type_flags

filename

path

filespec

handle

error_code

custom_data

text_width

text_indent

text_sub_indent

text_flags

dialog_flags

and_mask

xor_mask

file_size

free_disk_space

broadcast_return_value

file_type_list_size

print_from_page

print_to_page

print_min_page

print_max_page

print_copies

hdc

print_job_name

date

time

text_mode

ini_string_length

ini_file

ini_group

ini_key

ini_data_type

thumbnail

persistent_path

ini_section_size


fm_item_set

03 ($03)

Syntax

fm_item_set <arg1>

<arg1>	- a string


fm_item_type

02 ($02)

Syntax

fm_item_type <arg1>

<arg1>	- an exclusive set  - the available choices are:

file_type_id

file_group_id

file_type_ext

file_type_desc

file_type_flags

filename

path

filespec

handle

error_code

custom_data

text_width

text_indent

text_sub_indent

text_flags

dialog_flags

and_mask

xor_mask

file_size

free_disk_space

broadcast_return_value

file_type_list_size

print_from_page

print_to_page

print_min_page

print_max_page

print_copies

hdc

print_job_name

date

time

text_mode

ini_string_length

ini_file

ini_group

ini_key

ini_data_type

thumbnail

persistent_path

ini_section_size


fm_keyword_okay

43 ($2b)

Syntax

fm_keyword_okay <arg1>

<arg1>	- a boolean value


fm_open_file

22 ($16)

Syntax

fm_open_file <arg1>

<arg1>	- a list of hex numbers


fm_position_eof

29 ($1d)

Syntax

fm_position_eof <arg1>

<arg1>	- a list of hex numbers


fm_position_file

28 ($1c)

Syntax

fm_position_file <arg1>

<arg1>	- a list of hex numbers


fm_read_file

37 ($25)

Syntax

fm_read_file <arg1>

<arg1>	- a list of hex numbers


fm_register

11 ($0b)

Syntax

fm_register <arg1>

<arg1>	- a list of hex numbers


fm_rename_file

24 ($18)

Syntax

fm_rename_file <arg1>

<arg1>	- a list of hex numbers


fm_send_contents_to_buffer

30 ($1e)

Syntax

fm_send_contents_to_buffer <arg1>

<arg1>	- a list of hex numbers


fm_set_relative_path

36 ($24)

Syntax

fm_set_relative_path <arg1>

<arg1>	- a string


fm_start

00 ($00)

Syntax

fm_start <arg1>

<arg1>	- a list of hex numbers


fm_unregister

12 ($0c)

Syntax

fm_unregister <arg1>

<arg1>	- a list of hex numbers


fm_unregister_list

38 ($26)

Syntax

fm_unregister_list <arg1>

<arg1>	- a list of hex numbers


GALLERY	- Gallery?

56 ($38)

Following is a list of atoms in this protocol:

gallery_close

gallery_create

gallery_next_page

gallery_open

gallery_prev_page

gallery_send_img_to_mail

gallery_view

gallery_view_selected


gallery_close

01 ($01)

Syntax

gallery_close <arg1>

<arg1>	- a list of hex numbers


gallery_create

00 ($00)

Syntax

gallery_create <arg1>

<arg1>	- a list of hex numbers


gallery_next_page

04 ($04)

Syntax

gallery_next_page <arg1>

<arg1>	- a list of hex numbers


gallery_open

06 ($06)

Syntax

gallery_open <arg1>

<arg1>	- a list of hex numbers


gallery_prev_page

05 ($05)

Syntax

gallery_prev_page <arg1>

<arg1>	- a list of hex numbers


gallery_send_img_to_mail

07 ($07)

Syntax

gallery_send_img_to_mail <arg1>

<arg1>	- a list of hex numbers


gallery_view

02 ($02)

Syntax

gallery_view <arg1>

<arg1>	- a list of hex numbers


gallery_view_selected

03 ($03)

Syntax

gallery_view_selected <arg1>

<arg1>	- a 32 bit number


HFS	- Host Form Server

51 ($33)

Following is a list of atoms in this protocol:

hfs_attr_checkbox_mapping

hfs_attr_cluster_id

hfs_attr_database_type

hfs_attr_dispatch_mapping

hfs_attr_end_in_stream

hfs_attr_end_object

hfs_attr_end_post_stream

hfs_attr_end_pre_stream

hfs_attr_fdo_comment

hfs_attr_field_mapping

hfs_attr_flags

hfs_attr_layer_name

hfs_attr_object_comment

hfs_attr_object_name

hfs_attr_plus_group_number

hfs_attr_plus_group_type

hfs_attr_preset_global_id

hfs_attr_server_name

hfs_attr_start_in_stream

hfs_attr_start_post_stream

hfs_attr_start_pre_stream

hfs_attr_style_id

hfs_attr_variable_mapping

hfs_cmd_access_rights

hfs_cmd_database_id

hfs_cmd_end_form_data

hfs_cmd_end_get_fdo

hfs_cmd_end_install_result

hfs_cmd_end_save_result

hfs_cmd_fdo

hfs_cmd_form_gid

hfs_cmd_form_name

hfs_cmd_read_only_form

hfs_cmd_reference_id

hfs_cmd_response_id

hfs_cmd_result_code

hfs_cmd_result_message

hfs_cmd_save_as

hfs_cmd_start_form_data

hfs_cmd_start_get_fdo

hfs_cmd_start_install_result

hfs_cmd_start_save_result

hfs_cmd_tag

hfs_cmd_template_name


hfs_attr_checkbox_mapping

30 ($1e)

Syntax

hfs_attr_checkbox_mapping <arg1, arg2>

<arg1>	- a 32 bit number

<arg2>	- a string


hfs_attr_cluster_id

05 ($05)

Syntax

hfs_attr_cluster_id <arg1>

<arg1>	- a global identifier


hfs_attr_database_type

31 ($1f)

Syntax

hfs_attr_database_type <arg1>

<arg1>	- an exclusive set  - the available choices are:

client

host


hfs_attr_dispatch_mapping

29 ($1d)

Syntax

hfs_attr_dispatch_mapping <arg1, arg2>

<arg1>	- a 32 bit number

<arg2>	- a 32 bit number


hfs_attr_end_in_stream

15 ($0f)

Syntax

hfs_attr_end_in_stream <arg1>

<arg1>	- a list of hex numbers


hfs_attr_end_object

43 ($2b)

Syntax

hfs_attr_end_object <arg1>

<arg1>	- a list of hex numbers


hfs_attr_end_post_stream

17 ($11)

Syntax

hfs_attr_end_post_stream <arg1>

<arg1>	- a list of hex numbers


hfs_attr_end_pre_stream

13 ($0d)

Syntax

hfs_attr_end_pre_stream <arg1>

<arg1>	- a list of hex numbers


hfs_attr_fdo_comment

36 ($24)

Syntax

hfs_attr_fdo_comment <arg1>

<arg1>	- a string


hfs_attr_field_mapping

00 ($00)

Syntax

hfs_attr_field_mapping <arg1, arg2>

<arg1>	- a 32 bit number

<arg2>	- a 32 bit number


hfs_attr_flags

06 ($06)

Syntax

hfs_attr_flags <arg1>

<arg1>	- a combination set - the available choices are:

insert_style_id

insert_global_id

direct_accessible


hfs_attr_layer_name

39 ($27)

Syntax

hfs_attr_layer_name <arg1>

<arg1>	- a string


hfs_attr_object_comment

34 ($22)

Syntax

hfs_attr_object_comment <arg1>

<arg1>	- a string


hfs_attr_object_name

35 ($23)

Syntax

hfs_attr_object_name <arg1>

<arg1>	- a string


hfs_attr_plus_group_number

37 ($25)

Syntax

hfs_attr_plus_group_number <arg1>

<arg1>	- a 32 bit number


hfs_attr_plus_group_type

38 ($26)

Syntax

hfs_attr_plus_group_type <arg1>

<arg1>	- an exclusive set  - the available choices are:

same

pay

free


hfs_attr_preset_global_id

03 ($03)

Syntax

hfs_attr_preset_global_id <arg1>

<arg1>	- a global identifier


hfs_attr_server_name

41 ($29)

Syntax

hfs_attr_server_name <arg1>

<arg1>	- a string


hfs_attr_start_in_stream

14 ($0e)

Syntax

hfs_attr_start_in_stream <arg1>

<arg1>	- a list of hex numbers


hfs_attr_start_post_stream

16 ($10)

Syntax

hfs_attr_start_post_stream <arg1>

<arg1>	- a list of hex numbers


hfs_attr_start_pre_stream

12 ($0c)

Syntax

hfs_attr_start_pre_stream <arg1>

<arg1>	- a list of hex numbers


hfs_attr_style_id

04 ($04)

Syntax

hfs_attr_style_id <arg1>

<arg1>	- a global identifier


hfs_attr_variable_mapping

28 ($1c)

Syntax

hfs_attr_variable_mapping <arg1, arg2>

<arg1>	- a 32 bit number

<arg2>	- a 32 bit number


hfs_cmd_access_rights

42 ($2a)

Syntax

hfs_cmd_access_rights <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_database_id

09 ($09)

Syntax

hfs_cmd_database_id <arg1>

<arg1>	- an exclusive set  - the available choices are:

production

test


hfs_cmd_end_form_data

19 ($13)

Syntax

hfs_cmd_end_form_data <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_end_get_fdo

23 ($17)

Syntax

hfs_cmd_end_get_fdo <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_end_install_result

25 ($19)

Syntax

hfs_cmd_end_install_result <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_end_save_result

21 ($15)

Syntax

hfs_cmd_end_save_result <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_fdo

07 ($07)

Syntax

hfs_cmd_fdo <arg1>

<arg1>	- an atom stream


hfs_cmd_form_gid

01 ($01)

Syntax

hfs_cmd_form_gid <arg1>

<arg1>	- a global identifier


hfs_cmd_form_name

02 ($02)

Syntax

hfs_cmd_form_name <arg1>

<arg1>	- a string


hfs_cmd_read_only_form

40 ($28)

Syntax

hfs_cmd_read_only_form <arg1>

<arg1>	- a boolean value


hfs_cmd_reference_id

32 ($20)

Syntax

hfs_cmd_reference_id <arg1>

<arg1>	- a 32 bit number


hfs_cmd_response_id

27 ($1b)

Syntax

hfs_cmd_response_id <arg1>

<arg1>	- a 32 bit number


hfs_cmd_result_code

10 ($0a)

Syntax

hfs_cmd_result_code <arg1>

<arg1>	- a 32 bit number


hfs_cmd_result_message

26 ($1a)

Syntax

hfs_cmd_result_message <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_save_as

11 ($0b)

Syntax

hfs_cmd_save_as <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_start_form_data

18 ($12)

Syntax

hfs_cmd_start_form_data <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_start_get_fdo

22 ($16)

Syntax

hfs_cmd_start_get_fdo <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_start_install_result

24 ($18)

Syntax

hfs_cmd_start_install_result <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_start_save_result

20 ($14)

Syntax

hfs_cmd_start_save_result <arg1>

<arg1>	- a list of hex numbers


hfs_cmd_tag

08 ($08)

Syntax

hfs_cmd_tag <arg1>

<arg1>	- a 32 bit number


hfs_cmd_template_name

33 ($21)

Syntax

hfs_cmd_template_name <arg1>

<arg1>	- a string


IDB	- Database

05 ($05)

Following is a list of atoms in this protocol:

idb_append_data

idb_atr_compress

idb_atr_compressed

idb_atr_dod

idb_atr_encrypted

idb_atr_expiration

idb_atr_globalid

idb_atr_length

idb_atr_offset

idb_atr_stamp

idb_atr_type

idb_cancel

idb_change_context

idb_close_obj

idb_data

idb_delete_obj

idb_dod_failed

idb_dod_progress_gauge

idb_end_context

idb_end_extraction

idb_end_obj

idb_exists

idb_get_data

idb_get_data_null_terminated

idb_get_length

idb_get_string

idb_get_value

idb_reset

idb_set_context

idb_start_extraction

idb_start_obj

idb_use_default_icon


idb_append_data

11 ($0b)

Syntax

idb_append_data <arg1>

<arg1>	- a list of hex numbers


idb_atr_compress

28 ($1c)

Syntax

idb_atr_compress <arg1>

<arg1>	- a list of hex numbers


idb_atr_compressed

25 ($19)

Syntax

idb_atr_compressed <arg1>

<arg1>	- a list of hex numbers


idb_atr_dod

00 ($00)

Syntax

idb_atr_dod <arg1>

<arg1>	- a list of hex numbers


idb_atr_encrypted

26 ($1a)

Syntax

idb_atr_encrypted <arg1>

<arg1>	- a list of hex numbers


idb_atr_expiration

27 ($1b)

Syntax

idb_atr_expiration <arg1>

<arg1>	- a list of hex numbers


idb_atr_globalid

20 ($14)

Syntax

idb_atr_globalid <arg1>

<arg1>	- a global identifier


idb_atr_length

21 ($15)

Syntax

idb_atr_length <arg1>

<arg1>	- a 32 bit number


idb_atr_offset

23 ($17)

Syntax

idb_atr_offset <arg1>

<arg1>	- a 32 bit number


idb_atr_stamp

22 ($16)

Syntax

idb_atr_stamp <arg1>

<arg1>	- a list of hex numbers


idb_atr_type

24 ($18)

Syntax

idb_atr_type <arg1>

<arg1>	- a string


idb_cancel

18 ($12)

Syntax

idb_cancel <arg1>

<arg1>	- a list of hex numbers


idb_change_context

14 ($0e)

Syntax

idb_change_context <arg1>

<arg1>	- a global identifier


idb_close_obj

04 ($04)

Syntax

idb_close_obj <arg1>

<arg1>	- a global identifier


idb_data

12 ($0c)

Syntax

idb_data <arg1>

<arg1>	- a list of hex numbers


idb_delete_obj

03 ($03)

Syntax

idb_delete_obj <arg1>

<arg1>	- a global identifier


idb_dod_failed

10 ($0a)

Syntax

idb_dod_failed <arg1>

<arg1>	- a list of hex numbers


idb_dod_progress_gauge

31 ($1f)

Syntax

idb_dod_progress_gauge <arg1>

<arg1>	- a string


idb_end_context

15 ($0f)

Syntax

idb_end_context <arg1>

<arg1>	- a list of hex numbers


idb_end_extraction

07 ($07)

Syntax

idb_end_extraction <arg1>

<arg1>	- a list of hex numbers


idb_end_obj

02 ($02)

Syntax

idb_end_obj <arg1>

<arg1>	- a list of hex numbers


idb_exists

05 ($05)

Syntax

idb_exists <arg1>

<arg1>	- a global identifier


idb_get_data

08 ($08)

Syntax

idb_get_data <arg1>

<arg1>	- a list of hex numbers


idb_get_data_null_terminated

32 ($20)

Syntax

idb_get_data_null_terminated <arg1>

<arg1>	- a list of hex numbers


idb_get_length

30 ($1e)

Syntax

idb_get_length <arg1>

<arg1>	- a list of hex numbers


idb_get_string

17 ($11)

Syntax

idb_get_string <arg1>

<arg1>	- a list of hex numbers


idb_get_value

09 ($09)

Syntax

idb_get_value <arg1>

<arg1>	- a list of hex numbers


idb_reset

16 ($10)

Syntax

idb_reset <arg1>

<arg1>	- a list of hex numbers


idb_set_context

19 ($13)

Syntax

idb_set_context <arg1>

<arg1>	- a global identifier


idb_start_extraction

06 ($06)

Syntax

idb_start_extraction <arg1>

<arg1>	- a list of hex numbers


idb_start_obj

01 ($01)

Syntax

idb_start_obj <arg1>

<arg1>	- a 32 bit number


idb_use_default_icon

29 ($1d)

Syntax

idb_use_default_icon <arg1>

<arg1>	- a list of hex numbers


IF	- If

15 ($0f)

Following is a list of atoms in this protocol:

if_am_then

if_data_eq_datb_then

if_data_eq_zero_then

if_data_in_datb_prefix_then

if_data_neq_datb_then

if_data_neq_zero_then

if_datb_eq_zero_then

if_datb_in_data_prefix_then

if_datb_neq_zero_then

if_debug_false_then

if_debug_true_then

if_free_area_then

if_guest_then

if_last_return_false_exit

if_last_return_false_then

if_last_return_true_exit

if_last_return_true_then

if_newuser_then

if_numa_and_numb_then

if_numa_eq_numb_then

if_numa_eq_one_then

if_numa_false_then

if_numa_gt_numb_then

if_numa_gt_one_then

if_numa_gte_numb_then

if_numa_lt_numb_then

if_numa_lte_numb_then

if_numa_neq_numb_then

if_numa_or_numb_then

if_numa_true_then

if_numb_eq_one_then

if_numb_false_then

if_numb_gt_one_then

if_numb_true_then

if_offline_then

if_online_then

if_owner_then

if_paid_area_then

if_pm_then

if_stra_eq_null_then

if_stra_eq_strb_then

if_stra_in_strb_prefix_then

if_stra_neq_null_then

if_stra_neq_strb_then

if_strb_eq_null_then

if_strb_in_stra_prefix_then

if_strb_neq_null_then

if_test_index_false_then

if_test_index_true_then


if_am_then

101 ($65)

Syntax

if_am_then <arg1>

<arg1>	- a list of 8 bit numbers


if_data_eq_datb_then

80 ($50)

Syntax

if_data_eq_datb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_data_eq_zero_then

11 ($0b)

Syntax

if_data_eq_zero_then <arg1>

<arg1>	- a list of 8 bit numbers


if_data_in_datb_prefix_then

82 ($52)

Syntax

if_data_in_datb_prefix_then <arg1>

<arg1>	- a list of 8 bit numbers


if_data_neq_datb_then

81 ($51)

Syntax

if_data_neq_datb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_data_neq_zero_then

14 ($0e)

Syntax

if_data_neq_zero_then <arg1>

<arg1>	- a list of 8 bit numbers


if_datb_eq_zero_then

12 ($0c)

Syntax

if_datb_eq_zero_then <arg1>

<arg1>	- a list of 8 bit numbers


if_datb_in_data_prefix_then

83 ($53)

Syntax

if_datb_in_data_prefix_then <arg1>

<arg1>	- a list of 8 bit numbers


if_datb_neq_zero_then

15 ($0f)

Syntax

if_datb_neq_zero_then <arg1>

<arg1>	- a list of 8 bit numbers


if_debug_false_then

104 ($68)

Syntax

if_debug_false_then <arg1>

<arg1>	- a list of 8 bit numbers


if_debug_true_then

103 ($67)

Syntax

if_debug_true_then <arg1>

<arg1>	- a list of 8 bit numbers


if_free_area_then

16 ($10)

Syntax

if_free_area_then <arg1>

<arg1>	- a list of 8 bit numbers


if_guest_then

98 ($62)

Syntax

if_guest_then <arg1>

<arg1>	- a list of 8 bit numbers


if_last_return_false_exit

22 ($16)

Syntax

if_last_return_false_exit <arg1>

<arg1>	- a list of 8 bit numbers


if_last_return_false_then

20 ($14)

Syntax

if_last_return_false_then <arg1>

<arg1>	- a list of 8 bit numbers


if_last_return_true_exit

21 ($15)

Syntax

if_last_return_true_exit <arg1>

<arg1>	- a list of 8 bit numbers


if_last_return_true_then

19 ($13)

Syntax

if_last_return_true_then <arg1>

<arg1>	- a list of 8 bit numbers


if_newuser_then

100 ($64)

Syntax

if_newuser_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_and_numb_then

38 ($26)

Syntax

if_numa_and_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_eq_numb_then

32 ($20)

Syntax

if_numa_eq_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_eq_one_then

03 ($03)

Syntax

if_numa_eq_one_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_false_then

00 ($00)

Syntax

if_numa_false_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_gt_numb_then

34 ($22)

Syntax

if_numa_gt_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_gt_one_then

04 ($04)

Syntax

if_numa_gt_one_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_gte_numb_then

35 ($23)

Syntax

if_numa_gte_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_lt_numb_then

36 ($24)

Syntax

if_numa_lt_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_lte_numb_then

37 ($25)

Syntax

if_numa_lte_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_neq_numb_then

33 ($21)

Syntax

if_numa_neq_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_or_numb_then

39 ($27)

Syntax

if_numa_or_numb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numa_true_then

40 ($28)

Syntax

if_numa_true_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numb_eq_one_then

05 ($05)

Syntax

if_numb_eq_one_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numb_false_then

02 ($02)

Syntax

if_numb_false_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numb_gt_one_then

06 ($06)

Syntax

if_numb_gt_one_then <arg1>

<arg1>	- a list of 8 bit numbers


if_numb_true_then

01 ($01)

Syntax

if_numb_true_then <arg1>

<arg1>	- a list of 8 bit numbers


if_offline_then

97 ($61)

Syntax

if_offline_then <arg1>

<arg1>	- a list of 8 bit numbers


if_online_then

96 ($60)

Syntax

if_online_then <arg1>

<arg1>	- a list of 8 bit numbers


if_owner_then

99 ($63)

Syntax

if_owner_then <arg1>

<arg1>	- a list of 8 bit numbers


if_paid_area_then

23 ($17)

Syntax

if_paid_area_then <arg1>

<arg1>	- a list of 8 bit numbers


if_pm_then

102 ($66)

Syntax

if_pm_then <arg1>

<arg1>	- a list of 8 bit numbers


if_stra_eq_null_then

07 ($07)

Syntax

if_stra_eq_null_then <arg1>

<arg1>	- a list of 8 bit numbers


if_stra_eq_strb_then

64 ($40)

Syntax

if_stra_eq_strb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_stra_in_strb_prefix_then

66 ($42)

Syntax

if_stra_in_strb_prefix_then <arg1>

<arg1>	- a list of 8 bit numbers


if_stra_neq_null_then

09 ($09)

Syntax

if_stra_neq_null_then <arg1>

<arg1>	- a list of 8 bit numbers


if_stra_neq_strb_then

65 ($41)

Syntax

if_stra_neq_strb_then <arg1>

<arg1>	- a list of 8 bit numbers


if_strb_eq_null_then

08 ($08)

Syntax

if_strb_eq_null_then <arg1>

<arg1>	- a list of 8 bit numbers


if_strb_in_stra_prefix_then

67 ($43)

Syntax

if_strb_in_stra_prefix_then <arg1>

<arg1>	- a list of 8 bit numbers


if_strb_neq_null_then

10 ($0a)

Syntax

if_strb_neq_null_then <arg1>

<arg1>	- a list of 8 bit numbers


if_test_index_false_then

18 ($12)

Syntax

if_test_index_false_then <arg1>

<arg1>	- a list of 8 bit numbers


if_test_index_true_then

17 ($11)

Syntax

if_test_index_true_then <arg1>

<arg1>	- a list of 8 bit numbers


IMAGE	- Image

22 ($16)

Following is a list of atoms in this protocol:

image_attr_aspect_ratio

image_attr_background_blend

image_attr_brightness

image_attr_comp_quality

image_attr_contrast

image_attr_custom_hilight

image_attr_custom_offset

image_attr_draw_hotspot_grid

image_attr_dynamic_display

image_attr_extraction_format

image_attr_file_id

image_attr_fit_to_view

image_attr_hilight_type

image_attr_hotspot

image_attr_hotspot_action_id

image_attr_hotspot_def_action

image_attr_hotspot_grid

image_attr_hotspot_offset

image_attr_hotspot_type

image_attr_image_cropable

image_attr_image_type

image_attr_rotate

image_attr_save_orig_size

image_attr_sharpness

image_attr_show_hotspot

image_attr_thumbnail

image_attr_use_suggested_size

image_cancel_modal

image_crop_image

image_db_id

image_delete_hotspot

image_flip_horizontal

image_flip_vertical

image_get_attr

image_invert

image_invoke_editor

image_make_gray_scale

image_open_file_relative

image_revert

image_set_file_name

image_set_to_orginal_size


image_attr_aspect_ratio

10 ($0a)

Syntax

image_attr_aspect_ratio <arg1>

<arg1>	- a boolean value


image_attr_background_blend

31 ($1f)

Syntax

image_attr_background_blend <arg1>

<arg1>	- a list of hex numbers


image_attr_brightness

06 ($06)

Syntax

image_attr_brightness <arg1>

<arg1>	- a list of hex numbers


image_attr_comp_quality

20 ($14)

Syntax

image_attr_comp_quality <arg1>

<arg1>	- a list of hex numbers


image_attr_contrast

07 ($07)

Syntax

image_attr_contrast <arg1>

<arg1>	- a list of hex numbers


image_attr_custom_hilight

33 ($21)

Syntax

image_attr_custom_hilight <arg1>

<arg1>	- a list of hex numbers


image_attr_custom_offset

36 ($24)

Syntax

image_attr_custom_offset <arg1>

<arg1>	- a list of hex numbers


image_attr_draw_hotspot_grid

27 ($1b)

Syntax

image_attr_draw_hotspot_grid <arg1>

<arg1>	- a list of hex numbers


image_attr_dynamic_display

11 ($0b)

Syntax

image_attr_dynamic_display <arg1>

<arg1>	- a list of hex numbers


image_attr_extraction_format

19 ($13)

Syntax

image_attr_extraction_format <arg1>

<arg1>	- a list of hex numbers


image_attr_file_id

37 ($25)

Syntax

image_attr_file_id <arg1>

<arg1>	- a 32 bit number


image_attr_fit_to_view

30 ($1e)

Syntax

image_attr_fit_to_view <arg1>

<arg1>	- a boolean value


image_attr_hilight_type

35 ($23)

Syntax

image_attr_hilight_type <arg1>

<arg1>	- a list of hex numbers


image_attr_hotspot

22 ($16)

Syntax

image_attr_hotspot <arg1>

<arg1>	- a list of hex numbers


image_attr_hotspot_action_id

23 ($17)

Syntax

image_attr_hotspot_action_id <arg1>

<arg1>	- a list of hex numbers


image_attr_hotspot_def_action

28 ($1c)

Syntax

image_attr_hotspot_def_action <arg1>

<arg1>	- a list of hex numbers


image_attr_hotspot_grid

25 ($19)

Syntax

image_attr_hotspot_grid <arg1>

<arg1>	- a list of hex numbers


image_attr_hotspot_offset

34 ($22)

Syntax

image_attr_hotspot_offset <arg1>

<arg1>	- a list of hex numbers


image_attr_hotspot_type

32 ($20)

Syntax

image_attr_hotspot_type <arg1>

<arg1>	- a list of hex numbers


image_attr_image_cropable

26 ($1a)

Syntax

image_attr_image_cropable <arg1>

<arg1>	- a list of hex numbers


image_attr_image_type

08 ($08)

Syntax

image_attr_image_type <arg1>

<arg1>	- a 32 bit number


image_attr_rotate

01 ($01)

Syntax

image_attr_rotate <arg1>

<arg1>	- a list of hex numbers


image_attr_save_orig_size

39 ($27)

Syntax

image_attr_save_orig_size <arg1>

<arg1>	- a boolean value


image_attr_sharpness

05 ($05)

Syntax

image_attr_sharpness <arg1>

<arg1>	- a list of hex numbers


image_attr_show_hotspot

29 ($1d)

Syntax

image_attr_show_hotspot <arg1>

<arg1>	- a list of hex numbers


image_attr_thumbnail

38 ($26)

Syntax

image_attr_thumbnail <arg1>

<arg1>	- a boolean value


image_attr_use_suggested_size

09 ($09)

Syntax

image_attr_use_suggested_size <arg1>

<arg1>	- a boolean value


image_cancel_modal

18 ($12)

Syntax

image_cancel_modal <arg1>

<arg1>	- a list of hex numbers


image_crop_image

21 ($15)

Syntax

image_crop_image <arg1>

<arg1>	- a list of hex numbers


image_db_id

41 ($29)

Syntax

image_db_id <arg1>

<arg1>	- a 32 bit number


image_delete_hotspot

24 ($18)

Syntax

image_delete_hotspot <arg1>

<arg1>	- a list of hex numbers


image_flip_horizontal

02 ($02)

Syntax

image_flip_horizontal <arg1>

<arg1>	- a list of hex numbers


image_flip_vertical

03 ($03)

Syntax

image_flip_vertical <arg1>

<arg1>	- a list of hex numbers


image_get_attr

12 ($0c)

Syntax

image_get_attr <arg1>

<arg1>	- a list of hex numbers


image_invert

04 ($04)

Syntax

image_invert <arg1>

<arg1>	- a list of hex numbers


image_invoke_editor

14 ($0e)

Syntax

image_invoke_editor <arg1>

<arg1>	- a list of hex numbers


image_make_gray_scale

15 ($0f)

Syntax

image_make_gray_scale <arg1>

<arg1>	- a list of hex numbers


image_open_file_relative

40 ($28)

Syntax

image_open_file_relative <arg1>

<arg1>	- a string


image_revert

16 ($10)

Syntax

image_revert <arg1>

<arg1>	- a list of hex numbers


image_set_file_name

00 ($00)

Syntax

image_set_file_name <arg1>

<arg1>	- a string


image_set_to_orginal_size

17 ($11)

Syntax

image_set_to_orginal_size <arg1>

<arg1>	- a list of hex numbers


IMGXFER	- Image Transfer

21 ($15)

Following is a list of atoms in this protocol:

imgxfer_attr_wait_active

imgxfer_end_context

imgxfer_get_spoolfile_name

imgxfer_is_spoolfile

imgxfer_set_context

imgxfer_set_gid

imgxfer_set_rid


imgxfer_attr_wait_active

04 ($04)

Syntax

imgxfer_attr_wait_active <arg1>

<arg1>	- a boolean value


imgxfer_end_context

01 ($01)

Syntax

imgxfer_end_context <arg1>

<arg1>	- a list of hex numbers


imgxfer_get_spoolfile_name

07 ($07)

Syntax

imgxfer_get_spoolfile_name <arg1>

<arg1>	- a list of hex numbers


imgxfer_is_spoolfile

06 ($06)

Syntax

imgxfer_is_spoolfile <arg1>

<arg1>	- a list of hex numbers


imgxfer_set_context

00 ($00)

Syntax

imgxfer_set_context <arg1>

<arg1>	- a list of hex numbers


imgxfer_set_gid

03 ($03)

Syntax

imgxfer_set_gid <arg1>

<arg1>	- a list of hex numbers


imgxfer_set_rid

02 ($02)

Syntax

imgxfer_set_rid <arg1>

<arg1>	- a list of hex numbers


LM	- List Manager

09 ($09)

Following is a list of atoms in this protocol:

lm_add_entry_date_time

lm_add_entry_tab

lm_add_entry_text

lm_attr_list_entry_id

lm_attr_list_entry_type

lm_attr_list_form

lm_attr_list_type

lm_check_item_id

lm_close_window

lm_delete_item_id

lm_display_list

lm_end_list

lm_end_list_entry

lm_get_first_selection

lm_get_list_entry_id

lm_get_list_entry_title

lm_get_next_selection

lm_get_num_selections

lm_get_selected_item

lm_get_selected_item_id

lm_open_window

lm_render_item

lm_retrieve_item

lm_start_list

lm_start_list_entry

lm_table_clear

lm_table_delete_item

lm_table_encrypt_table

lm_table_get_first_key

lm_table_get_item

lm_table_get_item_value

lm_table_get_next_key

lm_table_set_item

lm_table_set_item_value

lm_table_use_key

lm_table_use_table

lm_uncheck_item_id

lm_user_delete_item


lm_add_entry_date_time

36 ($24)

Syntax

lm_add_entry_date_time <arg1>

<arg1>	- a 32 bit number


lm_add_entry_tab

35 ($23)

Syntax

lm_add_entry_tab <arg1>

<arg1>	- a list of hex numbers


lm_add_entry_text

34 ($22)

Syntax

lm_add_entry_text <arg1>

<arg1>	- a string


lm_attr_list_entry_id

10 ($0a)

Syntax

lm_attr_list_entry_id <arg1>

<arg1>	- a list of hex numbers


lm_attr_list_entry_type

27 ($1b)

Syntax

lm_attr_list_entry_type <arg1>

<arg1>	- a 32 bit number


lm_attr_list_form

08 ($08)

Syntax

lm_attr_list_form <arg1>

<arg1>	- a list of hex numbers


lm_attr_list_type

07 ($07)

Syntax

lm_attr_list_type <arg1>

<arg1>	- a list of hex numbers


lm_check_item_id

31 ($1f)

Syntax

lm_check_item_id <arg1>

<arg1>	- a 32 bit number


lm_close_window

01 ($01)

Syntax

lm_close_window <arg1>

<arg1>	- a global identifier


lm_delete_item_id

33 ($21)

Syntax

lm_delete_item_id <arg1>

<arg1>	- a 32 bit number


lm_display_list

09 ($09)

Syntax

lm_display_list <arg1>

<arg1>	- a list of hex numbers


lm_end_list

04 ($04)

Syntax

lm_end_list <arg1>

<arg1>	- a list of hex numbers


lm_end_list_entry

06 ($06)

Syntax

lm_end_list_entry <arg1>

<arg1>	- a list of hex numbers


lm_get_first_selection

29 ($1d)

Syntax

lm_get_first_selection <arg1>

<arg1>	- a list of hex numbers


lm_get_list_entry_id

12 ($0c)

Syntax

lm_get_list_entry_id <arg1>

<arg1>	- a list of hex numbers


lm_get_list_entry_title

11 ($0b)

Syntax

lm_get_list_entry_title <arg1>

<arg1>	- a list of hex numbers


lm_get_next_selection

30 ($1e)

Syntax

lm_get_next_selection <arg1>

<arg1>	- a list of hex numbers


lm_get_num_selections

28 ($1c)

Syntax

lm_get_num_selections <arg1>

<arg1>	- a list of hex numbers


lm_get_selected_item

25 ($19)

Syntax

lm_get_selected_item <arg1>

<arg1>	- a global identifier


lm_get_selected_item_id

26 ($1a)

Syntax

lm_get_selected_item_id <arg1>

<arg1>	- a list of hex numbers


lm_open_window

00 ($00)

Syntax

lm_open_window <arg1>

<arg1>	- a global identifier


lm_render_item

15 ($0f)

Syntax

lm_render_item <arg1>

<arg1>	- a list of hex numbers


lm_retrieve_item

14 ($0e)

Syntax

lm_retrieve_item <arg1>

<arg1>	- a list of hex numbers


lm_start_list

03 ($03)

Syntax

lm_start_list <arg1>

<arg1>	- a list of hex numbers


lm_start_list_entry

05 ($05)

Syntax

lm_start_list_entry <arg1>

<arg1>	- a list of hex numbers


lm_table_clear

16 ($10)

Syntax

lm_table_clear <arg1>

<arg1>	- a global identifier


lm_table_delete_item

22 ($16)

Syntax

lm_table_delete_item <arg1>

<arg1>	- a string


lm_table_encrypt_table

40 ($28)

Syntax

lm_table_encrypt_table <arg1>

<arg1>	- a list of hex numbers


lm_table_get_first_key

23 ($17)

Syntax

lm_table_get_first_key <arg1>

<arg1>	- a list of hex numbers


lm_table_get_item

20 ($14)

Syntax

lm_table_get_item <arg1>

<arg1>	- a string


lm_table_get_item_value

38 ($26)

Syntax

lm_table_get_item_value <arg1>

<arg1>	- a string


lm_table_get_next_key

24 ($18)

Syntax

lm_table_get_next_key <arg1>

<arg1>	- a list of hex numbers


lm_table_set_item

21 ($15)

Syntax

lm_table_set_item <arg1>

<arg1>	- a string


lm_table_set_item_value

39 ($27)

Syntax

lm_table_set_item_value <arg1>

<arg1>	- a 32 bit number


lm_table_use_key

19 ($13)

Syntax

lm_table_use_key <arg1>

<arg1>	- a string


lm_table_use_table

17 ($11)

Syntax

lm_table_use_table <arg1>

<arg1>	- a global identifier


lm_uncheck_item_id

32 ($20)

Syntax

lm_uncheck_item_id <arg1>

<arg1>	- a 32 bit number


lm_user_delete_item

02 ($02)

Syntax

lm_user_delete_item <arg1>

<arg1>	- a 32 bit number


MAN	- Display

01 ($01)

Following is a list of atoms in this protocol:

man_add_date_time

man_add_title_date_time

man_add_title_tab

man_add_title_text

man_append_data

man_build_font_list

man_change_context_relative

man_check_and_set_context_rid

man_clear_file_name

man_clear_object

man_clear_relative

man_close

man_close_children

man_close_update

man_copy_object

man_cut_object

man_display_popup_menu

man_do_edit_menu

man_do_magic_response_id

man_do_magic_token_arg

man_enable_continuous_timer

man_enable_one_shot_timer

man_end_context

man_end_data

man_end_object

man_end_title

man_force_old_style_dod

man_force_update

man_get_attribute

man_get_child_count

man_get_dropped_url

man_get_first_response_id

man_get_first_window

man_get_index_by_title

man_get_next_response_id

man_get_next_window

man_get_request_window

man_get_response_window

man_get_top_window

man_ignore_response

man_insert_object_after

man_insert_object_before

man_is_rendered

man_is_response_ignored

man_is_response_pending

man_is_window_iconic

man_item_get

man_item_set

man_kill_timer

man_logging_command

man_make_focus

man_obj_stack_pop

man_obj_stack_push

man_paste_object

man_place_cursor

man_post_update_gid

man_preset_authoring_form

man_preset_gid

man_preset_relative

man_preset_tag

man_preset_title

man_preset_url

man_replace_data

man_response_pop

man_set_append_secure_data

man_set_context_globalid

man_set_context_index

man_set_context_relative

man_set_context_response_id

man_set_default_title

man_set_domain_info

man_set_domain_type

man_set_edit_position

man_set_edit_position_to_end

man_set_item_type

man_set_response_id

man_spell_check

man_start_alpha

man_start_first

man_start_ip_session

man_start_last

man_start_object

man_start_sibling

man_start_title

man_update_display

man_update_end_object

man_update_fonts

man_update_woff_end_stream

man_use_default_title

man_wm_close


man_add_date_time

84 ($54)

Syntax

man_add_date_time <arg1>

<arg1>	- a 32 bit number


man_add_title_date_time

88 ($58)

Syntax

man_add_title_date_time <arg1>

<arg1>	- a list of hex numbers


man_add_title_tab

87 ($57)

Syntax

man_add_title_tab <arg1>

<arg1>	- a list of hex numbers


man_add_title_text

86 ($56)

Syntax

man_add_title_text <arg1>

<arg1>	- a string


man_append_data

20 ($14)

Syntax

man_append_data <arg1>

<arg1>	- a string


man_build_font_list

94 ($5e)

Syntax

man_build_font_list <arg1>

<arg1>	- a list of hex numbers


man_change_context_relative

12 ($0c)

Syntax

man_change_context_relative <arg1>

<arg1>	- a 32 bit number


man_check_and_set_context_rid

68 ($44)

Syntax

man_check_and_set_context_rid <arg1>

<arg1>	- a 32 bit number


man_clear_file_name

69 ($45)

Syntax

man_clear_file_name <arg1>

<arg1>	- a list of hex numbers


man_clear_object

15 ($0f)

Syntax

man_clear_object <arg1>

<arg1>	- a global identifier


man_clear_relative

14 ($0e)

Syntax

man_clear_relative <arg1>

<arg1>	- a 32 bit number


man_close

03 ($03)

Syntax

man_close <arg1>

<arg1>	- a global identifier


man_close_children

04 ($04)

Syntax

man_close_children <arg1>

<arg1>	- a global identifier


man_close_update

28 ($1c)

Syntax

man_close_update <arg1>

<arg1>	- a global identifier


man_copy_object

46 ($2e)

Syntax

man_copy_object <arg1>

<arg1>	- a list of hex numbers


man_cut_object

45 ($2d)

Syntax

man_cut_object <arg1>

<arg1>	- a list of hex numbers


man_display_popup_menu

99 ($63)

Syntax

man_display_popup_menu <arg1>

<arg1>	- a 32 bit number


man_do_edit_menu

35 ($23)

Syntax

man_do_edit_menu <arg1>

<arg1>	- a 32 bit number


man_do_magic_response_id

06 ($06)

Syntax

man_do_magic_response_id <arg1>

<arg1>	- a 32 bit number


man_do_magic_token_arg

05 ($05)

Syntax

man_do_magic_token_arg <arg1>

<arg1>	- a two letter token followed by an argument in hex


man_enable_continuous_timer

76 ($4c)

Syntax

man_enable_continuous_timer <arg1>

<arg1>	- a list of hex numbers


man_enable_one_shot_timer

75 ($4b)

Syntax

man_enable_one_shot_timer <arg1>

<arg1>	- a list of hex numbers


man_end_context

29 ($1d)

Syntax

man_end_context <arg1>

<arg1>	- a list of hex numbers


man_end_data

73 ($49)

Syntax

man_end_data <arg1>

<arg1>	- a list of hex numbers


man_end_object

02 ($02)

Syntax

man_end_object <arg1>

<arg1>	- a list of hex numbers


man_end_title

89 ($59)

Syntax

man_end_title <arg1>

<arg1>	- a string


man_force_old_style_dod

92 ($5c)

Syntax

man_force_old_style_dod <arg1>

<arg1>	- a boolean value


man_force_update

78 ($4e)

Syntax

man_force_update <arg1>

<arg1>	- a list of hex numbers


man_get_attribute

64 ($40)

Syntax

man_get_attribute <arg1>

<arg1>	- an atom


man_get_child_count

67 ($43)

Syntax

man_get_child_count <arg1>

<arg1>	- a list of hex numbers


man_get_dropped_url

91 ($5b)

Syntax

man_get_dropped_url <arg1>

<arg1>	- a list of hex numbers


man_get_first_response_id

55 ($37)

Syntax

man_get_first_response_id <arg1>

<arg1>	- a list of hex numbers


man_get_first_window

60 ($3c)

Syntax

man_get_first_window <arg1>

<arg1>	- a list of hex numbers


man_get_index_by_title

37 ($25)

Syntax

man_get_index_by_title <arg1>

<arg1>	- a string


man_get_next_response_id

56 ($38)

Syntax

man_get_next_response_id <arg1>

<arg1>	- a list of hex numbers


man_get_next_window

61 ($3d)

Syntax

man_get_next_window <arg1>

<arg1>	- a list of hex numbers


man_get_request_window

58 ($3a)

Syntax

man_get_request_window <arg1>

<arg1>	- a 32 bit number


man_get_response_window

57 ($39)

Syntax

man_get_response_window <arg1>

<arg1>	- a 32 bit number


man_get_top_window

54 ($36)

Syntax

man_get_top_window <arg1>

<arg1>	- a list of hex numbers


man_ignore_response

59 ($3b)

Syntax

man_ignore_response <arg1>

<arg1>	- a 32 bit number


man_insert_object_after

44 ($2c)

Syntax

man_insert_object_after <arg1>

<arg1>	- a 32 bit number


man_insert_object_before

52 ($34)

Syntax

man_insert_object_before <arg1>

<arg1>	- a 32 bit number


man_is_rendered

48 ($30)

Syntax

man_is_rendered <arg1>

<arg1>	- a list of hex numbers


man_is_response_ignored

63 ($3f)

Syntax

man_is_response_ignored <arg1>

<arg1>	- a 32 bit number


man_is_response_pending

62 ($3e)

Syntax

man_is_response_pending <arg1>

<arg1>	- a 32 bit number


man_is_window_iconic

71 ($47)

Syntax

man_is_window_iconic <arg1>

<arg1>	- a global identifier


man_item_get

32 ($20)

Syntax

man_item_get <arg1>

<arg1>	- a 32 bit number


man_item_set

33 ($21)

Syntax

man_item_set <arg1>

<arg1>	- a list of hex numbers


man_kill_timer

77 ($4d)

Syntax

man_kill_timer <arg1>

<arg1>	- a list of hex numbers


man_logging_command

36 ($24)

Syntax

man_logging_command <arg1>

<arg1>	- a 32 bit number


man_make_focus

53 ($35)

Syntax

man_make_focus <arg1>

<arg1>	- a global identifier


man_obj_stack_pop

98 ($62)

Syntax

man_obj_stack_pop <arg1>

<arg1>	- a 32 bit number


man_obj_stack_push

97 ($61)

Syntax

man_obj_stack_push <arg1>

<arg1>	- a global identifier


man_paste_object

47 ($2f)

Syntax

man_paste_object <arg1>

<arg1>	- a list of hex numbers


man_place_cursor

24 ($18)

Syntax

man_place_cursor <arg1>

<arg1>	- a 32 bit number


man_post_update_gid

72 ($48)

Syntax

man_post_update_gid <arg1>

<arg1>	- a global identifier


man_preset_authoring_form

83 ($53)

Syntax

man_preset_authoring_form <arg1>

<arg1>	- a list of hex numbers


man_preset_gid

22 ($16)

Syntax

man_preset_gid <arg1>

<arg1>	- a global identifier


man_preset_relative

51 ($33)

Syntax

man_preset_relative <arg1>

<arg1>	- a 32 bit number


man_preset_tag

93 ($5d)

Syntax

man_preset_tag <arg1>

<arg1>	- a list of hex numbers


man_preset_title

23 ($17)

Syntax

man_preset_title <arg1>

<arg1>	- a string


man_preset_url

90 ($5a)

Syntax

man_preset_url <arg1>

<arg1>	- a string


man_replace_data

21 ($15)

Syntax

man_replace_data <arg1>

<arg1>	- a string


man_response_pop

27 ($1b)

Syntax

man_response_pop <arg1>

<arg1>	- a 32 bit number


man_set_append_secure_data

101 ($65)

Syntax

man_set_append_secure_data <arg1>

<arg1>	- a string


man_set_context_globalid

09 ($09)

Syntax

man_set_context_globalid <arg1>

<arg1>	- a global identifier


man_set_context_index

11 ($0b)

Syntax

man_set_context_index <arg1>

<arg1>	- a 32 bit number


man_set_context_relative

10 ($0a)

Syntax

man_set_context_relative <arg1>

<arg1>	- a 32 bit number


man_set_context_response_id

08 ($08)

Syntax

man_set_context_response_id <arg1>

<arg1>	- a 32 bit number


man_set_default_title

66 ($42)

Syntax

man_set_default_title <arg1>

<arg1>	- a string


man_set_domain_info

26 ($1a)

Syntax

man_set_domain_info <arg1>

<arg1>	- a list of hex numbers


man_set_domain_type

25 ($19)

Syntax

man_set_domain_type <arg1>

<arg1>	- a list of hex numbers


man_set_edit_position

81 ($51)

Syntax

man_set_edit_position <arg1>

<arg1>	- a 32 bit number


man_set_edit_position_to_end

82 ($52)

Syntax

man_set_edit_position_to_end <arg1>

<arg1>	- a 32 bit number


man_set_item_type

65 ($41)

Syntax

man_set_item_type <arg1>

<arg1>	- a 32 bit number


man_set_response_id

07 ($07)

Syntax

man_set_response_id <arg1>

<arg1>	- a 32 bit number


man_spell_check

96 ($60)

Syntax

man_spell_check <arg1>

<arg1>	- a list of hex numbers


man_start_alpha

40 ($28)

Syntax

man_start_alpha <arg1>

<arg1>	- the type of an object, followed by title string


man_start_first

34 ($22)

Syntax

man_start_first <arg1>

<arg1>	- the type of an object, followed by title string


man_start_ip_session

103 ($67)

Syntax

man_start_ip_session <arg1>

<arg1>	- a two letter token followed by an argument in hex


man_start_last

41 ($29)

Syntax

man_start_last <arg1>

<arg1>	- the type of an object, followed by title string


man_start_object

00 ($00)

Syntax

man_start_object <arg1>

<arg1>	- the type of an object, followed by title string


man_start_sibling

01 ($01)

Syntax

man_start_sibling <arg1>

<arg1>	- the type of an object, followed by title string


man_start_title

85 ($55)

Syntax

man_start_title <arg1>

<arg1>	- a string


man_update_display

17 ($11)

Syntax

man_update_display <arg1>

<arg1>	- a global identifier


man_update_end_object

19 ($13)

Syntax

man_update_end_object <arg1>

<arg1>	- a list of hex numbers


man_update_fonts

74 ($4a)

Syntax

man_update_fonts <arg1>

<arg1>	- a list of hex numbers


man_update_woff_end_stream

18 ($12)

Syntax

man_update_woff_end_stream <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


man_use_default_title

16 ($10)

Syntax

man_use_default_title <arg1>

<arg1>	- a list of hex numbers


man_wm_close

100 ($64)

Syntax

man_wm_close <arg1>

<arg1>	- a list of hex numbers


MAT	- Display Attribute

16 ($10)

Following is a list of atoms in this protocol:

mat_art_animation_rate

mat_art_animation_seq

mat_art_frame

mat_art_hint_height

mat_art_hint_placeholder_id

mat_art_hint_select_placeholder

mat_art_hint_title

mat_art_hint_title_font_id

mat_art_hint_title_font_size

mat_art_hint_title_font_style

mat_art_hint_title_x

mat_art_hint_title_y

mat_art_hint_width

mat_art_id

mat_bool_active_offline

mat_bool_active_online

mat_bool_background_flood

mat_bool_background_pic

mat_bool_background_tile

mat_bool_child_line_feed

mat_bool_child_movable

mat_bool_child_removable

mat_bool_children_movable

mat_bool_children_removable

mat_bool_contiguous

mat_bool_customizable

mat_bool_default

mat_bool_default_send

mat_bool_detachable

mat_bool_detached

mat_bool_disabled

mat_bool_dock_horizontal

mat_bool_dock_vertical

mat_bool_double_space

mat_bool_draw_focus

mat_bool_drop_at_top

mat_bool_dropdown_button

mat_bool_encode_unicode

mat_bool_expand_to_fit

mat_bool_exportable

mat_bool_first_script

mat_bool_floating

mat_bool_force_no_scroll

mat_bool_force_scroll

mat_bool_gradual_shadow

mat_bool_graphic_view

mat_bool_hidden

mat_bool_horizontal_scroll

mat_bool_ignore

mat_bool_ignore_url_list

mat_bool_importable

mat_bool_inactive_for_guest

mat_bool_invert

mat_bool_invisible

mat_bool_language_popup

mat_bool_list_allow_entry

mat_bool_list_icons

mat_bool_loggable

mat_bool_menu

mat_bool_modal

mat_bool_modified

mat_bool_no_border

mat_bool_non_closeable

mat_bool_page_control

mat_bool_palette

mat_bool_palette_art

mat_bool_permanent

mat_bool_popup_menu

mat_bool_precise

mat_bool_protected_input

mat_bool_repeat_animation

mat_bool_resize_horizontal

mat_bool_resize_vertical

mat_bool_sane

mat_bool_shared_style

mat_bool_small_icon

mat_bool_tool_group

mat_bool_url_sink

mat_bool_vertical_scroll

mat_bool_writeable

mat_border

mat_capacity

mat_color_bottom_edge

mat_color_face

mat_color_frame_hilight

mat_color_frame_shadow

mat_color_selected

mat_color_text

mat_color_text_shadow

mat_color_top_edge

mat_command_key

mat_content_tag

mat_context_help

mat_dirty_query

mat_drop_data_type

mat_field_script

mat_font_id

mat_font_sis

mat_font_size

mat_font_style

mat_form_icon

mat_fp_compose_mail

mat_fp_save_to_fp

mat_fp_send_im

mat_frame_style

mat_height

mat_horizontal_spacing

mat_horz_scroll_capacity

mat_horz_scroll_value

mat_iconify_as

mat_increment

mat_language_sensitive

mat_link_content_to_rid

mat_log_object

mat_managed_by

mat_maximum

mat_minimum

mat_object_color

mat_object_id

mat_object_index

mat_object_type

mat_orientation

mat_paragraph

mat_plus_group

mat_popup_pfc_path

mat_popup_relative_id

mat_position

mat_precise_height

mat_precise_width

mat_precise_x

mat_precise_y

mat_relative_tag

mat_ruler

mat_scroll_threshold

mat_secure_field

mat_secure_form

mat_set_dflt_extract_type

mat_shortcut_key

mat_sink

mat_size

mat_sort_order

mat_style_id

mat_tab_get_cur_sel

mat_tab_set_cur_sel

mat_text_on_picture_pos

mat_timer_duration

mat_timer_event

mat_title

mat_title_append_screen_name

mat_title_pos

mat_title_width

mat_trigger_style

mat_unfocused

mat_url

mat_url_list

mat_url_next

mat_url_parent

mat_url_prev

mat_validation

mat_value

mat_vert_scroll_capacity

mat_vert_scroll_value

mat_vertical_spacing

mat_width


mat_art_animation_rate

98 ($62)

Syntax

mat_art_animation_rate <arg1>

<arg1>	- a 32 bit number


mat_art_animation_seq

99 ($63)

Syntax

mat_art_animation_seq <arg1>

<arg1>	- a list of 8 bit numbers


mat_art_frame

97 ($61)

Syntax

mat_art_frame <arg1>

<arg1>	- a 32 bit number


mat_art_hint_height

122 ($7a)

Syntax

mat_art_hint_height <arg1>

<arg1>	- a 32 bit number


mat_art_hint_placeholder_id

124 ($7c)

Syntax

mat_art_hint_placeholder_id <arg1>

<arg1>	- a global identifier


mat_art_hint_select_placeholder

132 ($84)

Syntax

mat_art_hint_select_placeholder <arg1>

<arg1>	- a 32 bit number


mat_art_hint_title

123 ($7b)

Syntax

mat_art_hint_title <arg1>

<arg1>	- a string


mat_art_hint_title_font_id

129 ($81)

Syntax

mat_art_hint_title_font_id <arg1>

<arg1>	- a 32 bit number


mat_art_hint_title_font_size

128 ($80)

Syntax

mat_art_hint_title_font_size <arg1>

<arg1>	- a 32 bit number


mat_art_hint_title_font_style

130 ($82)

Syntax

mat_art_hint_title_font_style <arg1>

<arg1>	- a 32 bit number


mat_art_hint_title_x

125 ($7d)

Syntax

mat_art_hint_title_x <arg1>

<arg1>	- a 32 bit number


mat_art_hint_title_y

127 ($7f)

Syntax

mat_art_hint_title_y <arg1>

<arg1>	- a 32 bit number


mat_art_hint_width

121 ($79)

Syntax

mat_art_hint_width <arg1>

<arg1>	- a 32 bit number


mat_art_id

14 ($0e)

Syntax

mat_art_id <arg1>

<arg1>	- a global identifier


mat_bool_active_offline

157 ($9d)

Syntax

mat_bool_active_offline <arg1>

<arg1>	- a boolean value


mat_bool_active_online

158 ($9e)

Syntax

mat_bool_active_online <arg1>

<arg1>	- a boolean value


mat_bool_background_flood

94 ($5e)

Syntax

mat_bool_background_flood <arg1>

<arg1>	- a boolean value


mat_bool_background_pic

93 ($5d)

Syntax

mat_bool_background_pic <arg1>

<arg1>	- a boolean value


mat_bool_background_tile

101 ($65)

Syntax

mat_bool_background_tile <arg1>

<arg1>	- a boolean value


mat_bool_child_line_feed

151 ($97)

Syntax

mat_bool_child_line_feed <arg1>

<arg1>	- a boolean value


mat_bool_child_movable

150 ($96)

Syntax

mat_bool_child_movable <arg1>

<arg1>	- a boolean value


mat_bool_child_removable

149 ($95)

Syntax

mat_bool_child_removable <arg1>

<arg1>	- a boolean value


mat_bool_children_movable

148 ($94)

Syntax

mat_bool_children_movable <arg1>

<arg1>	- a boolean value


mat_bool_children_removable

147 ($93)

Syntax

mat_bool_children_removable <arg1>

<arg1>	- a boolean value


mat_bool_contiguous

41 ($29)

Syntax

mat_bool_contiguous <arg1>

<arg1>	- a boolean value


mat_bool_customizable

143 ($8f)

Syntax

mat_bool_customizable <arg1>

<arg1>	- a boolean value


mat_bool_default

02 ($02)

Syntax

mat_bool_default <arg1>

<arg1>	- a boolean value


mat_bool_default_send

43 ($2b)

Syntax

mat_bool_default_send <arg1>

<arg1>	- a boolean value


mat_bool_detachable

144 ($90)

Syntax

mat_bool_detachable <arg1>

<arg1>	- a boolean value


mat_bool_detached

142 ($8e)

Syntax

mat_bool_detached <arg1>

<arg1>	- a boolean value


mat_bool_disabled

01 ($01)

Syntax

mat_bool_disabled <arg1>

<arg1>	- a boolean value


mat_bool_dock_horizontal

145 ($91)

Syntax

mat_bool_dock_horizontal <arg1>

<arg1>	- a boolean value


mat_bool_dock_vertical

146 ($92)

Syntax

mat_bool_dock_vertical <arg1>

<arg1>	- a boolean value


mat_bool_double_space

44 ($2c)

Syntax

mat_bool_double_space <arg1>

<arg1>	- a boolean value


mat_bool_draw_focus

165 ($a5)

Syntax

mat_bool_draw_focus <arg1>

<arg1>	- a boolean value


mat_bool_drop_at_top

114 ($72)

Syntax

mat_bool_drop_at_top <arg1>

<arg1>	- a boolean value


mat_bool_dropdown_button

160 ($a0)

Syntax

mat_bool_dropdown_button <arg1>

<arg1>	- a boolean value


mat_bool_encode_unicode

134 ($86)

Syntax

mat_bool_encode_unicode <arg1>

<arg1>	- a boolean value


mat_bool_expand_to_fit

110 ($6e)

Syntax

mat_bool_expand_to_fit <arg1>

<arg1>	- a boolean value


mat_bool_exportable

37 ($25)

Syntax

mat_bool_exportable <arg1>

<arg1>	- a boolean value


mat_bool_first_script

106 ($6a)

Syntax

mat_bool_first_script <arg1>

<arg1>	- a boolean value


mat_bool_floating

40 ($28)

Syntax

mat_bool_floating <arg1>

<arg1>	- a boolean value


mat_bool_force_no_scroll

35 ($23)

Syntax

mat_bool_force_no_scroll <arg1>

<arg1>	- a boolean value


mat_bool_force_scroll

33 ($21)

Syntax

mat_bool_force_scroll <arg1>

<arg1>	- a boolean value


mat_bool_gradual_shadow

86 ($56)

Syntax

mat_bool_gradual_shadow <arg1>

<arg1>	- a boolean value


mat_bool_graphic_view

27 ($1b)

Syntax

mat_bool_graphic_view <arg1>

<arg1>	- a boolean value


mat_bool_hidden

07 ($07)

Syntax

mat_bool_hidden <arg1>

<arg1>	- a boolean value


mat_bool_horizontal_scroll

32 ($20)

Syntax

mat_bool_horizontal_scroll <arg1>

<arg1>	- a boolean value


mat_bool_ignore

72 ($48)

Syntax

mat_bool_ignore <arg1>

<arg1>	- a boolean value


mat_bool_ignore_url_list

162 ($a2)

Syntax

mat_bool_ignore_url_list <arg1>

<arg1>	- a boolean value


mat_bool_importable

38 ($26)

Syntax

mat_bool_importable <arg1>

<arg1>	- a boolean value


mat_bool_inactive_for_guest

159 ($9f)

Syntax

mat_bool_inactive_for_guest <arg1>

<arg1>	- a boolean value


mat_bool_invert

63 ($3f)

Syntax

mat_bool_invert <arg1>

<arg1>	- a boolean value


mat_bool_invisible

06 ($06)

Syntax

mat_bool_invisible <arg1>

<arg1>	- a boolean value


mat_bool_language_popup

117 ($75)

Syntax

mat_bool_language_popup <arg1>

<arg1>	- a boolean value


mat_bool_list_allow_entry

108 ($6c)

Syntax

mat_bool_list_allow_entry <arg1>

<arg1>	- a boolean value


mat_bool_list_icons

26 ($1a)

Syntax

mat_bool_list_icons <arg1>

<arg1>	- a boolean value


mat_bool_loggable

169 ($a9)

Syntax

mat_bool_loggable <arg1>

<arg1>	- a boolean value


mat_bool_menu

42 ($2a)

Syntax

mat_bool_menu <arg1>

<arg1>	- a boolean value


mat_bool_modal

05 ($05)

Syntax

mat_bool_modal <arg1>

<arg1>	- a boolean value


mat_bool_modified

75 ($4b)

Syntax

mat_bool_modified <arg1>

<arg1>	- a boolean value


mat_bool_no_border

74 ($4a)

Syntax

mat_bool_no_border <arg1>

<arg1>	- a boolean value


mat_bool_non_closeable

36 ($24)

Syntax

mat_bool_non_closeable <arg1>

<arg1>	- a boolean value


mat_bool_page_control

140 ($8c)

Syntax

mat_bool_page_control <arg1>

<arg1>	- a boolean value


mat_bool_palette

28 ($1c)

Syntax

mat_bool_palette <arg1>

<arg1>	- a boolean value


mat_bool_palette_art

119 ($77)

Syntax

mat_bool_palette_art <arg1>

<arg1>	- a boolean value


mat_bool_permanent

71 ($47)

Syntax

mat_bool_permanent <arg1>

<arg1>	- a boolean value


mat_bool_popup_menu

161 ($a1)

Syntax

mat_bool_popup_menu <arg1>

<arg1>	- a boolean value


mat_bool_precise

77 ($4d)

Syntax

mat_bool_precise <arg1>

<arg1>	- a boolean value


mat_bool_protected_input

34 ($22)

Syntax

mat_bool_protected_input <arg1>

<arg1>	- a boolean value


mat_bool_repeat_animation

100 ($64)

Syntax

mat_bool_repeat_animation <arg1>

<arg1>	- a boolean value


mat_bool_resize_horizontal

04 ($04)

Syntax

mat_bool_resize_horizontal <arg1>

<arg1>	- a boolean value


mat_bool_resize_vertical

03 ($03)

Syntax

mat_bool_resize_vertical <arg1>

<arg1>	- a boolean value


mat_bool_sane

112 ($70)

Syntax

mat_bool_sane <arg1>

<arg1>	- a boolean value


mat_bool_shared_style

156 ($9c)

Syntax

mat_bool_shared_style <arg1>

<arg1>	- a boolean value


mat_bool_small_icon

131 ($83)

Syntax

mat_bool_small_icon <arg1>

<arg1>	- a boolean value


mat_bool_tool_group

126 ($7e)

Syntax

mat_bool_tool_group <arg1>

<arg1>	- a boolean value


mat_bool_url_sink

113 ($71)

Syntax

mat_bool_url_sink <arg1>

<arg1>	- a boolean value


mat_bool_vertical_scroll

00 ($00)

Syntax

mat_bool_vertical_scroll <arg1>

<arg1>	- a boolean value


mat_bool_writeable

39 ($27)

Syntax

mat_bool_writeable <arg1>

<arg1>	- a boolean value


mat_border

52 ($34)

Syntax

mat_border <arg1>

<arg1>	- a list of hex numbers


mat_capacity

09 ($09)

Syntax

mat_capacity <arg1>

<arg1>	- a 32 bit number


mat_color_bottom_edge

85 ($55)

Syntax

mat_color_bottom_edge <arg1>

<arg1>	- a list of 8 bit numbers


mat_color_face

82 ($52)

Syntax

mat_color_face <arg1>

<arg1>	- a list of 8 bit numbers


mat_color_frame_hilight

95 ($5f)

Syntax

mat_color_frame_hilight <arg1>

<arg1>	- a list of 8 bit numbers


mat_color_frame_shadow

96 ($60)

Syntax

mat_color_frame_shadow <arg1>

<arg1>	- a list of 8 bit numbers


mat_color_selected

89 ($59)

Syntax

mat_color_selected <arg1>

<arg1>	- a list of 8 bit numbers


mat_color_text

83 ($53)

Syntax

mat_color_text <arg1>

<arg1>	- a list of 8 bit numbers


mat_color_text_shadow

90 ($5a)

Syntax

mat_color_text_shadow <arg1>

<arg1>	- a list of 8 bit numbers


mat_color_top_edge

84 ($54)

Syntax

mat_color_top_edge <arg1>

<arg1>	- a list of 8 bit numbers


mat_command_key

53 ($35)

Syntax

mat_command_key <arg1>

<arg1>	- a list of hex numbers


mat_content_tag

116 ($74)

Syntax

mat_content_tag <arg1>

<arg1>	- a string


mat_context_help

102 ($66)

Syntax

mat_context_help <arg1>

<arg1>	- a string


mat_dirty_query

54 ($36)

Syntax

mat_dirty_query <arg1>

<arg1>	- a boolean value


mat_drop_data_type

103 ($67)

Syntax

mat_drop_data_type <arg1>

<arg1>	- a 32 bit number


mat_field_script

104 ($68)

Syntax

mat_field_script <arg1>

<arg1>	- a 32 bit number


mat_font_id

48 ($30)

Syntax

mat_font_id <arg1>

<arg1>	- an exclusive set  - the available choices are:

arial

courier

times_roman

system

fixed_system

ms_serif

ms_sans_serif

small_fonts

courier_new

script

ms_mincho

ms_gothic


mat_font_sis

10 ($0a)

Syntax

mat_font_sis <arg1, arg2, arg3>

<arg1>	- an exclusive set  - the available choices are:

arial

courier

times_roman

system

fixed_system

ms_serif

ms_sans_serif

small_fonts

courier_new

script

ms_mincho

ms_gothic

<arg2>	- an 8 bit number

<arg3>	- a combination set - the available choices are:

normal

bold

italic

underline


mat_font_size

49 ($31)

Syntax

mat_font_size <arg1>

<arg1>	- a 32 bit number


mat_font_style

50 ($32)

Syntax

mat_font_style <arg1>

<arg1>	- a combination set - the available choices are:

normal

bold

italic

underline


mat_form_icon

115 ($73)

Syntax

mat_form_icon <arg1>

<arg1>	- a global identifier


mat_fp_compose_mail

137 ($89)

Syntax

mat_fp_compose_mail <arg1>

<arg1>	- a list of hex numbers


mat_fp_save_to_fp

139 ($8b)

Syntax

mat_fp_save_to_fp <arg1>

<arg1>	- a list of hex numbers


mat_fp_send_im

138 ($8a)

Syntax

mat_fp_send_im <arg1>

<arg1>	- a list of hex numbers


mat_frame_style

87 ($57)

Syntax

mat_frame_style <arg1>

<arg1>	- an exclusive set  - the available choices are:

none

single_line_pop_out

single_line_pop_in

pop_in

pop_out

double_line

shadow

highlight


mat_height

16 ($10)

Syntax

mat_height <arg1>

<arg1>	- a 32 bit number


mat_horizontal_spacing

57 ($39)

Syntax

mat_horizontal_spacing <arg1>

<arg1>	- a 32 bit number


mat_horz_scroll_capacity

47 ($2f)

Syntax

mat_horz_scroll_capacity <arg1>

<arg1>	- a 32 bit number


mat_horz_scroll_value

61 ($3d)

Syntax

mat_horz_scroll_value <arg1>

<arg1>	- a 32 bit number


mat_iconify_as

21 ($15)

Syntax

mat_iconify_as <arg1>

<arg1>	- a list of hex numbers


mat_increment

73 ($49)

Syntax

mat_increment <arg1>

<arg1>	- a 32 bit number


mat_language_sensitive

118 ($76)

Syntax

mat_language_sensitive <arg1>

<arg1>	- a 32 bit number


mat_link_content_to_rid

76 ($4c)

Syntax

mat_link_content_to_rid <arg1>

<arg1>	- a 32 bit number


mat_log_object

65 ($41)

Syntax

mat_log_object <arg1>

<arg1>	- an exclusive set  - the available choices are:

session_log

chat_log

im_log

no_log


mat_managed_by

55 ($37)

Syntax

mat_managed_by <arg1>

<arg1>	- a 32 bit number


mat_maximum

60 ($3c)

Syntax

mat_maximum <arg1>

<arg1>	- a 32 bit number


mat_minimum

59 ($3b)

Syntax

mat_minimum <arg1>

<arg1>	- a 32 bit number


mat_object_color

19 ($13)

Syntax

mat_object_color <arg1>

<arg1>	- a list of 8 bit numbers


mat_object_id

12 ($0c)

Syntax

mat_object_id <arg1>

<arg1>	- a global identifier


mat_object_index

133 ($85)

Syntax

mat_object_index <arg1>

<arg1>	- a 32 bit number


mat_object_type

45 ($2d)

Syntax

mat_object_type <arg1>

<arg1>	- the type of an object, followed by title string


mat_orientation

08 ($08)

Syntax

mat_orientation <arg1>

<arg1>	- a three letter code indicating the orienation and justification


mat_paragraph

66 ($42)

Syntax

mat_paragraph <arg1>

<arg1>	- a boolean value


mat_plus_group

22 ($16)

Syntax

mat_plus_group <arg1>

<arg1>	- a list of hex numbers


mat_popup_pfc_path

164 ($a4)

Syntax

mat_popup_pfc_path <arg1>

<arg1>	- a string


mat_popup_relative_id

163 ($a3)

Syntax

mat_popup_relative_id <arg1>

<arg1>	- a 32 bit number


mat_position

64 ($40)

Syntax

mat_position <arg1>

<arg1>	- an exclusive set  - the available choices are:

cascade

top_left

top_center

top_right

center_left

center_center

center_right

bottom_left

bottom_center

bottom_right


mat_precise_height

79 ($4f)

Syntax

mat_precise_height <arg1>

<arg1>	- a 32 bit number


mat_precise_width

78 ($4e)

Syntax

mat_precise_width <arg1>

<arg1>	- a 32 bit number


mat_precise_x

80 ($50)

Syntax

mat_precise_x <arg1>

<arg1>	- a 32 bit number


mat_precise_y

81 ($51)

Syntax

mat_precise_y <arg1>

<arg1>	- a 32 bit number


mat_relative_tag

11 ($0b)

Syntax

mat_relative_tag <arg1>

<arg1>	- a 32 bit number


mat_ruler

18 ($12)

Syntax

mat_ruler <arg1>

<arg1>	- a list of 8 bit numbers


mat_scroll_threshold

67 ($43)

Syntax

mat_scroll_threshold <arg1>

<arg1>	- a 32 bit number


mat_secure_field

170 ($aa)

Syntax

mat_secure_field <arg1>

<arg1>	- a 32 bit number


mat_secure_form

136 ($88)

Syntax

mat_secure_form <arg1>

<arg1>	- a two letter token followed by an argument in hex


mat_set_dflt_extract_type

120 ($78)

Syntax

mat_set_dflt_extract_type <arg1>

<arg1>	- a 32 bit number


mat_shortcut_key

68 ($44)

Syntax

mat_shortcut_key <arg1>

<arg1>	- a string


mat_sink

111 ($6f)

Syntax

mat_sink <arg1>

<arg1>	- a string


mat_size

23 ($17)

Syntax

mat_size <arg1, arg2, arg3>

<arg1>	- an 8 bit number

<arg2>	- an 8 bit number

<arg3>	- a 16 bit number


mat_sort_order

69 ($45)

Syntax

mat_sort_order <arg1>

<arg1>	- an exclusive set  - the available choices are:

normal

reverse

alphabetical


mat_style_id

58 ($3a)

Syntax

mat_style_id <arg1>

<arg1>	- a global identifier


mat_tab_get_cur_sel

155 ($9b)

Syntax

mat_tab_get_cur_sel <arg1>

<arg1>	- a list of hex numbers


mat_tab_set_cur_sel

154 ($9a)

Syntax

mat_tab_set_cur_sel <arg1>

<arg1>	- a 32 bit number


mat_text_on_picture_pos

135 ($87)

Syntax

mat_text_on_picture_pos <arg1>

<arg1>	- an exclusive set  - the available choices are:

art_upper_left

art_upper_center

art_upper_right

art_middle_left

art_middle_center

art_middle_right

art_lower_left

art_lower_center

art_lower_right

title_upper_left

title_upper_center

title_upper_right

title_middle_left

title_middle_center

title_middle_right

title_lower_left

title_lower_center

art_lower_right


mat_timer_duration

92 ($5c)

Syntax

mat_timer_duration <arg1>

<arg1>	- a 32 bit number


mat_timer_event

91 ($5b)

Syntax

mat_timer_event <arg1>

<arg1>	- a 32 bit number


mat_title

24 ($18)

Syntax

mat_title <arg1>

<arg1>	- a string


mat_title_append_screen_name

152 ($98)

Syntax

mat_title_append_screen_name <arg1>

<arg1>	- an exclusive set  - the available choices are:

prepend_with_s

append_with_for


mat_title_pos

17 ($11)

Syntax

mat_title_pos <arg1>

<arg1>	- an exclusive set  - the available choices are:

left

above

right

below

center

top_or_left

bottom_or_right


mat_title_width

25 ($19)

Syntax

mat_title_width <arg1>

<arg1>	- a 32 bit number


mat_trigger_style

88 ($58)

Syntax

mat_trigger_style <arg1>

<arg1>	- an exclusive set  - the available choices are:

default

place

rectangle

picture

framed

bottom_tab

plain_picture

group_state


mat_unfocused

70 ($46)

Syntax

mat_unfocused <arg1>

<arg1>	- a boolean value


mat_url

109 ($6d)

Syntax

mat_url <arg1>

<arg1>	- a string


mat_url_list

153 ($99)

Syntax

mat_url_list <arg1>

<arg1>	- an exclusive set  - the available choices are:

none

mru

history


mat_url_next

166 ($a6)

Syntax

mat_url_next <arg1>

<arg1>	- a string


mat_url_parent

168 ($a8)

Syntax

mat_url_parent <arg1>

<arg1>	- a string


mat_url_prev

167 ($a7)

Syntax

mat_url_prev <arg1>

<arg1>	- a string


mat_validation

56 ($38)

Syntax

mat_validation <arg1>

<arg1>	- a 32 bit number


mat_value

51 ($33)

Syntax

mat_value <arg1>

<arg1>	- a 32 bit number


mat_vert_scroll_capacity

46 ($2e)

Syntax

mat_vert_scroll_capacity <arg1>

<arg1>	- a 32 bit number


mat_vert_scroll_value

62 ($3e)

Syntax

mat_vert_scroll_value <arg1>

<arg1>	- a 32 bit number


mat_vertical_spacing

20 ($14)

Syntax

mat_vertical_spacing <arg1>

<arg1>	- a 32 bit number


mat_width

15 ($0f)

Syntax

mat_width <arg1>

<arg1>	- a 32 bit number


MF	- MF?

63 ($3f)

Following is a list of atoms in this protocol:

mf_add_condition

mf_add_filter

mf_modify_object

mf_save_object


mf_add_condition

02 ($02)

Syntax

mf_add_condition <arg1>

<arg1>	- a list of hex numbers


mf_add_filter

01 ($01)

Syntax

mf_add_filter <arg1>

<arg1>	- a list of hex numbers


mf_modify_object

03 ($03)

Syntax

mf_modify_object <arg1>

<arg1>	- a list of hex numbers


mf_save_object

04 ($04)

Syntax

mf_save_object <arg1>

<arg1>	- a list of hex numbers


MIP	- Message

17 ($11)

Following is a list of atoms in this protocol:

mip_abort

mip_abort_all

mip_action_command

mip_addressee

mip_addressee_comment

mip_attr_addressee_type

mip_attr_data_type

mip_attr_encoding_format

mip_attr_file_create_date

mip_attr_file_name

mip_attr_file_size

mip_attr_file_type

mip_attr_folder

mip_attr_list_type

mip_attr_message_type

mip_author

mip_bool_everyone_invisible

mip_bool_inet_quoting

mip_bool_return_receipt

mip_bool_will_ack

mip_change_message_status

mip_clear_active_names

mip_data

mip_display_mail_form

mip_do_not_reply_to

mip_edit_outbox

mip_end_block

mip_end_errors

mip_end_message

mip_end_of_data

mip_error

mip_flip_it

mip_forward

mip_get_active_name_count

mip_get_next_typed

mip_get_prev_typed

mip_header_accepted

mip_header_complete

mip_is_name_active

mip_message_accepted

mip_message_date

mip_message_datestr

mip_message_id

mip_preset_form_title

mip_preset_message_id

mip_read_mail

mip_reply_to

mip_scheduler_mode

mip_set_calling_form_id

mip_set_forward_ref

mip_set_name_active

mip_spell_check_send_later

mip_spell_check_send_now

mip_start_block

mip_start_errors

mip_start_message

mip_subject

mip_text


mip_abort

06 ($06)

Syntax

mip_abort <arg1>

<arg1>	- a list of hex numbers


mip_abort_all

42 ($2a)

Syntax

mip_abort_all <arg1>

<arg1>	- a list of hex numbers


mip_action_command

29 ($1d)

Syntax

mip_action_command <arg1>

<arg1>	- a list of hex numbers


mip_addressee

09 ($09)

Syntax

mip_addressee <arg1>

<arg1>	- a list of hex numbers


mip_addressee_comment

28 ($1c)

Syntax

mip_addressee_comment <arg1>

<arg1>	- a list of hex numbers


mip_attr_addressee_type

19 ($13)

Syntax

mip_attr_addressee_type <arg1>

<arg1>	- a list of hex numbers


mip_attr_data_type

20 ($14)

Syntax

mip_attr_data_type <arg1>

<arg1>	- a list of hex numbers


mip_attr_encoding_format

45 ($2d)

Syntax

mip_attr_encoding_format <arg1>

<arg1>	- a list of hex numbers


mip_attr_file_create_date

24 ($18)

Syntax

mip_attr_file_create_date <arg1>

<arg1>	- a list of hex numbers


mip_attr_file_name

21 ($15)

Syntax

mip_attr_file_name <arg1>

<arg1>	- a list of hex numbers


mip_attr_file_size

22 ($16)

Syntax

mip_attr_file_size <arg1>

<arg1>	- a list of hex numbers


mip_attr_file_type

23 ($17)

Syntax

mip_attr_file_type <arg1>

<arg1>	- a list of hex numbers


mip_attr_folder

41 ($29)

Syntax

mip_attr_folder <arg1>

<arg1>	- a string


mip_attr_list_type

27 ($1b)

Syntax

mip_attr_list_type <arg1>

<arg1>	- a list of hex numbers


mip_attr_message_type

25 ($19)

Syntax

mip_attr_message_type <arg1>

<arg1>	- a list of hex numbers


mip_author

15 ($0f)

Syntax

mip_author <arg1>

<arg1>	- a list of hex numbers


mip_bool_everyone_invisible

46 ($2e)

Syntax

mip_bool_everyone_invisible <arg1>

<arg1>	- a boolean value


mip_bool_inet_quoting

51 ($33)

Syntax

mip_bool_inet_quoting <arg1>

<arg1>	- a boolean value


mip_bool_return_receipt

26 ($1a)

Syntax

mip_bool_return_receipt <arg1>

<arg1>	- a list of hex numbers


mip_bool_will_ack

50 ($32)

Syntax

mip_bool_will_ack <arg1>

<arg1>	- a boolean value


mip_change_message_status

44 ($2c)

Syntax

mip_change_message_status <arg1>

<arg1>	- a 32 bit number


mip_clear_active_names

39 ($27)

Syntax

mip_clear_active_names <arg1>

<arg1>	- a list of hex numbers


mip_data

12 ($0c)

Syntax

mip_data <arg1>

<arg1>	- a list of hex numbers


mip_display_mail_form

54 ($36)

Syntax

mip_display_mail_form <arg1>

<arg1>	- a 32 bit number


mip_do_not_reply_to

48 ($30)

Syntax

mip_do_not_reply_to <arg1>

<arg1>	- a string


mip_edit_outbox

34 ($22)

Syntax

mip_edit_outbox <arg1>

<arg1>	- a list of hex numbers


mip_end_block

08 ($08)

Syntax

mip_end_block <arg1>

<arg1>	- a list of hex numbers


mip_end_errors

53 ($35)

Syntax

mip_end_errors <arg1>

<arg1>	- a list of hex numbers


mip_end_message

02 ($02)

Syntax

mip_end_message <arg1>

<arg1>	- a list of hex numbers


mip_end_of_data

31 ($1f)

Syntax

mip_end_of_data <arg1>

<arg1>	- a list of hex numbers


mip_error

05 ($05)

Syntax

mip_error <arg1>

<arg1>	- a list of hex numbers


mip_flip_it

33 ($21)

Syntax

mip_flip_it <arg1>

<arg1>	- a list of hex numbers


mip_forward

18 ($12)

Syntax

mip_forward <arg1>

<arg1>	- a list of hex numbers


mip_get_active_name_count

36 ($24)

Syntax

mip_get_active_name_count <arg1>

<arg1>	- a list of hex numbers


mip_get_next_typed

63 ($3f)

Syntax

mip_get_next_typed <arg1>

<arg1>	- a 32 bit number


mip_get_prev_typed

64 ($40)

Syntax

mip_get_prev_typed <arg1>

<arg1>	- a 32 bit number


mip_header_accepted

03 ($03)

Syntax

mip_header_accepted <arg1>

<arg1>	- a list of hex numbers


mip_header_complete

01 ($01)

Syntax

mip_header_complete <arg1>

<arg1>	- a list of hex numbers


mip_is_name_active

37 ($25)

Syntax

mip_is_name_active <arg1>

<arg1>	- a string


mip_message_accepted

04 ($04)

Syntax

mip_message_accepted <arg1>

<arg1>	- a list of hex numbers


mip_message_date

16 ($10)

Syntax

mip_message_date <arg1>

<arg1>	- a list of hex numbers


mip_message_datestr

17 ($11)

Syntax

mip_message_datestr <arg1>

<arg1>	- a list of hex numbers


mip_message_id

14 ($0e)

Syntax

mip_message_id <arg1>

<arg1>	- a list of hex numbers


mip_preset_form_title

35 ($23)

Syntax

mip_preset_form_title <arg1>

<arg1>	- a list of hex numbers


mip_preset_message_id

43 ($2b)

Syntax

mip_preset_message_id <arg1>

<arg1>	- a 32 bit number


mip_read_mail

49 ($31)

Syntax

mip_read_mail <arg1>

<arg1>	- a 32 bit number


mip_reply_to

47 ($2f)

Syntax

mip_reply_to <arg1>

<arg1>	- a string


mip_scheduler_mode

32 ($20)

Syntax

mip_scheduler_mode <arg1>

<arg1>	- a list of hex numbers


mip_set_calling_form_id

30 ($1e)

Syntax

mip_set_calling_form_id <arg1>

<arg1>	- a list of hex numbers


mip_set_forward_ref

40 ($28)

Syntax

mip_set_forward_ref <arg1>

<arg1>	- a 32 bit number


mip_set_name_active

38 ($26)

Syntax

mip_set_name_active <arg1>

<arg1>	- a string


mip_spell_check_send_later

67 ($43)

Syntax

mip_spell_check_send_later <arg1>

<arg1>	- a list of hex numbers


mip_spell_check_send_now

66 ($42)

Syntax

mip_spell_check_send_now <arg1>

<arg1>	- a list of hex numbers


mip_start_block

07 ($07)

Syntax

mip_start_block <arg1>

<arg1>	- a list of hex numbers


mip_start_errors

52 ($34)

Syntax

mip_start_errors <arg1>

<arg1>	- a list of hex numbers


mip_start_message

00 ($00)

Syntax

mip_start_message <arg1>

<arg1>	- a list of hex numbers


mip_subject

10 ($0a)

Syntax

mip_subject <arg1>

<arg1>	- a list of hex numbers


mip_text

11 ($0b)

Syntax

mip_text <arg1>

<arg1>	- a list of hex numbers


MMI	- Multimedia

20 ($14)

Following is a list of atoms in this protocol:

mmi_append_data

mmi_atr_loop

mmi_atr_rid_counter_digit

mmi_atr_rid_pause

mmi_atr_rid_play

mmi_atr_rid_rewind

mmi_atr_rid_stop

mmi_atr_toolbar

mmi_atr_type

mmi_db_id

mmi_end_data

mmi_get_attr_priority

mmi_manage

mmi_open_file

mmi_open_file_relative

mmi_pause

mmi_play

mmi_refresh_prefs

mmi_rewind

mmi_set_attr_priority

mmi_start_data

mmi_stop

mmi_xfer_data


mmi_append_data

11 ($0b)

Syntax

mmi_append_data <arg1>

<arg1>	- a list of hex numbers


mmi_atr_loop

18 ($12)

Syntax

mmi_atr_loop <arg1>

<arg1>	- a 32 bit number


mmi_atr_rid_counter_digit

17 ($11)

Syntax

mmi_atr_rid_counter_digit <arg1>

<arg1>	- a 32 bit number


mmi_atr_rid_pause

03 ($03)

Syntax

mmi_atr_rid_pause <arg1>

<arg1>	- a 32 bit number


mmi_atr_rid_play

02 ($02)

Syntax

mmi_atr_rid_play <arg1>

<arg1>	- a 32 bit number


mmi_atr_rid_rewind

05 ($05)

Syntax

mmi_atr_rid_rewind <arg1>

<arg1>	- a 32 bit number


mmi_atr_rid_stop

04 ($04)

Syntax

mmi_atr_rid_stop <arg1>

<arg1>	- a 32 bit number


mmi_atr_toolbar

01 ($01)

Syntax

mmi_atr_toolbar <arg1>

<arg1>	- a boolean value


mmi_atr_type

14 ($0e)

Syntax

mmi_atr_type <arg1>

<arg1>	- a 32 bit number


mmi_db_id

15 ($0f)

Syntax

mmi_db_id <arg1>

<arg1>	- a global identifier


mmi_end_data

12 ($0c)

Syntax

mmi_end_data <arg1>

<arg1>	- a list of hex numbers


mmi_get_attr_priority

22 ($16)

Syntax

mmi_get_attr_priority <arg1>

<arg1>	- a 32 bit number


mmi_manage

19 ($13)

Syntax

mmi_manage <arg1>

<arg1>	- a list of hex numbers


mmi_open_file

00 ($00)

Syntax

mmi_open_file <arg1>

<arg1>	- a string


mmi_open_file_relative

16 ($10)

Syntax

mmi_open_file_relative <arg1>

<arg1>	- a string


mmi_pause

07 ($07)

Syntax

mmi_pause <arg1>

<arg1>	- a list of hex numbers


mmi_play

06 ($06)

Syntax

mmi_play <arg1>

<arg1>	- a list of hex numbers


mmi_refresh_prefs

20 ($14)

Syntax

mmi_refresh_prefs <arg1>

<arg1>	- a list of hex numbers


mmi_rewind

09 ($09)

Syntax

mmi_rewind <arg1>

<arg1>	- a list of hex numbers


mmi_set_attr_priority

21 ($15)

Syntax

mmi_set_attr_priority <arg1>

<arg1>	- a 32 bit number


mmi_start_data

10 ($0a)

Syntax

mmi_start_data <arg1>

<arg1>	- a list of hex numbers


mmi_stop

08 ($08)

Syntax

mmi_stop <arg1>

<arg1>	- a list of hex numbers


mmi_xfer_data

23 ($17)

Syntax

mmi_xfer_data <arg1>

<arg1>	- a list of hex numbers


MORG	- Personal Filing Cabinet

24 ($18)

Following is a list of atoms in this protocol:

morg_act_on_selected

morg_add_bookmark

morg_atr_title

morg_atr_url

morg_delete_current_object

morg_edit_bookmark

morg_finish_jump_bookmark

morg_jump_bookmark

morg_jump_url

morg_manage

morg_modify_bookmark

morg_obj_can_create

morg_obj_can_delete

morg_obj_can_rename

morg_obj_count_children

morg_obj_destroy

morg_obj_destroy_children

morg_obj_end_context

morg_obj_end_obj

morg_obj_get_class

morg_obj_get_name

morg_obj_set_context

morg_obj_set_context_by_index

morg_obj_set_context_selection

morg_obj_start_bookmark

morg_obj_start_folder

morg_obj_start_obj

morg_pfc_cancel_compression

morg_pfc_check_db

morg_pfc_check_fragment

morg_pfc_compress_database

morg_prompt_create_folder

morg_prompt_rename_object

morg_replace_screenname

morg_save_folder

morg_set_bookmark_close_form

morg_set_bookmark_url

morg_set_selection

morg_set_tab_list

morg_swap_screenname

morg_view_allow_delete_key

morg_view_allow_multi_select

morg_view_has_mult_selections

morg_view_hide_folder

morg_view_highlight_full_line

morg_view_id

morg_view_include_root

morg_view_path

morg_view_search

morg_view_select_object

morg_view_set_to_spawn_path

morg_view_show_folder


morg_act_on_selected

45 ($2d)

Syntax

morg_act_on_selected <arg1>

<arg1>	- a 32 bit number


morg_add_bookmark

32 ($20)

Syntax

morg_add_bookmark <arg1>

<arg1>	- a string


morg_atr_title

21 ($15)

Syntax

morg_atr_title <arg1>

<arg1>	- a string


morg_atr_url

22 ($16)

Syntax

morg_atr_url <arg1>

<arg1>	- a string


morg_delete_current_object

01 ($01)

Syntax

morg_delete_current_object <arg1>

<arg1>	- a list of hex numbers


morg_edit_bookmark

35 ($23)

Syntax

morg_edit_bookmark <arg1>

<arg1>	- a list of hex numbers


morg_finish_jump_bookmark

36 ($24)

Syntax

morg_finish_jump_bookmark <arg1>

<arg1>	- a list of hex numbers


morg_jump_bookmark

31 ($1f)

Syntax

morg_jump_bookmark <arg1>

<arg1>	- a list of hex numbers


morg_jump_url

40 ($28)

Syntax

morg_jump_url <arg1>

<arg1>	- a string


morg_manage

11 ($0b)

Syntax

morg_manage <arg1>

<arg1>	- a list of hex numbers


morg_modify_bookmark

34 ($22)

Syntax

morg_modify_bookmark <arg1>

<arg1>	- a string


morg_obj_can_create

44 ($2c)

Syntax

morg_obj_can_create <arg1>

<arg1>	- a list of hex numbers


morg_obj_can_delete

28 ($1c)

Syntax

morg_obj_can_delete <arg1>

<arg1>	- a list of hex numbers


morg_obj_can_rename

29 ($1d)

Syntax

morg_obj_can_rename <arg1>

<arg1>	- a list of hex numbers


morg_obj_count_children

04 ($04)

Syntax

morg_obj_count_children <arg1>

<arg1>	- a list of hex numbers


morg_obj_destroy

10 ($0a)

Syntax

morg_obj_destroy <arg1>

<arg1>	- a string


morg_obj_destroy_children

16 ($10)

Syntax

morg_obj_destroy_children <arg1>

<arg1>	- a string


morg_obj_end_context

18 ($12)

Syntax

morg_obj_end_context <arg1>

<arg1>	- a list of hex numbers


morg_obj_end_obj

20 ($14)

Syntax

morg_obj_end_obj <arg1>

<arg1>	- a list of hex numbers


morg_obj_get_class

30 ($1e)

Syntax

morg_obj_get_class <arg1>

<arg1>	- a list of hex numbers


morg_obj_get_name

47 ($2f)

Syntax

morg_obj_get_name <arg1>

<arg1>	- a list of hex numbers


morg_obj_set_context

17 ($11)

Syntax

morg_obj_set_context <arg1>

<arg1>	- a string


morg_obj_set_context_by_index

48 ($30)

Syntax

morg_obj_set_context_by_index <arg1>

<arg1>	- a 32 bit number


morg_obj_set_context_selection

27 ($1b)

Syntax

morg_obj_set_context_selection <arg1>

<arg1>	- a list of hex numbers


morg_obj_start_bookmark

25 ($19)

Syntax

morg_obj_start_bookmark <arg1>

<arg1>	- a string


morg_obj_start_folder

24 ($18)

Syntax

morg_obj_start_folder <arg1>

<arg1>	- a string


morg_obj_start_obj

19 ($13)

Syntax

morg_obj_start_obj <arg1>

<arg1>	- a 32 bit number


morg_pfc_cancel_compression

41 ($29)

Syntax

morg_pfc_cancel_compression <arg1>

<arg1>	- a list of hex numbers


morg_pfc_check_db

42 ($2a)

Syntax

morg_pfc_check_db <arg1>

<arg1>	- a list of hex numbers


morg_pfc_check_fragment

43 ($2b)

Syntax

morg_pfc_check_fragment <arg1>

<arg1>	- a list of hex numbers


morg_pfc_compress_database

39 ($27)

Syntax

morg_pfc_compress_database <arg1>

<arg1>	- a list of hex numbers


morg_prompt_create_folder

00 ($00)

Syntax

morg_prompt_create_folder <arg1>

<arg1>	- a string


morg_prompt_rename_object

07 ($07)

Syntax

morg_prompt_rename_object <arg1>

<arg1>	- a list of hex numbers


morg_replace_screenname

54 ($36)

Syntax

morg_replace_screenname <arg1>

<arg1>	- a string


morg_save_folder

49 ($31)

Syntax

morg_save_folder <arg1>

<arg1>	- a list of hex numbers


morg_set_bookmark_close_form

37 ($25)

Syntax

morg_set_bookmark_close_form <arg1>

<arg1>	- a list of hex numbers


morg_set_bookmark_url

33 ($21)

Syntax

morg_set_bookmark_url <arg1>

<arg1>	- a string


morg_set_selection

52 ($34)

Syntax

morg_set_selection <arg1>

<arg1>	- a list of hex numbers


morg_set_tab_list

46 ($2e)

Syntax

morg_set_tab_list <arg1>

<arg1>	- a string


morg_swap_screenname

53 ($35)

Syntax

morg_swap_screenname <arg1>

<arg1>	- a string


morg_view_allow_delete_key

38 ($26)

Syntax

morg_view_allow_delete_key <arg1>

<arg1>	- a boolean value


morg_view_allow_multi_select

14 ($0e)

Syntax

morg_view_allow_multi_select <arg1>

<arg1>	- a boolean value


morg_view_has_mult_selections

26 ($1a)

Syntax

morg_view_has_mult_selections <arg1>

<arg1>	- a list of hex numbers


morg_view_hide_folder

50 ($32)

Syntax

morg_view_hide_folder <arg1>

<arg1>	- a string


morg_view_highlight_full_line

12 ($0c)

Syntax

morg_view_highlight_full_line <arg1>

<arg1>	- a boolean value


morg_view_id

03 ($03)

Syntax

morg_view_id <arg1>

<arg1>	- a global identifier


morg_view_include_root

06 ($06)

Syntax

morg_view_include_root <arg1>

<arg1>	- a boolean value


morg_view_path

02 ($02)

Syntax

morg_view_path <arg1>

<arg1>	- a string


morg_view_search

15 ($0f)

Syntax

morg_view_search <arg1>

<arg1>	- a list of hex numbers


morg_view_select_object

08 ($08)

Syntax

morg_view_select_object <arg1>

<arg1>	- a list of hex numbers


morg_view_set_to_spawn_path

09 ($09)

Syntax

morg_view_set_to_spawn_path <arg1>

<arg1>	- a list of hex numbers


morg_view_show_folder

51 ($33)

Syntax

morg_view_show_folder <arg1>

<arg1>	- a string


MT	- Master Tool

42 ($2a)

Following is a list of atoms in this protocol:

mt_bounce_tool

mt_break

mt_browse_tree

mt_database

mt_delete_art_in_top_form

mt_display_tool_info

mt_end_atomdebug

mt_flip_value

mt_gid_to_string

mt_hilight_groups_in_top_form

mt_kill_tool

mt_load_tool

mt_manage_tools

mt_open_diag

mt_play_binary

mt_play_text

mt_set_spy_mode

mt_set_timeout_mode

mt_start_atomdebug

mt_start_edit_text

mt_string_to_gid

mt_super_snoop

mt_test_crash

mt_waolsock_debug


mt_bounce_tool

01 ($01)

Syntax

mt_bounce_tool <arg1>

<arg1>	- a 32 bit number


mt_break

11 ($0b)

Syntax

mt_break <arg1>

<arg1>	- a list of hex numbers


mt_browse_tree

05 ($05)

Syntax

mt_browse_tree <arg1>

<arg1>	- a list of hex numbers


mt_database

22 ($16)

Syntax

mt_database <arg1>

<arg1>	- a list of hex numbers


mt_delete_art_in_top_form

18 ($12)

Syntax

mt_delete_art_in_top_form <arg1>

<arg1>	- a list of hex numbers


mt_display_tool_info

03 ($03)

Syntax

mt_display_tool_info <arg1>

<arg1>	- a 32 bit number


mt_end_atomdebug

16 ($10)

Syntax

mt_end_atomdebug <arg1>

<arg1>	- a list of hex numbers


mt_flip_value

06 ($06)

Syntax

mt_flip_value <arg1>

<arg1>	- a 32 bit number


mt_gid_to_string

08 ($08)

Syntax

mt_gid_to_string <arg1>

<arg1>	- a global identifier


mt_hilight_groups_in_top_form

19 ($13)

Syntax

mt_hilight_groups_in_top_form <arg1>

<arg1>	- a list of hex numbers


mt_kill_tool

02 ($02)

Syntax

mt_kill_tool <arg1>

<arg1>	- a 32 bit number


mt_load_tool

04 ($04)

Syntax

mt_load_tool <arg1>

<arg1>	- a string


mt_manage_tools

00 ($00)

Syntax

mt_manage_tools <arg1>

<arg1>	- a list of hex numbers


mt_open_diag

17 ($11)

Syntax

mt_open_diag <arg1>

<arg1>	- a list of hex numbers


mt_play_binary

21 ($15)

Syntax

mt_play_binary <arg1>

<arg1>	- a list of hex numbers


mt_play_text

20 ($14)

Syntax

mt_play_text <arg1>

<arg1>	- a list of hex numbers


mt_set_spy_mode

12 ($0c)

Syntax

mt_set_spy_mode <arg1>

<arg1>	- a list of hex numbers


mt_set_timeout_mode

14 ($0e)

Syntax

mt_set_timeout_mode <arg1>

<arg1>	- a list of hex numbers


mt_start_atomdebug

15 ($0f)

Syntax

mt_start_atomdebug <arg1>

<arg1>	- a list of hex numbers


mt_start_edit_text

23 ($17)

Syntax

mt_start_edit_text <arg1>

<arg1>	- a list of hex numbers


mt_string_to_gid

09 ($09)

Syntax

mt_string_to_gid <arg1>

<arg1>	- a string


mt_super_snoop

24 ($18)

Syntax

mt_super_snoop <arg1>

<arg1>	- a list of hex numbers


mt_test_crash

07 ($07)

Syntax

mt_test_crash <arg1>

<arg1>	- a 32 bit number


mt_waolsock_debug

10 ($0a)

Syntax

mt_waolsock_debug <arg1>

<arg1>	- a 32 bit number


P3	- Plain and Proprietary Protocol

35 ($23)

Following is a list of atoms in this protocol:

p3_debug_disable_outbound

p3_debug_get_outbound_state

p3_interleaved_mode

p3_start

p3_stop

p3_write


p3_debug_disable_outbound

05 ($05)

Syntax

p3_debug_disable_outbound <arg1>

<arg1>	- a 32 bit number


p3_debug_get_outbound_state

06 ($06)

Syntax

p3_debug_get_outbound_state <arg1>

<arg1>	- a list of hex numbers


p3_interleaved_mode

04 ($04)

Syntax

p3_interleaved_mode <arg1>

<arg1>	- a list of hex numbers


p3_start

00 ($00)

Syntax

p3_start <arg1>

<arg1>	- a list of hex numbers


p3_stop

01 ($01)

Syntax

p3_stop <arg1>

<arg1>	- a list of hex numbers


p3_write

03 ($03)

Syntax

p3_write <arg1>

<arg1>	- a list of hex numbers


PICTALK	- Picture Talk

29 ($1d)

Following is a list of atoms in this protocol:

pictalk_attr_style

pictalk_control

pictalk_get_attr_style

pictalk_manage

pictalk_open_file


pictalk_attr_style

04 ($04)

Syntax

pictalk_attr_style <arg1>

<arg1>	- a list of hex numbers


pictalk_control

02 ($02)

Syntax

pictalk_control <arg1>

<arg1>	- a list of hex numbers


pictalk_get_attr_style

03 ($03)

Syntax

pictalk_get_attr_style <arg1>

<arg1>	- a list of hex numbers


pictalk_manage

00 ($00)

Syntax

pictalk_manage <arg1>

<arg1>	- a list of hex numbers


pictalk_open_file

01 ($01)

Syntax

pictalk_open_file <arg1>

<arg1>	- a string


RADIO	- Radio

28 ($1c)

Following is a list of atoms in this protocol:

radio_append_data

radio_change_station_id

radio_data_type

radio_play_data

radio_record_id

radio_start_data

radio_stop_data


radio_append_data

04 ($04)

Syntax

radio_append_data <arg1>

<arg1>	- a list of hex numbers


radio_change_station_id

02 ($02)

Syntax

radio_change_station_id <arg1>

<arg1>	- a 32 bit number


radio_data_type

03 ($03)

Syntax

radio_data_type <arg1>

<arg1>	- a 32 bit number


radio_play_data

05 ($05)

Syntax

radio_play_data <arg1>

<arg1>	- a list of hex numbers


radio_record_id

06 ($06)

Syntax

radio_record_id <arg1>

<arg1>	- a 32 bit number


radio_start_data

00 ($00)

Syntax

radio_start_data <arg1>

<arg1>	- a 32 bit number


radio_stop_data

01 ($01)

Syntax

radio_stop_data <arg1>

<arg1>	- a 32 bit number


RICH	- Rich Text

25 ($19)

Following is a list of atoms in this protocol:

rich_add_url

rich_allow_attributes

rich_allow_backcolor

rich_allow_embeds

rich_allow_fontsize

rich_allow_fontwindow

rich_allow_justify

rich_allow_textfile

rich_background_color

rich_bool_read_only

rich_color_dialog

rich_drop_link

rich_drop_picture

rich_edit_action

rich_font_attribute

rich_font_justify

rich_font_select_face

rich_font_select_size

rich_font_size

rich_get_font

rich_get_text_alignment

rich_get_text_font_size

rich_get_text_style

rich_ignore_tabs

rich_image_max

rich_manage

rich_open_file

rich_set_color_item

rich_set_static

rich_text_color

rich_view_background_color

rich_view_text_background_color

rich_view_text_color

rich_window_color


rich_add_url

02 ($02)

Syntax

rich_add_url <arg1>

<arg1>	- a string


rich_allow_attributes

33 ($21)

Syntax

rich_allow_attributes <arg1>

<arg1>	- a 32 bit number


rich_allow_backcolor

28 ($1c)

Syntax

rich_allow_backcolor <arg1>

<arg1>	- a boolean value


rich_allow_embeds

30 ($1e)

Syntax

rich_allow_embeds <arg1>

<arg1>	- a boolean value


rich_allow_fontsize

27 ($1b)

Syntax

rich_allow_fontsize <arg1>

<arg1>	- a boolean value


rich_allow_fontwindow

29 ($1d)

Syntax

rich_allow_fontwindow <arg1>

<arg1>	- a boolean value


rich_allow_justify

26 ($1a)

Syntax

rich_allow_justify <arg1>

<arg1>	- a boolean value


rich_allow_textfile

31 ($1f)

Syntax

rich_allow_textfile <arg1>

<arg1>	- a boolean value


rich_background_color

08 ($08)

Syntax

rich_background_color <arg1>

<arg1>	- a list of hex numbers


rich_bool_read_only

04 ($04)

Syntax

rich_bool_read_only <arg1>

<arg1>	- a boolean value


rich_color_dialog

16 ($10)

Syntax

rich_color_dialog <arg1>

<arg1>	- a list of hex numbers


rich_drop_link

23 ($17)

Syntax

rich_drop_link <arg1>

<arg1>	- a list of hex numbers


rich_drop_picture

22 ($16)

Syntax

rich_drop_picture <arg1>

<arg1>	- a list of hex numbers


rich_edit_action

01 ($01)

Syntax

rich_edit_action <arg1>

<arg1>	- a 32 bit number


rich_font_attribute

10 ($0a)

Syntax

rich_font_attribute <arg1>

<arg1>	- a 32 bit number


rich_font_justify

07 ($07)

Syntax

rich_font_justify <arg1>

<arg1>	- a 32 bit number


rich_font_select_face

20 ($14)

Syntax

rich_font_select_face <arg1>

<arg1>	- a string


rich_font_select_size

21 ($15)

Syntax

rich_font_select_size <arg1>

<arg1>	- a 32 bit number


rich_font_size

09 ($09)

Syntax

rich_font_size <arg1>

<arg1>	- a 32 bit number


rich_get_font

25 ($19)

Syntax

rich_get_font <arg1>

<arg1>	- a list of hex numbers


rich_get_text_alignment

12 ($0c)

Syntax

rich_get_text_alignment <arg1>

<arg1>	- a list of hex numbers


rich_get_text_font_size

24 ($18)

Syntax

rich_get_text_font_size <arg1>

<arg1>	- a list of hex numbers


rich_get_text_style

14 ($0e)

Syntax

rich_get_text_style <arg1>

<arg1>	- a list of hex numbers


rich_ignore_tabs

32 ($20)

Syntax

rich_ignore_tabs <arg1>

<arg1>	- a boolean value


rich_image_max

34 ($22)

Syntax

rich_image_max <arg1>

<arg1>	- a 32 bit number


rich_manage

00 ($00)

Syntax

rich_manage <arg1>

<arg1>	- a list of hex numbers


rich_open_file

05 ($05)

Syntax

rich_open_file <arg1>

<arg1>	- a string


rich_set_color_item

03 ($03)

Syntax

rich_set_color_item <arg1>

<arg1>	- a 32 bit number


rich_set_static

15 ($0f)

Syntax

rich_set_static <arg1>

<arg1>	- a list of hex numbers


rich_text_color

06 ($06)

Syntax

rich_text_color <arg1>

<arg1>	- a list of hex numbers


rich_view_background_color

19 ($13)

Syntax

rich_view_background_color <arg1>

<arg1>	- a 32 bit number


rich_view_text_background_color

18 ($12)

Syntax

rich_view_text_background_color <arg1>

<arg1>	- a 32 bit number


rich_view_text_color

17 ($11)

Syntax

rich_view_text_color <arg1>

<arg1>	- a 32 bit number


rich_window_color

11 ($0b)

Syntax

rich_window_color <arg1>

<arg1>	- a list of hex numbers


SM	- Shorthand

14 ($0e)

Following is a list of atoms in this protocol:

sm_check_domain

sm_check_plus_group

sm_do_list_action

sm_end_object_with_action

sm_end_object_with_var

sm_enter_free

sm_enter_paid

sm_idb_get_data

sm_m_send_list_var

sm_m_send_token_arg

sm_m_send_token_raw

sm_m_send_window_var

sm_mp_send_token_arg

sm_mp_send_window_var

sm_p_send_token_arg

sm_p_send_window_var

sm_send_bm

sm_send_bn

sm_send_er

sm_send_f1

sm_send_free_f1

sm_send_free_k1

sm_send_k1

sm_send_list_var

sm_send_mf

sm_send_mr

sm_send_paid_f1

sm_send_paid_k1

sm_send_token_arg

sm_send_token_raw

sm_send_window_var

sm_set_domain

sm_set_object_domain

sm_set_plus_group


sm_check_domain

10 ($0a)

Syntax

sm_check_domain <arg1>

<arg1>	- a list of hex numbers


sm_check_plus_group

32 ($20)

Syntax

sm_check_plus_group <arg1>

<arg1>	- a list of hex numbers


sm_do_list_action

00 ($00)

Syntax

sm_do_list_action <arg1>

<arg1>	- a 32 bit number

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_end_object_with_action

01 ($01)

Syntax

sm_end_object_with_action <arg1>

<arg1>	- an atom stream


sm_end_object_with_var

02 ($02)

Syntax

sm_end_object_with_var <arg1>

<arg1>	- a list of hex numbers


sm_enter_free

34 ($22)

Syntax

sm_enter_free <arg1>

<arg1>	- a list of hex numbers


sm_enter_paid

33 ($21)

Syntax

sm_enter_paid <arg1>

<arg1>	- a list of hex numbers


sm_idb_get_data

25 ($19)

Syntax

sm_idb_get_data <arg1>

<arg1>	- a list of hex numbers


sm_m_send_list_var

23 ($17)

Syntax

sm_m_send_list_var <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_m_send_token_arg

24 ($18)

Syntax

sm_m_send_token_arg <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_m_send_token_raw

17 ($11)

Syntax

sm_m_send_token_raw <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_m_send_window_var

19 ($13)

Syntax

sm_m_send_window_var <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_mp_send_token_arg

15 ($0f)

Syntax

sm_mp_send_token_arg <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_mp_send_window_var

21 ($15)

Syntax

sm_mp_send_window_var <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_p_send_token_arg

14 ($0e)

Syntax

sm_p_send_token_arg <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_p_send_window_var

20 ($14)

Syntax

sm_p_send_window_var <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_bm

07 ($07)

Syntax

sm_send_bm <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_bn

08 ($08)

Syntax

sm_send_bn <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_er

04 ($04)

Syntax

sm_send_er <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_f1

09 ($09)

Syntax

sm_send_f1 <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_free_f1

29 ($1d)

Syntax

sm_send_free_f1 <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_free_k1

27 ($1b)

Syntax

sm_send_free_k1 <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_k1

03 ($03)

Syntax

sm_send_k1 <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_list_var

22 ($16)

Syntax

sm_send_list_var <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_mf

06 ($06)

Syntax

sm_send_mf <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_mr

05 ($05)

Syntax

sm_send_mr <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_paid_f1

30 ($1e)

Syntax

sm_send_paid_f1 <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_paid_k1

28 ($1c)

Syntax

sm_send_paid_k1 <arg1>

<arg1>	- a global identifier

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_token_arg

12 ($0c)

Syntax

sm_send_token_arg <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_token_raw

16 ($10)

Syntax

sm_send_token_raw <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_send_window_var

18 ($12)

Syntax

sm_send_window_var <arg1>

<arg1>	- a two letter token followed by an argument in hex

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


sm_set_domain

11 ($0b)

Syntax

sm_set_domain <arg1>

<arg1>	- a list of hex numbers


sm_set_object_domain

26 ($1a)

Syntax

sm_set_object_domain <arg1>

<arg1>	- a list of hex numbers


sm_set_plus_group

31 ($1f)

Syntax

sm_set_plus_group <arg1>

<arg1>	- a list of hex numbers


SPELL	- Spell Checker

61 ($3d)

Following is a list of atoms in this protocol:

spell_rules_dlg


spell_rules_dlg

00 ($00)

Syntax

spell_rules_dlg <arg1>

<arg1>	- a list of hex numbers


UNI	- Universal

00 ($00)

Following is a list of atoms in this protocol:

uni_abort_stream

uni_break

uni_cancel_action

uni_change_stream_id

uni_convert_last_atom_data

uni_convert_last_atom_string

uni_data

uni_diagnostic_msg

uni_end_large_atom

uni_end_loop

uni_end_mixed_data_mode

uni_end_stream

uni_end_typed_data

uni_force_processing

uni_get_current_stream_id

uni_get_first_stream

uni_get_next_stream

uni_get_result

uni_get_stream_window

uni_hold

uni_insert_stream

uni_invoke_local

uni_invoke_local_later

uni_invoke_local_preserve

uni_invoke_no_context

uni_large_atom_segment

uni_next_atom_mixed_data

uni_next_atom_typed

uni_save_result

uni_set_command_set

uni_set_data_length

uni_set_watchdog_interval

uni_single_step

uni_start_large_atom

uni_start_loop

uni_start_mixed_data_mode

uni_start_stream

uni_start_stream_wait_on

uni_start_typed_data

uni_sync_skip

uni_test_update

uni_transaction_id

uni_udo_complete

uni_use_last_atom_data

uni_use_last_atom_string

uni_use_last_atom_value

uni_void

uni_wait_clear

uni_wait_off

uni_wait_off_end_stream

uni_wait_on


uni_abort_stream

03 ($03)

Syntax

uni_abort_stream <arg1>

<arg1>	- a 32 bit number

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


uni_break

43 ($2b)

Syntax

uni_break <arg1>

<arg1>	- a list of hex numbers


uni_cancel_action

49 ($31)

Syntax

uni_cancel_action <arg1>

<arg1>	- a 32 bit number


uni_change_stream_id

35 ($23)

Syntax

uni_change_stream_id <arg1>

<arg1>	- a 32 bit number


uni_convert_last_atom_data

45 ($2d)

Syntax

uni_convert_last_atom_data <arg1>

<arg1>	- a list of hex numbers


uni_convert_last_atom_string

42 ($2a)

Syntax

uni_convert_last_atom_string <arg1>

<arg1>	- a list of hex numbers


uni_data

14 ($0e)

Syntax

uni_data <arg1>

<arg1>	- a list of hex numbers


uni_diagnostic_msg

36 ($24)

Syntax

uni_diagnostic_msg <arg1>

<arg1>	- a string


uni_end_large_atom

06 ($06)

Syntax

uni_end_large_atom <arg1>

<arg1>	- ignored


uni_end_loop

09 ($09)

Syntax

uni_end_loop <arg1>

<arg1>	- a list of hex numbers


uni_end_mixed_data_mode

59 ($3b)

Syntax

uni_end_mixed_data_mode <arg1>

<arg1>	- a list of hex numbers


uni_end_stream

02 ($02)

Syntax

uni_end_stream <arg1>

<arg1>	- a list of hex numbers

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


uni_end_typed_data

24 ($18)

Syntax

uni_end_typed_data <arg1>

<arg1>	- a list of hex numbers


uni_force_processing

32 ($20)

Syntax

uni_force_processing <arg1>

<arg1>	- a list of hex numbers


uni_get_current_stream_id

50 ($32)

Syntax

uni_get_current_stream_id <arg1>

<arg1>	- a list of hex numbers


uni_get_first_stream

46 ($2e)

Syntax

uni_get_first_stream <arg1>

<arg1>	- a list of hex numbers


uni_get_next_stream

47 ($2f)

Syntax

uni_get_next_stream <arg1>

<arg1>	- a list of hex numbers


uni_get_result

21 ($15)

Syntax

uni_get_result <arg1>

<arg1>	- a list of hex numbers


uni_get_stream_window

48 ($30)

Syntax

uni_get_stream_window <arg1>

<arg1>	- a 32 bit number


uni_hold

37 ($25)

Syntax

uni_hold <arg1>

<arg1>	- a list of hex numbers


uni_insert_stream

56 ($38)

Syntax

uni_insert_stream <arg1>

<arg1>	- a string


uni_invoke_local

20 ($14)

Syntax

uni_invoke_local <arg1>

<arg1>	- a global identifier


uni_invoke_local_later

41 ($29)

Syntax

uni_invoke_local_later <arg1>

<arg1>	- a global identifier


uni_invoke_local_preserve

40 ($28)

Syntax

uni_invoke_local_preserve <arg1>

<arg1>	- a global identifier


uni_invoke_no_context

19 ($13)

Syntax

uni_invoke_no_context <arg1>

<arg1>	- a global identifier


uni_large_atom_segment

05 ($05)

Syntax

uni_large_atom_segment <arg1>

<arg1>	- ignored


uni_next_atom_mixed_data

57 ($39)

Syntax

uni_next_atom_mixed_data <arg1>

<arg1>	- a list of hex numbers


uni_next_atom_typed

22 ($16)

Syntax

uni_next_atom_typed <arg1>

<arg1>	- an exclusive set  - the available choices are:

ascii

latin1

japanese


uni_save_result

12 ($0c)

Syntax

uni_save_result <arg1>

<arg1>	- a list of hex numbers


uni_set_command_set

33 ($21)

Syntax

uni_set_command_set <arg1>

<arg1>	- a 32 bit number


uni_set_data_length

51 ($33)

Syntax

uni_set_data_length <arg1>

<arg1>	- a 32 bit number


uni_set_watchdog_interval

53 ($35)

Syntax

uni_set_watchdog_interval <arg1>

<arg1>	- a 32 bit number


uni_single_step

44 ($2c)

Syntax

uni_single_step <arg1>

<arg1>	- a list of hex numbers


uni_start_large_atom

04 ($04)

Syntax

uni_start_large_atom <arg1>

<arg1>	- ignored


uni_start_loop

08 ($08)

Syntax

uni_start_loop <arg1>

<arg1>	- a list of hex numbers


uni_start_mixed_data_mode

58 ($3a)

Syntax

uni_start_mixed_data_mode <arg1>

<arg1>	- a list of hex numbers


uni_start_stream

01 ($01)

Syntax

uni_start_stream <arg1>

<arg1>	- a list of hex numbers


uni_start_stream_wait_on

17 ($11)

Syntax

uni_start_stream_wait_on <arg1>

<arg1>	- a list of hex numbers


uni_start_typed_data

23 ($17)

Syntax

uni_start_typed_data <arg1>

<arg1>	- an exclusive set  - the available choices are:

ascii

latin1

japanese


uni_sync_skip

07 ($07)

Syntax

uni_sync_skip <arg1>

<arg1>	- a 32 bit number


uni_test_update

55 ($37)

Syntax

uni_test_update <arg1>

<arg1>	- a list of hex numbers


uni_transaction_id

60 ($3c)

Syntax

uni_transaction_id <arg1>

<arg1>	- a 32 bit number


uni_udo_complete

54 ($36)

Syntax

uni_udo_complete <arg1>

<arg1>	- a list of hex numbers


uni_use_last_atom_data

52 ($34)

Syntax

uni_use_last_atom_data <arg1>

<arg1>	- an atom


uni_use_last_atom_string

10 ($0a)

Syntax

uni_use_last_atom_string <arg1, arg2>

<arg1>	- an atom

<arg2>	- a list of hex numbers


uni_use_last_atom_value

11 ($0b)

Syntax

uni_use_last_atom_value <arg1, arg2>

<arg1>	- an atom

<arg2>	- a list of hex numbers


uni_void

00 ($00)

Syntax

uni_void <arg1>

<arg1>	- a list of hex numbers


uni_wait_clear

34 ($22)

Syntax

uni_wait_clear <arg1>

<arg1>	- a list of hex numbers


uni_wait_off

16 ($10)

Syntax

uni_wait_off <arg1>

<arg1>	- a list of hex numbers


uni_wait_off_end_stream

18 ($12)

Syntax

uni_wait_off_end_stream <arg1>

<arg1>	- a list of hex numbers

Notes

This atom ends the current stream.  i.e. it does an implicit uni_end_stream <>


uni_wait_on

15 ($0f)

Syntax

uni_wait_on <arg1>

<arg1>	- a list of hex numbers


VAR	- Variable

12 ($0c)

Following is a list of atoms in this protocol:

var_check_string_type_and_convert

var_data_clear_id

var_data_copy_between_regs

var_data_copy_data_to_datb

var_data_copy_datb_to_data

var_data_get

var_data_save

var_data_set

var_data_set_from_atom

var_data_set_id_one_value

var_data_swap_between_regs

var_data_zero

var_get_string_convert_len

var_lookup_by_id

var_numa_decrement

var_numa_increment

var_numa_ones

var_numa_zero

var_number_add

var_number_anding

var_number_clear_id

var_number_copy_between_regs

var_number_decrement

var_number_decrement_save

var_number_div

var_number_get

var_number_increment

var_number_increment_save

var_number_mul

var_number_ones

var_number_ones_save

var_number_oring

var_number_save

var_number_set

var_number_set_from_atom

var_number_set_id_one_value

var_number_shl

var_number_shr

var_number_sub

var_number_swap_between_regs

var_number_zero

var_number_zero_save

var_random_number

var_reset

var_string_clear_id

var_string_concatenate_regs

var_string_copy_between_regs

var_string_copy_stra_to_strb

var_string_copy_strb_to_stra

var_string_get

var_string_null

var_string_save

var_string_set

var_string_set_from_atom

var_string_set_id_one_value

var_string_swap_between_regs

var_string_trim_spaces

var_string_trim_spaces_safely


var_check_string_type_and_convert

101 ($65)

Syntax

var_check_string_type_and_convert <arg1>

<arg1>	- a variable name


var_data_clear_id

85 ($55)

Syntax

var_data_clear_id <arg1>

<arg1>	- a variable name


var_data_copy_between_regs

83 ($53)

Syntax

var_data_copy_between_regs <arg1>

<arg1>	- a variable name


var_data_copy_data_to_datb

81 ($51)

Syntax

var_data_copy_data_to_datb <arg1>

<arg1>	- a list of hex numbers


var_data_copy_datb_to_data

82 ($52)

Syntax

var_data_copy_datb_to_data <arg1>

<arg1>	- a list of hex numbers


var_data_get

16 ($10)

Syntax

var_data_get <arg1>

<arg1>	- a variable name


var_data_save

14 ($0e)

Syntax

var_data_save <arg1>

<arg1>	- a variable name followed by a 32 bit number


var_data_set

11 ($0b)

Syntax

var_data_set <arg1>

<arg1>	- a list of hex numbers


var_data_set_from_atom

15 ($0f)

Syntax

var_data_set_from_atom <arg1>

<arg1>	- a variable name


var_data_set_id_one_value

17 ($11)

Syntax

var_data_set_id_one_value <arg1>

<arg1>	- a list of hex numbers


var_data_swap_between_regs

84 ($54)

Syntax

var_data_swap_between_regs <arg1>

<arg1>	- a variable name


var_data_zero

12 ($0c)

Syntax

var_data_zero <arg1>

<arg1>	- a variable name


var_get_string_convert_len

102 ($66)

Syntax

var_get_string_convert_len <arg1>

<arg1>	- a list of hex numbers


var_lookup_by_id

19 ($13)

Syntax

var_lookup_by_id <arg1>

<arg1>	- a variable name followed by a 32 bit number


var_numa_decrement

23 ($17)

Syntax

var_numa_decrement <arg1>

<arg1>	- a list of hex numbers


var_numa_increment

22 ($16)

Syntax

var_numa_increment <arg1>

<arg1>	- a list of hex numbers


var_numa_ones

21 ($15)

Syntax

var_numa_ones <arg1>

<arg1>	- a list of hex numbers


var_numa_zero

20 ($14)

Syntax

var_numa_zero <arg1>

<arg1>	- a list of hex numbers


var_number_add

36 ($24)

Syntax

var_number_add <arg1>

<arg1>	- a 32 bit number


var_number_anding

40 ($28)

Syntax

var_number_anding <arg1>

<arg1>	- a 32 bit number


var_number_clear_id

46 ($2e)

Syntax

var_number_clear_id <arg1>

<arg1>	- a variable name


var_number_copy_between_regs

44 ($2c)

Syntax

var_number_copy_between_regs <arg1>

<arg1>	- a variable name


var_number_decrement

48 ($30)

Syntax

var_number_decrement <arg1>

<arg1>	- a variable name


var_number_decrement_save

33 ($21)

Syntax

var_number_decrement_save <arg1>

<arg1>	- a variable name


var_number_div

39 ($27)

Syntax

var_number_div <arg1>

<arg1>	- a 32 bit number


var_number_get

03 ($03)

Syntax

var_number_get <arg1>

<arg1>	- a variable name


var_number_increment

47 ($2f)

Syntax

var_number_increment <arg1>

<arg1>	- a variable name


var_number_increment_save

32 ($20)

Syntax

var_number_increment_save <arg1>

<arg1>	- a variable name


var_number_mul

38 ($26)

Syntax

var_number_mul <arg1>

<arg1>	- a 32 bit number


var_number_ones

50 ($32)

Syntax

var_number_ones <arg1>

<arg1>	- a variable name


var_number_ones_save

35 ($23)

Syntax

var_number_ones_save <arg1>

<arg1>	- a variable name


var_number_oring

41 ($29)

Syntax

var_number_oring <arg1>

<arg1>	- a 32 bit number


var_number_save

00 ($00)

Syntax

var_number_save <arg1>

<arg1>	- a variable name followed by a 32 bit number


var_number_set

01 ($01)

Syntax

var_number_set <arg1>

<arg1>	- a variable name followed by a 32 bit number


var_number_set_from_atom

02 ($02)

Syntax

var_number_set_from_atom <arg1>

<arg1>	- a variable name


var_number_set_id_one_value

04 ($04)

Syntax

var_number_set_id_one_value <arg1>

<arg1>	- a list of hex numbers


var_number_shl

42 ($2a)

Syntax

var_number_shl <arg1>

<arg1>	- a 32 bit number


var_number_shr

43 ($2b)

Syntax

var_number_shr <arg1>

<arg1>	- a 32 bit number


var_number_sub

37 ($25)

Syntax

var_number_sub <arg1>

<arg1>	- a 32 bit number


var_number_swap_between_regs

45 ($2d)

Syntax

var_number_swap_between_regs <arg1>

<arg1>	- a variable name


var_number_zero

49 ($31)

Syntax

var_number_zero <arg1>

<arg1>	- a variable name


var_number_zero_save

34 ($22)

Syntax

var_number_zero_save <arg1>

<arg1>	- a variable name


var_random_number

99 ($63)

Syntax

var_random_number <arg1>

<arg1>	- a 32 bit number


var_reset

96 ($60)

Syntax

var_reset <arg1>

<arg1>	- a list of hex numbers


var_string_clear_id

69 ($45)

Syntax

var_string_clear_id <arg1>

<arg1>	- a variable name


var_string_concatenate_regs

100 ($64)

Syntax

var_string_concatenate_regs <arg1>

<arg1>	- a variable name


var_string_copy_between_regs

67 ($43)

Syntax

var_string_copy_between_regs <arg1>

<arg1>	- a variable name


var_string_copy_stra_to_strb

65 ($41)

Syntax

var_string_copy_stra_to_strb <arg1>

<arg1>	- a list of hex numbers


var_string_copy_strb_to_stra

66 ($42)

Syntax

var_string_copy_strb_to_stra <arg1>

<arg1>	- a list of hex numbers


var_string_get

09 ($09)

Syntax

var_string_get <arg1>

<arg1>	- a variable name


var_string_null

06 ($06)

Syntax

var_string_null <arg1>

<arg1>	- a variable name


var_string_save

07 ($07)

Syntax

var_string_save <arg1>

<arg1>	- a variable name followed by a 32 bit number


var_string_set

05 ($05)

Syntax

var_string_set <arg1>

<arg1>	- a variable name followed by a string


var_string_set_from_atom

08 ($08)

Syntax

var_string_set_from_atom <arg1>

<arg1>	- a variable name


var_string_set_id_one_value

10 ($0a)

Syntax

var_string_set_id_one_value <arg1>

<arg1>	- a list of hex numbers


var_string_swap_between_regs

68 ($44)

Syntax

var_string_swap_between_regs <arg1>

<arg1>	- a variable name


var_string_trim_spaces

70 ($46)

Syntax

var_string_trim_spaces <arg1>

<arg1>	- a list of hex numbers


var_string_trim_spaces_safely

71 ($47)

Syntax

var_string_trim_spaces_safely <arg1>

<arg1>	- a string


VIDEO	- Video

53 ($35)

Following is a list of atoms in this protocol:

vid_activate_capture

vid_can_preview

vid_capture

vid_enable_extract

vid_flag_setup

vid_get_data

vid_is_available

vid_manage

vid_next_count

vid_open

vid_prev_count

vid_preview

vid_query_setup

vid_receive

vid_receive_enable

vid_repeat_send

vid_save_as

vid_send

vid_set_format

vid_set_tcp

vid_set_token

vid_set_udp

vid_setup

vid_setup_popup

vid_show_newest

vid_show_next

vid_show_oldest

vid_show_prev

vid_store_setup


vid_activate_capture

09 ($09)

Syntax

vid_activate_capture <arg1>

<arg1>	- a list of hex numbers


vid_can_preview

10 ($0a)

Syntax

vid_can_preview <arg1>

<arg1>	- a list of hex numbers


vid_capture

00 ($00)

Syntax

vid_capture <arg1>

<arg1>	- a list of hex numbers


vid_enable_extract

26 ($1a)

Syntax

vid_enable_extract <arg1>

<arg1>	- a boolean value


vid_flag_setup

20 ($14)

Syntax

vid_flag_setup <arg1>

<arg1>	- a list of hex numbers


vid_get_data

25 ($19)

Syntax

vid_get_data <arg1>

<arg1>	- a 32 bit number


vid_is_available

13 ($0d)

Syntax

vid_is_available <arg1>

<arg1>	- a list of hex numbers


vid_manage

02 ($02)

Syntax

vid_manage <arg1>

<arg1>	- a list of hex numbers


vid_next_count

15 ($0f)

Syntax

vid_next_count <arg1>

<arg1>	- a list of hex numbers


vid_open

22 ($16)

Syntax

vid_open <arg1>

<arg1>	- a list of hex numbers


vid_prev_count

14 ($0e)

Syntax

vid_prev_count <arg1>

<arg1>	- a list of hex numbers


vid_preview

03 ($03)

Syntax

vid_preview <arg1>

<arg1>	- a 32 bit number


vid_query_setup

27 ($1b)

Syntax

vid_query_setup <arg1>

<arg1>	- a 32 bit number


vid_receive

08 ($08)

Syntax

vid_receive <arg1>

<arg1>	- a 32 bit number


vid_receive_enable

12 ($0c)

Syntax

vid_receive_enable <arg1>

<arg1>	- a 32 bit number


vid_repeat_send

04 ($04)

Syntax

vid_repeat_send <arg1>

<arg1>	- a 32 bit number


vid_save_as

23 ($17)

Syntax

vid_save_as <arg1>

<arg1>	- a list of hex numbers


vid_send

01 ($01)

Syntax

vid_send <arg1>

<arg1>	- a list of hex numbers


vid_set_format

11 ($0b)

Syntax

vid_set_format <arg1>

<arg1>	- a list of hex numbers


vid_set_tcp

07 ($07)

Syntax

vid_set_tcp <arg1>

<arg1>	- a list of hex numbers


vid_set_token

05 ($05)

Syntax

vid_set_token <arg1>

<arg1>	- a list of hex numbers


vid_set_udp

06 ($06)

Syntax

vid_set_udp <arg1>

<arg1>	- a list of hex numbers


vid_setup

21 ($15)

Syntax

vid_setup <arg1>

<arg1>	- a list of hex numbers


vid_setup_popup

24 ($18)

Syntax

vid_setup_popup <arg1>

<arg1>	- a 32 bit number


vid_show_newest

19 ($13)

Syntax

vid_show_newest <arg1>

<arg1>	- a list of hex numbers


vid_show_next

17 ($11)

Syntax

vid_show_next <arg1>

<arg1>	- a list of hex numbers


vid_show_oldest

18 ($12)

Syntax

vid_show_oldest <arg1>

<arg1>	- a list of hex numbers


vid_show_prev

16 ($10)

Syntax

vid_show_prev <arg1>

<arg1>	- a list of hex numbers


vid_store_setup

28 ($1c)

Syntax

vid_store_setup <arg1>

<arg1>	- a 32 bit number


VRM	- IP Tools

47 ($2f)

Following is a list of atoms in this protocol:

vrm_aat_art_dest_gid

vrm_aat_art_end_result

vrm_aat_art_exit_free_pay_curtain

vrm_aat_art_exp_date

vrm_aat_art_format

vrm_aat_art_gid

vrm_aat_art_image_id

vrm_aat_art_length

vrm_aat_art_modified_by

vrm_aat_art_modified_date

vrm_aat_art_name

vrm_aat_art_ownership

vrm_aat_art_plus_group

vrm_aat_art_repository

vrm_aat_art_return_code

vrm_aat_art_size_x

vrm_aat_art_size_y

vrm_aat_art_start_result

vrm_aat_art_trigger_form_id

vrm_aat_art_type

vrm_aat_end_record

vrm_aat_query_end_result

vrm_aat_query_start_result

vrm_aat_set_obj_context

vrm_aat_start_record

vrm_action_command

vrm_am_get_spawn_path

vrm_bool_object_needs_update

vrm_choose_art_id

vrm_finalize_objects

vrm_form_up

vrm_generic_query

vrm_html_finish_wiz

vrm_html_form_up

vrm_html_get_spawn_file

vrm_html_get_spawn_path

vrm_html_get_wiz

vrm_html_preset_editform

vrm_html_preset_miniicon

vrm_html_set_domain

vrm_html_start_wiz

vrm_save_form

vrm_send_form

vrm_set_context

vrm_start_form

vrm_start_html_form


vrm_aat_art_dest_gid

27 ($1b)

Syntax

vrm_aat_art_dest_gid <arg1>

<arg1>	- a global identifier


vrm_aat_art_end_result

14 ($0e)

Syntax

vrm_aat_art_end_result <arg1>

<arg1>	- a list of hex numbers


vrm_aat_art_exit_free_pay_curtain

29 ($1d)

Syntax

vrm_aat_art_exit_free_pay_curtain <arg1>

<arg1>	- an exclusive set  - the available choices are:

same

pay

free


vrm_aat_art_exp_date

34 ($22)

Syntax

vrm_aat_art_exp_date <arg1>

<arg1>	- a string


vrm_aat_art_format

24 ($18)

Syntax

vrm_aat_art_format <arg1>

<arg1>	- an exclusive set  - the available choices are:

unknown

bad

empty

icon

bmp

gif

jpeg

art


vrm_aat_art_gid

15 ($0f)

Syntax

vrm_aat_art_gid <arg1>

<arg1>	- a global identifier


vrm_aat_art_image_id

18 ($12)

Syntax

vrm_aat_art_image_id <arg1>

<arg1>	- a 32 bit number


vrm_aat_art_length

21 ($15)

Syntax

vrm_aat_art_length <arg1>

<arg1>	- a 32 bit number


vrm_aat_art_modified_by

22 ($16)

Syntax

vrm_aat_art_modified_by <arg1>

<arg1>	- a string


vrm_aat_art_modified_date

23 ($17)

Syntax

vrm_aat_art_modified_date <arg1>

<arg1>	- a string


vrm_aat_art_name

16 ($10)

Syntax

vrm_aat_art_name <arg1>

<arg1>	- a string


vrm_aat_art_ownership

38 ($26)

Syntax

vrm_aat_art_ownership <arg1>

<arg1>	- an exclusive set  - the available choices are:

private

group

shared


vrm_aat_art_plus_group

26 ($1a)

Syntax

vrm_aat_art_plus_group <arg1>

<arg1>	- a 32 bit number


vrm_aat_art_repository

30 ($1e)

Syntax

vrm_aat_art_repository <arg1>

<arg1>	- an exclusive set  - the available choices are:

production

test


vrm_aat_art_return_code

17 ($11)

Syntax

vrm_aat_art_return_code <arg1>

<arg1>	- an exclusive set  - the available choices are:

ok

bad_packet

bad_format

db_file_loacked

art_not_found

update_error

incompatible_image

duplicate_name


vrm_aat_art_size_x

19 ($13)

Syntax

vrm_aat_art_size_x <arg1>

<arg1>	- a 32 bit number


vrm_aat_art_size_y

20 ($14)

Syntax

vrm_aat_art_size_y <arg1>

<arg1>	- a 32 bit number


vrm_aat_art_start_result

13 ($0d)

Syntax

vrm_aat_art_start_result <arg1>

<arg1>	- a list of hex numbers


vrm_aat_art_trigger_form_id

28 ($1c)

Syntax

vrm_aat_art_trigger_form_id <arg1>

<arg1>	- a global identifier


vrm_aat_art_type

25 ($19)

Syntax

vrm_aat_art_type <arg1>

<arg1>	- an exclusive set  - the available choices are:

unknown

waol

mac

geos

tile

list

mini_icon


vrm_aat_end_record

37 ($25)

Syntax

vrm_aat_end_record <arg1>

<arg1>	- a 32 bit number


vrm_aat_query_end_result

33 ($21)

Syntax

vrm_aat_query_end_result <arg1>

<arg1>	- a 32 bit number


vrm_aat_query_start_result

32 ($20)

Syntax

vrm_aat_query_start_result <arg1>

<arg1>	- a 32 bit number


vrm_aat_set_obj_context

35 ($23)

Syntax

vrm_aat_set_obj_context <arg1>

<arg1>	- a 32 bit number


vrm_aat_start_record

36 ($24)

Syntax

vrm_aat_start_record <arg1>

<arg1>	- a 32 bit number


vrm_action_command

03 ($03)

Syntax

vrm_action_command <arg1>

<arg1>	- a 32 bit number


vrm_am_get_spawn_path

09 ($09)

Syntax

vrm_am_get_spawn_path <arg1>

<arg1>	- a 32 bit number


vrm_bool_object_needs_update

64 ($40)

Syntax

vrm_bool_object_needs_update <arg1>

<arg1>	- a boolean value


vrm_choose_art_id

63 ($3f)

Syntax

vrm_choose_art_id <arg1>

<arg1>	- a global identifier


vrm_finalize_objects

65 ($41)

Syntax

vrm_finalize_objects <arg1>

<arg1>	- a 32 bit number


vrm_form_up

05 ($05)

Syntax

vrm_form_up <arg1>

<arg1>	- a 32 bit number


vrm_generic_query

60 ($3c)

Syntax

vrm_generic_query <arg1>

<arg1>	- a 32 bit number


vrm_html_finish_wiz

08 ($08)

Syntax

vrm_html_finish_wiz <arg1>

<arg1>	- a 32 bit number


vrm_html_form_up

12 ($0c)

Syntax

vrm_html_form_up <arg1>

<arg1>	- a global identifier


vrm_html_get_spawn_file

11 ($0b)

Syntax

vrm_html_get_spawn_file <arg1>

<arg1>	- a 32 bit number


vrm_html_get_spawn_path

10 ($0a)

Syntax

vrm_html_get_spawn_path <arg1>

<arg1>	- a 32 bit number


vrm_html_get_wiz

06 ($06)

Syntax

vrm_html_get_wiz <arg1>

<arg1>	- a list of hex numbers


vrm_html_preset_editform

62 ($3e)

Syntax

vrm_html_preset_editform <arg1>

<arg1>	- a global identifier


vrm_html_preset_miniicon

61 ($3d)

Syntax

vrm_html_preset_miniicon <arg1>

<arg1>	- a global identifier


vrm_html_set_domain

67 ($43)

Syntax

vrm_html_set_domain <arg1>

<arg1>	- a string


vrm_html_start_wiz

07 ($07)

Syntax

vrm_html_start_wiz <arg1>

<arg1>	- a 32 bit number


vrm_save_form

02 ($02)

Syntax

vrm_save_form <arg1>

<arg1>	- a list of hex numbers


vrm_send_form

01 ($01)

Syntax

vrm_send_form <arg1>

<arg1>	- a list of hex numbers


vrm_set_context

31 ($1f)

Syntax

vrm_set_context <arg1>

<arg1>	- a 32 bit number


vrm_start_form

00 ($00)

Syntax

vrm_start_form <arg1>

<arg1>	- a 32 bit number


vrm_start_html_form

04 ($04)

Syntax

vrm_start_html_form <arg1>

<arg1>	- a global identifier


WWW	- World Wide Web

48 ($30)

Following is a list of atoms in this protocol:

www_bool_suppress_errors

www_browse

www_can_go_back

www_can_go_forward

www_get_current_full_url

www_get_current_link

www_get_current_title

www_get_current_url

www_get_parts_complete

www_get_status_msg

www_go_back

www_go_forward

www_invoke_options

www_load_url

www_manage

www_purge_cache

www_refresh_prefs

www_reload

www_stop


www_bool_suppress_errors

23 ($17)

Syntax

www_bool_suppress_errors <arg1>

<arg1>	- a list of hex numbers


www_browse

15 ($0f)

Syntax

www_browse <arg1>

<arg1>	- a string


www_can_go_back

08 ($08)

Syntax

www_can_go_back <arg1>

<arg1>	- a list of hex numbers


www_can_go_forward

09 ($09)

Syntax

www_can_go_forward <arg1>

<arg1>	- a list of hex numbers


www_get_current_full_url

25 ($19)

Syntax

www_get_current_full_url <arg1>

<arg1>	- a list of hex numbers


www_get_current_link

06 ($06)

Syntax

www_get_current_link <arg1>

<arg1>	- a list of hex numbers


www_get_current_title

14 ($0e)

Syntax

www_get_current_title <arg1>

<arg1>	- a list of hex numbers


www_get_current_url

05 ($05)

Syntax

www_get_current_url <arg1>

<arg1>	- a list of hex numbers


www_get_parts_complete

07 ($07)

Syntax

www_get_parts_complete <arg1>

<arg1>	- a list of hex numbers


www_get_status_msg

22 ($16)

Syntax

www_get_status_msg <arg1>

<arg1>	- a list of hex numbers


www_go_back

01 ($01)

Syntax

www_go_back <arg1>

<arg1>	- a list of hex numbers


www_go_forward

02 ($02)

Syntax

www_go_forward <arg1>

<arg1>	- a list of hex numbers


www_invoke_options

24 ($18)

Syntax

www_invoke_options <arg1>

<arg1>	- a list of hex numbers


www_load_url

00 ($00)

Syntax

www_load_url <arg1>

<arg1>	- a string


www_manage

16 ($10)

Syntax

www_manage <arg1>

<arg1>	- a list of hex numbers


www_purge_cache

21 ($15)

Syntax

www_purge_cache <arg1>

<arg1>	- a list of hex numbers


www_refresh_prefs

20 ($14)

Syntax

www_refresh_prefs <arg1>

<arg1>	- a list of hex numbers


www_reload

03 ($03)

Syntax

www_reload <arg1>

<arg1>	- a list of hex numbers


www_stop

04 ($04)

Syntax

www_stop <arg1>

<arg1>	- a list of hex numbers


XFER	- Transfer

07 ($07)

Following is a list of atoms in this protocol:

xfer_abort

xfer_atr_create_date

xfer_atr_file_name

xfer_atr_file_size

xfer_atr_library

xfer_atr_request_id

xfer_atr_title

xfer_bool_in_progress

xfer_bool_mail

xfer_clear_rle_flag

xfer_decompress_file

xfer_delete_spool_file

xfer_end_object

xfer_finish_later

xfer_invoke_archive

xfer_invoke_dl_manager

xfer_refresh_prefs

xfer_set_rle_flag

xfer_show_file_description

xfer_show_file_status

xfer_start_download

xfer_start_object

xfer_toggle_signoff


xfer_abort

00 ($00)

Syntax

xfer_abort <arg1>

<arg1>	- a list of hex numbers


xfer_atr_create_date

23 ($17)

Syntax

xfer_atr_create_date <arg1>

<arg1>	- a 32 bit number


xfer_atr_file_name

18 ($12)

Syntax

xfer_atr_file_name <arg1>

<arg1>	- a string


xfer_atr_file_size

16 ($10)

Syntax

xfer_atr_file_size <arg1>

<arg1>	- a 32 bit number


xfer_atr_library

21 ($15)

Syntax

xfer_atr_library <arg1>

<arg1>	- a string


xfer_atr_request_id

15 ($0f)

Syntax

xfer_atr_request_id <arg1>

<arg1>	- a 32 bit number


xfer_atr_title

17 ($11)

Syntax

xfer_atr_title <arg1>

<arg1>	- a string


xfer_bool_in_progress

10 ($0a)

Syntax

xfer_bool_in_progress <arg1>

<arg1>	- a list of hex numbers


xfer_bool_mail

22 ($16)

Syntax

xfer_bool_mail <arg1>

<arg1>	- a boolean value


xfer_clear_rle_flag

08 ($08)

Syntax

xfer_clear_rle_flag <arg1>

<arg1>	- a list of hex numbers


xfer_decompress_file

06 ($06)

Syntax

xfer_decompress_file <arg1>

<arg1>	- a list of hex numbers


xfer_delete_spool_file

12 ($0c)

Syntax

xfer_delete_spool_file <arg1>

<arg1>	- a list of hex numbers


xfer_end_object

19 ($13)

Syntax

xfer_end_object <arg1>

<arg1>	- a list of hex numbers


xfer_finish_later

05 ($05)

Syntax

xfer_finish_later <arg1>

<arg1>	- a list of hex numbers


xfer_invoke_archive

20 ($14)

Syntax

xfer_invoke_archive <arg1>

<arg1>	- a list of hex numbers


xfer_invoke_dl_manager

11 ($0b)

Syntax

xfer_invoke_dl_manager <arg1>

<arg1>	- a list of hex numbers


xfer_refresh_prefs

09 ($09)

Syntax

xfer_refresh_prefs <arg1>

<arg1>	- a list of hex numbers


xfer_set_rle_flag

07 ($07)

Syntax

xfer_set_rle_flag <arg1>

<arg1>	- a list of hex numbers


xfer_show_file_description

01 ($01)

Syntax

xfer_show_file_description <arg1>

<arg1>	- a list of hex numbers


xfer_show_file_status

02 ($02)

Syntax

xfer_show_file_status <arg1>

<arg1>	- a list of hex numbers


xfer_start_download

03 ($03)

Syntax

xfer_start_download <arg1>

<arg1>	- a list of hex numbers


xfer_start_object

14 ($0e)

Syntax

xfer_start_object <arg1>

<arg1>	- a list of hex numbers


xfer_toggle_signoff

04 ($04)

Syntax

xfer_toggle_signoff <arg1>

<arg1>	- a list of hex numbers


If you are reading this message, something screwed up!


A list of hex numbers where each number is specified using two hex digits followed by an 'x'.  There must always be two digits even if the leading digit is zero.

Example: man_append_data <01x, ffx, a9x>


A 32 bit number in decimal format.

Example: man_set_response_id <918273645>


A sequence of text characters enclosed in quotes.  The following escape sequences are recognized: 	\" - to insert a quote mark
\n - to insert a LF
\t - to insert a tab
\r - to insert a CR
\xnn to insert hex char nn (use for inserting non-printable chars)
Example: mat_title <"Hello\nThere">


A parameter which is eithertrue or false.  Use the words TRUE or FALSE.  The words are not case sensitive.

Example: mat_bool_disabled <true>


A global identifier in the format x-y-z.

Example: mat_art_id <1-0-2381>


A stream of atoms.

Example:

_replace_select_action
<
_start_stream <>
_width <5>
_height<10>
_end_stream <>
>


The type of an FDO91 object being created and a title to assign to it. The type must be one of the following pre-defined types:

org_group
independent
dynamic_multilist
static_multilist
dynamic_list
static_list
trigger
ornament
view
editable_view
boolean
selectable_boolean
range
selectable_range
variable
orientation
Example: mat_start_object <org_group, "Title">


The orientation code specifies whether a group is oriented vertically or horizontally.  It also specfies how the objects within the group will be justified.first letter specifies orientation and must be one of:

h - for horizontal orientation
v - for vertical orientation
second letter specifies the vertical justification of the objects and must be one of:

t - objects are aligned as close together as possible starting at the top
b - objects are aligned as close together as possible starting at the bottom
c - objects are aligned as close together as possible centered in the middle
e - objects are spread evenly between top and bottom
f - objects are spread evenly but there is no space left on the outside
third letter specifies the horizontal justification of the objects and must be one of:

l - objects are aligned as close together as possible starting at the left
r - objects are aligned as close together as possible starting at the right
c - objects are aligned as close together as possible centered in the middle
e - objects are spread evenly between top and bottom
f - objects are spread evenly but there is no space left on the outside

Example: mat_orientation <hec>


The two-letter token and it's argument in hex.  The token must be enclosed in quotes. The argument must be in hex.

Example: sm_send_token_arg <"f1", 00x, 01x, 02x, 03x>


The criterion for the invocation of an action.  This argument can either be one of the following pre-defined types or a 16 bit number:

void
selection
close
open
gain_focus
lose_focus
Example: act_set_criterion <close>


The type of alert that will be displayed.  It must be one of the following pre-defined types:

info
error
pop_info
pop_error
warning
pop_warning
yes_no
yes_no_cancel

Example: async_alert <error>


A single atom with no parameters.  It can be any of the atoms listed in this file.

Example: uni_use_last_atom_string <mat_title>


A list of 8 bit numbers (in the range 0 to 255) separated by commas.

Example: mat_ruler <5, 8,123>


There is no argument for this atom.

Example: man_end_object <>


A letter followed by a 32 bit number.   The letter specifies the FDO register to use. It can be A, B, C or D.

Example: var_number_save <A, 500>


A letter followed by a string.   The letter specifies the FDO register to use. It can be A, B, C or D.

Example: var_string_set <B, "bye">


A letter which specifies the FDO register to use.It can be A, B, C or D.

Example: var_string_null <C>


A single 8 bit number.  The number must be in the range 0 to 255.

Example: mat_size <5>


A single 16 bit number.  The number must be in the range 0 to 65,535.

Example: mat_relative_id <1000>


A single 32 bit number.  The number must be in the range 0 to 4,294,967,295.

Example: mat_relative_id <987654>


A set of two or more values from which only one value can be chosen.

Example: mat_frame_style <shadow>


A set of two or more values from which any number of values from the set can be combined in one argument.Each value is separated using a vertical bar (|).

Example: mat_font_style <bold | italic>